commit 000release-packages for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package 000release-packages for 
openSUSE:Factory checked in at 2019-03-28 01:59:17

Comparing /work/SRC/openSUSE:Factory/000release-packages (Old)
 and  /work/SRC/openSUSE:Factory/.000release-packages.new.25356 (New)


Package is "000release-packages"

Thu Mar 28 01:59:17 2019 rev:83 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ openSUSE-Addon-NonOss-release.spec ++
--- /var/tmp/diff_new_pack.byoIqC/_old  2019-03-28 01:59:23.776312286 +0100
+++ /var/tmp/diff_new_pack.byoIqC/_new  2019-03-28 01:59:23.780312285 +0100
@@ -1,5 +1,5 @@
 #
-# spec file for package openSUSE-Addon-NonOss-release (Version 20190326)
+# spec file for package openSUSE-Addon-NonOss-release (Version 20190327)
 #
 # Copyright (c) 2019 openSUSE.
 #
@@ -16,16 +16,16 @@
 Name:   openSUSE-Addon-NonOss-release
 %define product openSUSE-Addon-NonOss
 Summary:openSUSE NonOSS Addon
-Version:20190326
+Version:    20190327
 Release:0
 License:BSD-3-Clause
 Group:  System/Fhs
 
 Provides:   %name-%version
 Provides:   product() = openSUSE-Addon-NonOss
-Provides:   product(openSUSE-Addon-NonOss) = 20190326-0
+Provides:   product(openSUSE-Addon-NonOss) = 20190327-0
 Provides:   product-label() = non%20oss%20addon
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Daddon%2Dnonoss%3A20190326
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Daddon%2Dnonoss%3A20190327
 
 
 AutoReqProv:on
@@ -49,10 +49,10 @@
 
   openSUSE
   openSUSE-Addon-NonOss
-  20190326
+  20190327
   0
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-addon-nonoss:20190326
+  cpe:/o:opensuse:opensuse-addon-nonoss:20190327
   
 
 

++ openSUSE-Tumbleweed-Kubic-release.spec ++
--- /var/tmp/diff_new_pack.byoIqC/_old  2019-03-28 01:59:23.800312281 +0100
+++ /var/tmp/diff_new_pack.byoIqC/_new  2019-03-28 01:59:23.804312280 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   openSUSE-Tumbleweed-Kubic-release
-Version:20190326
+Version:    20190327
 Release:0
 Summary:openSUSE Tumbleweed Kubic 
 License:GPL-2.0-or-later
@@ -38,9 +38,9 @@
 ExclusiveArch:  %ix86 x86_64 ppc64le s390x aarch64
 Provides:   %name-%version
 Provides:   product() = openSUSE-Tumbleweed-Kubic
-Provides:   product(openSUSE-Tumbleweed-Kubic) = 20190326-0
+Provides:   product(openSUSE-Tumbleweed-Kubic) = 20190327-0
 Provides:   product-label() = openSUSE%20Tumbleweed%20Kubic
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20190326
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20190327
 Provides:   product-url(releasenotes) = 
http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FTumbleweed%2Frelease%2Dnotes%2DopenSUSE.rpm
 Provides:   product-endoflife()
 Requires:   product_flavor(openSUSE-Tumbleweed-Kubic)
@@ -56,7 +56,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(dvd)
-Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20190326-0
+Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20190327-0
 Summary:openSUSE Tumbleweed Kubic
 
 %description dvd
@@ -113,11 +113,11 @@
 
   openSUSE
   openSUSE-Tumbleweed-Kubic
-  20190326
+  20190327
   0
   
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20190326
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20190327
   openSUSE-Tumbleweed-Kubic
   
 

++ openSUSE-release.spec ++
--- /var/tmp/diff_new_pack.byoIqC/_old  2019-03-28 01:59:23.816312278 +0100
+++ /var/tmp/diff_new_pack.byoIqC/_new  2019-03-28 01:59:23.816312278 +0100
@@ -20,7 +20,7 @@
 #define betaversion %{nil}
 %define codename Tumbleweed
 Name:   openSUSE-release
-Version:20190326
+Version:    20190327
 Release:0
 # 0 is the product release, not the build release of this package
 Summary:openSUSE Tumbleweed
@@ -54,7 +54,7 @@
 Obsoletes:  aaa_version
 Obsoletes:  openSUSE-Promo-release <= 11.1
 Obsoletes:  openSUSE-release-live <= 11.0
-Obsoletes:  product_flavor(%{product}) < 20190326
+Obsoletes:  product_flavor(%{product}) < 20190327
 # bnc#826592
 Provides:   weakremover(kernel-default) < 3.11
 Provides:   weakremover(kernel-desktop) < 4.2
@@ -182,7 +182,7 @@
 %include %{SOURCE100}
 Provides:   %name-%version
 Provides:   product() = openSUSE
-Provides:   product(openSUSE) = 20190326-0
+Provides:   product(openSUSE) = 20190327-0
 %ifarch x86_64
 Provides:  

commit 000product for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2019-03-28 01:59:24

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new.25356 (New)


Package is "000product"

Thu Mar 28 01:59:24 2019 rev:1049 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi ++
--- /var/tmp/diff_new_pack.R0JUkY/_old  2019-03-28 01:59:27.312311567 +0100
+++ /var/tmp/diff_new_pack.R0JUkY/_new  2019-03-28 01:59:27.316311567 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -36,11 +36,11 @@
   true
   -x -2
   openSUSE
-  20190326
+  20190327
   11
-  cpe:/o:opensuse:opensuse-addon-nonoss:20190326,openSUSE NonOSS 
Addon
+  cpe:/o:opensuse:opensuse-addon-nonoss:20190327,openSUSE NonOSS 
Addon
   af ar be_BY bg br ca cy el et ga gl gu_IN he 
hi_IN hr ka km ko lt mk nn pa_IN rw sk sl sr_CS ss st tg th tr uk ve vi xh zu 

-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20190326/i586
 
obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20190326/x86_64
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20190327/i586
 
obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20190327/x86_64
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.R0JUkY/_old  2019-03-28 01:59:27.332311563 +0100
+++ /var/tmp/diff_new_pack.R0JUkY/_new  2019-03-28 01:59:27.332311563 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -35,11 +35,11 @@
   true
   -x -2
   openSUSE
-  20190326
+  20190327
   11
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20190326,openSUSE 
Tumbleweed Kubic
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20190327,openSUSE 
Tumbleweed Kubic
   en_US 
-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Tumbleweed-Kubic/20190326/x86_64
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Tumbleweed-Kubic/20190327/x86_64
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed
   /usr/share/kiwi/modules/plugins/suse-tumbleweed
@@ -110,6 +110,7 @@
   
   
   
+  
   
   
   
@@ -172,6 +173,7 @@
   
   
   
+  
   
   
   
@@ -421,9 +423,13 @@
   
   
   
+  
   
   
+  
   
+  
+  
   
   
   
@@ -547,6 +553,7 @@
   
   
   
+  
   
   
   

++ openSUSE-cd-mini-i586.kiwi ++
--- /var/tmp/diff_new_pack.R0JUkY/_old  2019-03-28 01:59:27.372311555 +0100
+++ /var/tmp/diff_new_pack.R0JUkY/_new  2019-03-28 01:59:27.372311555 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -32,11 +32,11 @@
   true
   -x -2
   openSUSE
-  20190326
+  20190327
   11
-  cpe:/o:opensuse:opensuse:20190326,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20190327,openSUSE 
Tumbleweed
   cs da de el en en_GB en_US es fr hu it ja pl 
pt pt_BR ru zh zh_CN zh_TW 
-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE/20190326/i586
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE/20190327/i586
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ openSUSE-cd-mini-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.R0JUkY/_old  2019-03-28 01:59:27.396311550 +0100
+++ /var/tmp/diff_new_pack.R0JUkY/_new  2019-03-28 01:59:27.396311550 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -35,11 +35,11 @@
   true
   -x -2
   openSUSE
-  20190326
+  20190327
   11
-  cpe:/o:opensuse:opensuse:20190326,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20190327,openSUSE 
Tumbleweed
   cs da de el en en_GB en_US es fr hu it ja pl 
pt pt_BR ru zh zh_CN zh_TW 
-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE/20190326/x86_64
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE/20190327/x86_64
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ openSUSE-dvd5-dvd-i586.kiwi ++
--- /var/tmp/diff_new_pack.R0JUkY/_old  2019-03-28 01:59:27.412311547 +0100
+++ /var/tmp/diff_new_pack.R0JUkY/_new  2019-03-28 01:59:27.412311547 +0100
@@ -1,4 +1,4 @@
-
+
   
 The

commit 000update-repos for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2019-03-27 21:01:28

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.25356 (New)


Package is "000update-repos"

Wed Mar 27 21:01:28 2019 rev:120 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  factory_20190325.packages.xz



Other differences:
--




































































































































































































































































































commit 000update-repos for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2019-03-27 21:01:39

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.25356 (New)


Package is "000update-repos"

Wed Mar 27 21:01:39 2019 rev:122 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  42.3:update_1553693000.packages.xz



Other differences:
--






































































































































































































































































































commit 000update-repos for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2019-03-27 21:01:30

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.25356 (New)


Package is "000update-repos"

Wed Mar 27 21:01:30 2019 rev:121 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  factory:non-oss_1041.1.packages.xz



Other differences:
--





































































































































































































































































































commit python-marathon for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package python-marathon for openSUSE:Factory 
checked in at 2019-03-27 16:22:59

Comparing /work/SRC/openSUSE:Factory/python-marathon (Old)
 and  /work/SRC/openSUSE:Factory/.python-marathon.new.25356 (New)


Package is "python-marathon"

Wed Mar 27 16:22:59 2019 rev:4 rq:689090 version:0.11.0

Changes:

--- /work/SRC/openSUSE:Factory/python-marathon/python-marathon.changes  
2018-12-24 11:39:34.601548754 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-marathon.new.25356/python-marathon.changes   
2019-03-27 16:23:14.839506710 +0100
@@ -1,0 +2,25 @@
+Wed Mar 27 12:00:32 UTC 2019 - pgaj...@suse.com
+
+- version update to 0.11.0
+  * Added region and zone members to task model. #260
+  * Exception #259
+  * SSE SSL authentication not supported #247
+  * Lack of support for container.networks #243
+  * __init__() got an unexpected keyword argument 'port_mappings' #237
+  * Wrong health check object generated for COMMAND protocol #222
+  * Add support for mesos 1.6 #255 
+  * Possibility for send the full json object on create #252 
+  * events: add a few attributes #251 
+  * install-marathon.sh: do not remove oracle-java7-installer #250 
+  * MarathonClient: set verify when using sse_session #248 
+  * add reset delay api #246 
+  * fixes for issue 244 #245 
+  * Test against 1.4.11 #240 
+  * fix isuuse-238 #239 (yudong2015)
+  * Test against 1.4.10 instead of 1.4.9 #236 
+  * make models.info compatible with 1.4.9 #233 
+  * Fix health check 'command' #231 
+  * Feature/marathon constraint model improvements #229 
+  * Removes id validation from MarathonGroup() #228 
+
+---

Old:

  marathon-0.9.0.tar.gz

New:

  marathon-0.11.0.tar.gz



Other differences:
--
++ python-marathon.spec ++
--- /var/tmp/diff_new_pack.WK7uSA/_old  2019-03-27 16:23:15.463506580 +0100
+++ /var/tmp/diff_new_pack.WK7uSA/_new  2019-03-27 16:23:15.467506579 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-marathon
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-marathon
-Version:0.9.0
+Version:0.11.0
 Release:0
 Summary:Marathon Client Library
 License:MIT
@@ -27,7 +27,8 @@
 Source: 
https://files.pythonhosted.org/packages/source/m/marathon/marathon-%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  python-rpm-macros
-Requires:   python-requests >= 2.0.0
+Requires:   python-requests >= 2.4.0
+Requires:   python-requests-toolbelt >= 0.4.0
 BuildArch:  noarch
 %python_subpackages
 
@@ -43,6 +44,9 @@
 %install
 %python_install
 
+%check
+# requires Docker and Marathon server installed there
+
 %files %{python_files}
 %license LICENSE
 %{python_sitelib}/*

++ marathon-0.9.0.tar.gz -> marathon-0.11.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/marathon-0.9.0/PKG-INFO new/marathon-0.11.0/PKG-INFO
--- old/marathon-0.9.0/PKG-INFO 2017-06-21 18:55:35.0 +0200
+++ new/marathon-0.11.0/PKG-INFO2019-01-15 20:14:09.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: marathon
-Version: 0.9.0
+Version: 0.11.0
 Summary: Marathon Client Library
 Home-page: https://github.com/thefactory/marathon-python
 Author: Mike Babineau
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/marathon-0.9.0/README.md 
new/marathon-0.11.0/README.md
--- old/marathon-0.9.0/README.md1970-01-01 01:00:00.0 +0100
+++ new/marathon-0.11.0/README.md   2019-01-15 20:07:53.0 +0100
@@ -0,0 +1,132 @@
+# marathon-python
+
+[![Build 
Status](https://travis-ci.org/thefactory/marathon-python.svg?branch=master)](https://travis-ci.org/thefactory/marathon-python)
+
+This is a Python library for interfacing with 
[Marathon](https://github.com/mesosphere/marathon) servers via Marathon's [REST 
API](https://mesosphere.github.io/marathon/docs/rest-api.html).
+
+ Compatibility
+
+* For Marathon 1.6.x, use at least 0.10.0
+* For Marathon 1.4.1, use at least 0.8.13
+* For Marathon 1.1.1, use at least 0.8.1
+* For all version changes, please see `CHANGELOG.md`
+
+If you find a feature that is broken, please submit a PR that adds a test for
+it so it will be fixed and will continue to stay fixed as Marathon changes over
+time.
+

commit 000product for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2019-03-27 16:23:06

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new.25356 (New)


Package is "000product"

Wed Mar 27 16:23:06 2019 rev:1048 rq: version:unknown
Wed Mar 27 16:23:04 2019 rev:1047 rq: version:unknown
Wed Mar 27 16:23:02 2019 rev:1046 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi: same change
openSUSE-cd-mini-i586.kiwi: same change
openSUSE-cd-mini-x86_64.kiwi: same change
openSUSE-dvd5-dvd-i586.kiwi: same change
openSUSE-dvd5-dvd-x86_64.kiwi: same change
openSUSE-ftp-ftp-i586_x86_64.kiwi: same change
stub.kiwi: same change
++ openSUSE-Addon-NonOss.product ++
--- /var/tmp/diff_new_pack.s3SoNg/_old  2019-03-27 16:23:17.607506132 +0100
+++ /var/tmp/diff_new_pack.s3SoNg/_new  2019-03-27 16:23:17.607506132 +0100
@@ -4,7 +4,7 @@
  
 openSUSE
 openSUSE-Addon-NonOss
-20190326
+    20190327
 0 
 openSUSE NonOSS Addon
 non oss addon

++ openSUSE-Tumbleweed-Kubic.product ++
--- /var/tmp/diff_new_pack.s3SoNg/_old  2019-03-27 16:23:17.615506131 +0100
+++ /var/tmp/diff_new_pack.s3SoNg/_new  2019-03-27 16:23:17.619506130 +0100
@@ -6,7 +6,7 @@
   openSUSE-Tumbleweed-Kubic
   openSUSE-Tumbleweed-Kubic-release
   
-  20190326
+  20190327
   
   0
   openSUSE-Tumbleweed-Kubic

++ openSUSE.product ++
--- /var/tmp/diff_new_pack.s3SoNg/_old  2019-03-27 16:23:17.635506127 +0100
+++ /var/tmp/diff_new_pack.s3SoNg/_new  2019-03-27 16:23:17.635506127 +0100
@@ -4,7 +4,7 @@
 
   openSUSE
   openSUSE
-  20190326
+  20190327
   0
 
   openSUSE




commit python-vulkan for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package python-vulkan for openSUSE:Factory 
checked in at 2019-03-27 16:22:57

Comparing /work/SRC/openSUSE:Factory/python-vulkan (Old)
 and  /work/SRC/openSUSE:Factory/.python-vulkan.new.25356 (New)


Package is "python-vulkan"

Wed Mar 27 16:22:57 2019 rev:3 rq:689089 version:1.1.99.0

Changes:

--- /work/SRC/openSUSE:Factory/python-vulkan/python-vulkan.changes  
2018-12-07 14:34:26.147142929 +0100
+++ /work/SRC/openSUSE:Factory/.python-vulkan.new.25356/python-vulkan.changes   
2019-03-27 16:23:12.971507099 +0100
@@ -1,0 +2,6 @@
+Wed Mar 27 10:12:33 UTC 2019 - pgaj...@suse.com
+
+- version update to 1.1.99.0
+  * No upstream changelog
+
+---

Old:

  vulkan-1.1.71.2.tar.gz

New:

  vulkan-1.1.99.0.tar.gz



Other differences:
--
++ python-vulkan.spec ++
--- /var/tmp/diff_new_pack.Ini5fv/_old  2019-03-27 16:23:14.247506833 +0100
+++ /var/tmp/diff_new_pack.Ini5fv/_new  2019-03-27 16:23:14.247506833 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-vulkan
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-vulkan
-Version:1.1.71.2
+Version:1.1.99.0
 Release:0
 Summary:Python bindings for the Vulkan API
 License:Apache-2.0
@@ -26,11 +26,11 @@
 Url:https://github.com/realitix/vulkan
 Source: 
https://files.pythonhosted.org/packages/source/v/vulkan/vulkan-%{version}.tar.gz
 Source1:LICENSE
-BuildRequires:  %{python_module cffi}
+BuildRequires:  %{python_module cffi >= 1.10}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  python-rpm-macros
 BuildRequires:  vulkan-devel
-Requires:   python-cffi
+Requires:   python-cffi >= 1.10
 Requires:   vulkan
 BuildRequires:  fdupes
 BuildArch:  noarch
@@ -52,6 +52,9 @@
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
+%check
+# no tests available
+
 %files %{python_files}
 %license LICENSE
 %doc README.md

++ vulkan-1.1.71.2.tar.gz -> vulkan-1.1.99.0.tar.gz ++
 6782 lines of diff (skipped)




commit varnish for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package varnish for openSUSE:Factory checked 
in at 2019-03-27 16:22:54

Comparing /work/SRC/openSUSE:Factory/varnish (Old)
 and  /work/SRC/openSUSE:Factory/.varnish.new.25356 (New)


Package is "varnish"

Wed Mar 27 16:22:54 2019 rev:25 rq:689081 version:6.2.0

Changes:

--- /work/SRC/openSUSE:Factory/varnish/varnish.changes  2018-05-11 
14:27:37.857496199 +0200
+++ /work/SRC/openSUSE:Factory/.varnish.new.25356/varnish.changes   
2019-03-27 16:23:08.887507950 +0100
@@ -1,0 +2,11 @@
+Wed Mar 27 10:01:08 UTC 2019 - Samu Voutilainen 
+
+- Updated to 6.2.0
+  * Added a thread pool watchdog which will restart the worker
+process if scheduling tasks onto worker threads appears
+stuck. The new parameter "thread_pool_watchdog" configures
+it.
+- Disabled error for clobbering, which caused bogus
+  error in varnishtest
+
+---

Old:

  varnish-6.0.0.tgz

New:

  varnish-6.2.0.tgz



Other differences:
--
++ varnish.spec ++
--- /var/tmp/diff_new_pack.rU9ISn/_old  2019-03-27 16:23:09.659507789 +0100
+++ /var/tmp/diff_new_pack.rU9ISn/_new  2019-03-27 16:23:09.663507788 +0100
@@ -21,12 +21,12 @@
 %define _fillupdir /var/adm/fillup-templates
 %endif
 
-%define library_name libvarnishapi1
+%define library_name libvarnishapi2
 %define pkg_home %_localstatedir/lib/%name
 %define pkg_logdir   %_localstatedir/log/%name
 %define pkg_cachedir %_localstatedir/cache/%name
 Name:   varnish
-Version:6.0.0
+Version:6.2.0
 Release:0
 Summary:Accelerator for HTTP services
 License:BSD-2-Clause
@@ -39,9 +39,9 @@
 Source5:varnish.logrotate
 Source7:varnish.service
 Source8:varnishlog.service
-# PATCH-FIX-UPSTREAM varnish-5.1.2-add-fallthrough-comments.patch -- Fix build 
with GCC 7
-Patch:  varnish-5.1.2-add-fallthrough-comments.patch
+Patch1: varnish-5.1.2-add-fallthrough-comments.patch
 BuildRequires:  python3-docutils
+BuildRequires:  python3-Sphinx
 BuildRequires:  libxslt
 BuildRequires:  ncurses-devel
 BuildRequires:  pcre-devel
@@ -95,11 +95,10 @@
 This package holds the development files for varnish.
 
 %prep
-%setup -q
-%patch -p1
+%autosetup -p1
 
 %build
-export CFLAGS="%optflags -fstack-protector"
+export CFLAGS="%optflags -fstack-protector -Wno-error=clobbered"
 %ifarch %ix86
 export CFLAGS="$CFLAGS -ffloat-store -fexcess-precision=standard"
 %endif
@@ -186,7 +185,7 @@
 
 %files -n %library_name
 %defattr(-,root,root,-)
-%_libdir/libvarnishapi.so.1*
+%_libdir/libvarnishapi.so.2*
 
 %files devel
 %defattr(-,root,root,-)

++ varnish-5.1.2-add-fallthrough-comments.patch ++
--- /var/tmp/diff_new_pack.rU9ISn/_old  2019-03-27 16:23:09.675507786 +0100
+++ /var/tmp/diff_new_pack.rU9ISn/_new  2019-03-27 16:23:09.675507786 +0100
@@ -1,3 +1,6 @@
+From: antoine.belv...@opensuse.org
+Date: Fri Jun 23 19:42:07 UTC 2017
+
 GCC 7 introduces new warnings, including implicit fallthrough in switch blocks;
 see https://gcc.gnu.org/gcc-7/changes.html#c-family. This warnings are turned
 into errors in our case (-Werror).
@@ -9,18 +12,16 @@
 upgraded in a future release (see commit 5fae561 on master branch at
 https://github.com/varnishcache/varnish-cache/commit/5fae561).
 
---
 ---
  bin/varnishadm/varnishadm.c |1 +
- lib/libvgz/infback.c|1 +
  lib/libvgz/inflate.c|   18 ++
- 3 files changed, 20 insertions(+)
+ 2 files changed, 19 insertions(+)
 
-Index: varnish-6.0.0/bin/varnishadm/varnishadm.c
+Index: varnish-6.2.0/bin/varnishadm/varnishadm.c
 ===
 varnish-6.0.0.orig/bin/varnishadm/varnishadm.c
-+++ varnish-6.0.0/bin/varnishadm/varnishadm.c
-@@ -452,6 +452,7 @@ main(int argc, char * const *argv)
+--- varnish-6.2.0.orig/bin/varnishadm/varnishadm.c
 varnish-6.2.0/bin/varnishadm/varnishadm.c
+@@ -439,6 +439,7 @@ main(int argc, char * const *argv)
case 'h':
/* Usage help */
usage(0);
@@ -28,22 +29,10 @@
case 'n':
n_arg = optarg;
break;
-Index: varnish-6.0.0/lib/libvgz/infback.c
-===
 varnish-6.0.0.orig/lib/libvgz/infback.c
-+++ varnish-6.0.0/lib/libvgz/infback.c
-@@ -477,6 +477,7 @@ void FAR *out_desc;
- }
- Tracev((stderr, "inflate:   codes ok\n"));
- state->mode = LEN;
-+/* FALLTHROUGH */
- 
- case LEN:
- /* use inflate_fast() if we have enough input and output */
-Index: 

commit python-zict for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package python-zict for openSUSE:Factory 
checked in at 2019-03-27 16:22:52

Comparing /work/SRC/openSUSE:Factory/python-zict (Old)
 and  /work/SRC/openSUSE:Factory/.python-zict.new.25356 (New)


Package is "python-zict"

Wed Mar 27 16:22:52 2019 rev:4 rq:689074 version:0.1.4

Changes:

--- /work/SRC/openSUSE:Factory/python-zict/python-zict.changes  2018-12-05 
09:45:49.300546036 +0100
+++ /work/SRC/openSUSE:Factory/.python-zict.new.25356/python-zict.changes   
2019-03-27 16:23:04.983508764 +0100
@@ -1,0 +2,7 @@
+Wed Mar 27 10:00:43 UTC 2019 - pgaj...@suse.com
+
+- version update to 0.1.4
+  * Use collections.abc to avoid DeprecationWarning
+  * DOC: Add classes missing from API documentation.
+
+---

Old:

  zict-0.1.3.tar.gz

New:

  zict-0.1.4.tar.gz



Other differences:
--
++ python-zict.spec ++
--- /var/tmp/diff_new_pack.N8C0Uy/_old  2019-03-27 16:23:05.815508590 +0100
+++ /var/tmp/diff_new_pack.N8C0Uy/_new  2019-03-27 16:23:05.815508590 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-zict
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,9 +17,8 @@
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
-%bcond_without test
 Name:   python-zict
-Version:0.1.3
+Version:0.1.4
 Release:0
 Summary:Mutable mapping tools
 License:BSD-3-Clause
@@ -31,10 +30,10 @@
 BuildRequires:  python-rpm-macros
 Requires:   python-HeapDict
 BuildArch:  noarch
-%if %{with test}
+# SECTION test requirements
 BuildRequires:  %{python_module HeapDict}
 BuildRequires:  %{python_module pytest}
-%endif
+# /SECTION
 %python_subpackages
 
 %description
@@ -50,10 +49,8 @@
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
-%if %{with test}
 %check
 %python_exec setup.py test
-%endif
 
 %files %{python_files}
 %license LICENSE.txt

++ zict-0.1.3.tar.gz -> zict-0.1.4.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/zict-0.1.3/PKG-INFO new/zict-0.1.4/PKG-INFO
--- old/zict-0.1.3/PKG-INFO 2017-09-20 15:28:59.0 +0200
+++ new/zict-0.1.4/PKG-INFO 2019-03-09 17:36:01.0 +0100
@@ -1,10 +1,10 @@
-Metadata-Version: 1.0
+Metadata-Version: 1.2
 Name: zict
-Version: 0.1.3
+Version: 0.1.4
 Summary: Mutable mapping tools
 Home-page: http://zict.readthedocs.io/en/latest/
-Author: Matthew Rocklin
-Author-email: mrock...@gmail.com
+Maintainer: Matthew Rocklin
+Maintainer-email: mrock...@gmail.com
 License: BSD
 Description: Zict
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/zict-0.1.3/setup.cfg new/zict-0.1.4/setup.cfg
--- old/zict-0.1.3/setup.cfg2017-09-20 15:28:59.0 +0200
+++ new/zict-0.1.4/setup.cfg2019-03-09 17:36:01.0 +0100
@@ -1,5 +1,4 @@
 [egg_info]
 tag_build = 
 tag_date = 0
-tag_svn_revision = 0
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/zict-0.1.3/setup.py new/zict-0.1.4/setup.py
--- old/zict-0.1.3/setup.py 2017-09-20 15:27:57.0 +0200
+++ new/zict-0.1.4/setup.py 2019-03-09 17:35:21.0 +0100
@@ -4,7 +4,7 @@
 from setuptools import setup
 
 setup(name='zict',
-  version='0.1.3',
+  version='0.1.4',
   description='Mutable mapping tools',
   url='http://zict.readthedocs.io/en/latest/',
   maintainer='Matthew Rocklin',
@@ -12,7 +12,7 @@
   license='BSD',
   keywords='mutable mapping,dict,dask',
   packages=['zict'],
-  install_requires=[open('requirements.txt').read().strip().split('\n')],
+  install_requires=open('requirements.txt').read().strip().split('\n'),
   long_description=(open('README.rst').read() if 
os.path.exists('README.rst')
 else ''),
   zip_safe=False)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/zict-0.1.3/zict/__init__.py 
new/zict-0.1.4/zict/__init__.py
--- old/zict-0.1.3/zict/__init__.py 2017-09-20 15:28:10.0 +0200
+++ new/zict-0.1.4/zict/__init__.py 2019-03-09 17:35:24.0 +0100
@@ -6,4 +6,4 @@
 from .sieve import Sieve
 from .lmdb import LMDB
 
-__version__ = '0.1.3'
+__version__ = '0.1.4'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/zict-0.1.3/zict/common.py 

commit python-img2pdf for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package python-img2pdf for openSUSE:Factory 
checked in at 2019-03-27 16:22:55

Comparing /work/SRC/openSUSE:Factory/python-img2pdf (Old)
 and  /work/SRC/openSUSE:Factory/.python-img2pdf.new.25356 (New)


Package is "python-img2pdf"

Wed Mar 27 16:22:55 2019 rev:4 rq:689088 version:0.3.3

Changes:

--- /work/SRC/openSUSE:Factory/python-img2pdf/python-img2pdf.changes
2018-12-24 11:38:23.297612037 +0100
+++ /work/SRC/openSUSE:Factory/.python-img2pdf.new.25356/python-img2pdf.changes 
2019-03-27 16:23:10.395507635 +0100
@@ -1,0 +2,30 @@
+Wed Mar 27 12:53:38 UTC 2019 - pgaj...@suse.com
+
+- transformed sed to patch upon request
+- added patches
+  allow to run testsuite with python 2 
(https://gitlab.mister-muffin.de/josch/img2pdf/issues/60)
+  + python-img2pdf-test-python2.patch
+
+---
+Wed Mar 27 11:10:31 UTC 2019 - pgaj...@suse.com
+
+- version update to 0.3.3
+  * restore basic support for Python 2
+  * also ship test.sh
+  * add legal and tabloid paper formats
+  * respect exif rotation tag
+  * support big endian TIFF with lsb-to-msb FillOrder
+  * support multipage CCITT Group 4 TIFF
+  * also reject palette images with transparency
+  * support PNG images with 1, 2, 4 or 16 bits per sample
+  * support multipage TIFF with differently encoded images
+  * support CCITT Group4 TIFF without rows-per-strip
+  * add extensive test suite
+  * Directly copy data from CCITT Group 4 encoded TIFF images into the PDF
+container without re-encoding
+  * Store non-jpeg images using PNG compression
+  * Support arbitrarily large pages via PDF /UserUnit field
+  * Disallow input with alpha channel as it cannot be preserved
+  * Add option --pillow-limit-break to support very large input
+
+---

Old:

  img2pdf-0.2.4.tar.gz

New:

  img2pdf-0.3.3.tar.gz
  python-img2pdf-test-python2.patch



Other differences:
--
++ python-img2pdf.spec ++
--- /var/tmp/diff_new_pack.Agq2Gb/_old  2019-03-27 16:23:11.339507439 +0100
+++ /var/tmp/diff_new_pack.Agq2Gb/_new  2019-03-27 16:23:11.343507438 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-img2pdf
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,13 +19,15 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %bcond_without  test
 Name:   python-img2pdf
-Version:0.2.4
+Version:0.3.3
 Release:0
 Summary:Python module for converting images to PDF via direct JPEG 
inclusion
 License:LGPL-3.0-or-later
 Group:  Development/Languages/Python
 Url:https://gitlab.mister-muffin.de/josch/img2pdf
 Source: 
https://files.pythonhosted.org/packages/source/i/img2pdf/img2pdf-%{version}.tar.gz
+# allow to run testsuite with python 2 
(https://gitlab.mister-muffin.de/josch/img2pdf/issues/60)
+Patch0: python-img2pdf-test-python2.patch
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
@@ -36,6 +38,7 @@
 # /SECTION
 Requires:   python-Pillow
 Requires:   python-pdfrw
+Requires:   python-setuptools
 %ifpython2
 Requires:   python-enum34
 %endif
@@ -55,6 +58,9 @@
 
 %prep
 %setup -q -n img2pdf-%{version}
+%ifpython2
+%patch0 -p1
+%endif
 sed -i -e '/^#!\//, 1d' src/*.py
 
 %build
@@ -69,6 +75,7 @@
 
 %files %{python_files}
 %defattr(-,root,root,-)
+%license LICENSE
 %doc CHANGES.rst README.md
 %python3_only %{_bindir}/img2pdf
 %{python_sitelib}/*

++ img2pdf-0.2.4.tar.gz -> img2pdf-0.3.3.tar.gz ++
 5604 lines of diff (skipped)

++ python-img2pdf-test-python2.patch ++
Index: img2pdf-0.3.3/src/tests/__init__.py
===
--- img2pdf-0.3.3.orig/src/tests/__init__.py2018-12-25 12:28:33.0 
+0100
+++ img2pdf-0.3.3/src/tests/__init__.py 2019-03-27 13:43:28.471760192 +0100
@@ -55,12 +55,12 @@ def compare_pdf(outx, outy):
 x = recompress_last_stream(outx)
 y = recompress_last_stream(outy)
 if x != y:
-print('original outx:\n{}\nouty:\n{}\n'.format(outx, outy), 
file=sys.stderr)
-print('recompressed outx:\n{}\nouty:\n{}\n'.format(x, y), 
file=sys.stderr)
+print >>sys.stderr, 'original outx:\n{}\nouty:\n{}\n'.format(outx, 
outy)
+print >>sys.stderr, 'recompressed 
outx:\n{}\nouty:\n{}\n'.format(x, y)

commit erlang for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package erlang for openSUSE:Factory checked 
in at 2019-03-27 16:22:45

Comparing /work/SRC/openSUSE:Factory/erlang (Old)
 and  /work/SRC/openSUSE:Factory/.erlang.new.25356 (New)


Package is "erlang"

Wed Mar 27 16:22:45 2019 rev:76 rq:689059 version:21.3.2

Changes:

--- /work/SRC/openSUSE:Factory/erlang/erlang.changes2019-03-21 
09:52:58.678794088 +0100
+++ /work/SRC/openSUSE:Factory/.erlang.new.25356/erlang.changes 2019-03-27 
16:22:50.935511691 +0100
@@ -1,0 +2,20 @@
+Tue Mar 26 09:18:44 UTC 2019 - Gabriele Santomaggio 
+
+- Update to 21.3.2:
+- Changes for 21.3.2:
+ * http://erlang.org/download/OTP-21.3.2.README
+ * erts: If a suspend/resume signal pair was sent to a process
+   while it was executing dirty, the receiving process
+   could later end up in a suspended state indefinitely.
+   This bug was introduced in ERTS version 10.0 (OTP
+   21.0).
+ * etrs: Fix a possible deadlock when terminating the ERTS
+   caused by a dirty scheduler not releasing it's
+   run-queue lock when terminating.
+ * xmerl: Handling of character references in attributes are
+   fixed. 
+ * xmerl:  Normalization of whitespace characters in attributes
+   are fixed so it works when character references are
+   used.
+
+---

Old:

  OTP-21.3.1.tar.gz

New:

  OTP-21.3.2.tar.gz



Other differences:
--
++ erlang.spec ++
--- /var/tmp/diff_new_pack.9YYWjI/_old  2019-03-27 16:22:53.71152 +0100
+++ /var/tmp/diff_new_pack.9YYWjI/_new  2019-03-27 16:22:53.71951 +0100
@@ -26,7 +26,7 @@
 %endif
 
 Name:   erlang
-Version:21.3.1
+Version:21.3.2
 Release:0
 # not set up to be built with position independend executable support
 #!BuildIgnore: gcc-PIE

++ OTP-21.3.1.tar.gz -> OTP-21.3.2.tar.gz ++
/work/SRC/openSUSE:Factory/erlang/OTP-21.3.1.tar.gz 
/work/SRC/openSUSE:Factory/.erlang.new.25356/OTP-21.3.2.tar.gz differ: char 
116, line 1




commit apache-commons-configuration for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package apache-commons-configuration for 
openSUSE:Factory checked in at 2019-03-27 16:22:46

Comparing /work/SRC/openSUSE:Factory/apache-commons-configuration (Old)
 and  /work/SRC/openSUSE:Factory/.apache-commons-configuration.new.25356 
(New)


Package is "apache-commons-configuration"

Wed Mar 27 16:22:46 2019 rev:2 rq:689062 version:1.10

Changes:

--- 
/work/SRC/openSUSE:Factory/apache-commons-configuration/apache-commons-configuration.changes
2019-03-22 14:59:11.829875354 +0100
+++ 
/work/SRC/openSUSE:Factory/.apache-commons-configuration.new.25356/apache-commons-configuration.changes
 2019-03-27 16:22:54.567510934 +0100
@@ -1,0 +2,6 @@
+Wed Mar 27 10:18:48 UTC 2019 - Fridrich Strba 
+
+- Remove pom parent, since we don't use it when not building with
+  maven
+
+---



Other differences:
--
++ apache-commons-configuration.spec ++
--- /var/tmp/diff_new_pack.japgOj/_old  2019-03-27 16:22:55.123510818 +0100
+++ /var/tmp/diff_new_pack.japgOj/_new  2019-03-27 16:22:55.127510817 +0100
@@ -1,5 +1,5 @@
 #
-# spec file for package apache-commons-configuration
+# spec file for package apache
 #
 # Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
@@ -72,8 +72,9 @@
 cp %{SOURCE1} build.xml
 sed -i 's/\r//' LICENSE.txt NOTICE.txt
 
-%build
 %pom_remove_parent
+
+%build
 mkdir -p lib
 build-jar-repository -s -p lib \
   commons-beanutils commons-codec commons-collections commons-digester \




commit apache-commons-validator for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package apache-commons-validator for 
openSUSE:Factory checked in at 2019-03-27 16:22:37

Comparing /work/SRC/openSUSE:Factory/apache-commons-validator (Old)
 and  /work/SRC/openSUSE:Factory/.apache-commons-validator.new.25356 (New)


Package is "apache-commons-validator"

Wed Mar 27 16:22:37 2019 rev:8 rq:689055 version:1.5.0

Changes:

--- 
/work/SRC/openSUSE:Factory/apache-commons-validator/apache-commons-validator.changes
2019-01-24 14:12:29.379426541 +0100
+++ 
/work/SRC/openSUSE:Factory/.apache-commons-validator.new.25356/apache-commons-validator.changes
 2019-03-27 16:22:38.755514229 +0100
@@ -1,0 +2,7 @@
+Mon Mar 25 17:53:26 UTC 2019 - Fridrich Strba 
+
+- Remove pom parent, since we don't use it when not building with
+  maven
+- Remove special conditions for suse_version 1110
+
+---



Other differences:
--
++ apache-commons-validator.spec ++
--- /var/tmp/diff_new_pack.ZVHxIv/_old  2019-03-27 16:22:39.563514061 +0100
+++ /var/tmp/diff_new_pack.ZVHxIv/_new  2019-03-27 16:22:39.563514061 +0100
@@ -38,7 +38,6 @@
 BuildRequires:  javapackages-local
 BuildRequires:  junit
 BuildRequires:  oro
-Requires:   apache-commons-parent
 Requires:   commons-beanutils >= 1.5
 Requires:   commons-collections
 Requires:   commons-digester >= 1.8
@@ -49,10 +48,6 @@
 Provides:   jakarta-%{short_name} = %{version}-%{release}
 Obsoletes:  jakarta-%{short_name} < %{version}-%{release}
 BuildArch:  noarch
-%if 0%{?suse_version} == 1110
-BuildRequires:  ant-apache-oro
-Requires:   ant-apache-oro
-%endif
 
 %description
 A common issue when receiving data either electronically or from user
@@ -89,6 +84,8 @@
 sed -i 's/\r//' RELEASE-NOTES.txt
 sed -i 's/\r//' NOTICE.txt
 
+%pom_remove_parent .
+
 %build
 export CLASSPATH=$(build-classpath \
commons-collections \




commit zabbix for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package zabbix for openSUSE:Factory checked 
in at 2019-03-27 16:22:48

Comparing /work/SRC/openSUSE:Factory/zabbix (Old)
 and  /work/SRC/openSUSE:Factory/.zabbix.new.25356 (New)


Package is "zabbix"

Wed Mar 27 16:22:48 2019 rev:4 rq:689069 version:3.0.26

Changes:

--- /work/SRC/openSUSE:Factory/zabbix/zabbix.changes2019-03-24 
15:00:46.771173301 +0100
+++ /work/SRC/openSUSE:Factory/.zabbix.new.25356/zabbix.changes 2019-03-27 
16:23:02.655509248 +0100
@@ -1,0 +2,18 @@
+Wed Mar 27 10:05:47 UTC 2019 - Boris Manojlovic 
+
+- updated to latest release 3.0.26
+- bugfix release;
+  + ZBX-15867 fixed invalid DNS being accepted when receiving discovery
+contents from Zabbix proxy
+  + ZBX-15552 fixed compilation with LibreSSL as OpenSSL replacement
+and OpenSSL without PSK support
+  + ZBX-15788 fixed crash when substituting LLD macros in calculated
+item formula expression
+  + ZBX-15670 fixed inefficient vmware eventlog downloading
+  + ZBX-14858 fixed processing of unlimited vmware maxQueryMetrics value
+  + ZBX-10496 fixed links to installation instructions in README file
+  + ZBX-15494 fixed handling numbers that written in scientific notation
+  + ZBX-15316 fixed problem with socket inheritance preventing Windows
+agent from restarting under certain circumstances  
+
+---

Old:

  zabbix-3.0.25.tar.gz

New:

  zabbix-3.0.26.tar.gz



Other differences:
--
++ zabbix.spec ++
--- /var/tmp/diff_new_pack.sSjhCw/_old  2019-03-27 16:23:03.743509021 +0100
+++ /var/tmp/diff_new_pack.sSjhCw/_new  2019-03-27 16:23:03.743509021 +0100
@@ -78,7 +78,7 @@
 %endif
 
 Name:   zabbix
-Version:3.0.25
+Version:3.0.26
 Release:0
 
 %define bcversion 3.0-1.0

++ zabbix-3.0.25.tar.gz -> zabbix-3.0.26.tar.gz ++
/work/SRC/openSUSE:Factory/zabbix/zabbix-3.0.25.tar.gz 
/work/SRC/openSUSE:Factory/.zabbix.new.25356/zabbix-3.0.26.tar.gz differ: char 
5, line 1




commit aqute-bnd for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package aqute-bnd for openSUSE:Factory 
checked in at 2019-03-27 16:22:39

Comparing /work/SRC/openSUSE:Factory/aqute-bnd (Old)
 and  /work/SRC/openSUSE:Factory/.aqute-bnd.new.25356 (New)


Package is "aqute-bnd"

Wed Mar 27 16:22:39 2019 rev:2 rq:689056 version:3.5.0

Changes:

--- /work/SRC/openSUSE:Factory/aqute-bnd/aqute-bnd.changes  2019-03-22 
14:58:25.349907166 +0100
+++ /work/SRC/openSUSE:Factory/.aqute-bnd.new.25356/aqute-bnd.changes   
2019-03-27 16:22:41.983513557 +0100
@@ -1,0 +2,6 @@
+Thu Mar 14 10:43:20 UTC 2019 - Fridrich Strba 
+
+- Correct error with duplicate identical aliases for two different
+  artifacts
+
+---



Other differences:
--
++ aqute-bnd.spec ++
--- /var/tmp/diff_new_pack.Oq0ZQj/_old  2019-03-27 16:22:44.371513059 +0100
+++ /var/tmp/diff_new_pack.Oq0ZQj/_new  2019-03-27 16:22:44.371513059 +0100
@@ -173,7 +173,7 @@
 install -pm 0644 biz.aQute.bndlib/pom.xml 
%{buildroot}%{_mavenpomdir}/%{name}/biz.aQute.bndlib.pom
 %add_maven_depmap %{name}/biz.aQute.bndlib.pom %{name}/biz.aQute.bndlib.jar -f 
bndlib -a biz.aQute.bnd:bndlib,biz.aQute:bndlib
 install -pm 0644 biz.aQute.bnd/pom.xml 
%{buildroot}%{_mavenpomdir}/%{name}/biz.aQute.bnd.pom
-%add_maven_depmap %{name}/biz.aQute.bnd.pom %{name}/biz.aQute.bnd.jar -a 
biz.aQute.bnd:bndlib,biz.aQute:bndlib
+%add_maven_depmap %{name}/biz.aQute.bnd.pom %{name}/biz.aQute.bnd.jar
 # javadoc
 install -dm 0755 %{buildroot}%{_javadocdir}/%{name}
 mv biz.aQute.bnd.annotation/target/site/apidocs 
%{buildroot}%{_javadocdir}/%{name}/biz.aQute.bnd.annotation




commit apache-commons-pool for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package apache-commons-pool for 
openSUSE:Factory checked in at 2019-03-27 16:22:35

Comparing /work/SRC/openSUSE:Factory/apache-commons-pool (Old)
 and  /work/SRC/openSUSE:Factory/.apache-commons-pool.new.25356 (New)


Package is "apache-commons-pool"

Wed Mar 27 16:22:35 2019 rev:5 rq:689053 version:1.6

Changes:

--- /work/SRC/openSUSE:Factory/apache-commons-pool/apache-commons-pool.changes  
2018-12-18 14:57:51.162300284 +0100
+++ 
/work/SRC/openSUSE:Factory/.apache-commons-pool.new.25356/apache-commons-pool.changes
   2019-03-27 16:22:37.211514551 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 17:51:29 UTC 2019 - Fridrich Strba 
+
+- Remove pom parent, since we don't use it when not building with
+  maven
+
+---



Other differences:
--
++ apache-commons-pool.spec ++
--- /var/tmp/diff_new_pack.0tAJZ4/_old  2019-03-27 16:22:37.999514387 +0100
+++ /var/tmp/diff_new_pack.0tAJZ4/_new  2019-03-27 16:22:37.999514387 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package apache-commons-pool
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -29,12 +29,11 @@
 Patch0: jakarta-commons-pool-build.patch
 Patch1: commons-pool-1.6-sourcetarget.patch
 BuildRequires:  ant
-BuildRequires:  apache-commons-parent
+BuildRequires:  dos2unix
 BuildRequires:  fdupes
 BuildRequires:  java-devel >= 1.8
 BuildRequires:  javapackages-local
 BuildRequires:  junit
-Requires:   apache-commons-parent
 Provides:   jakarta-%{short_name} = %{version}-%{release}
 Obsoletes:  jakarta-%{short_name} < %{version}-%{release}
 Provides:   %{short_name} = %{version}-%{release}
@@ -68,6 +67,10 @@
 %patch0
 %patch1 -p1
 
+dos2unix README.txt
+
+%pom_remove_parent .
+
 %build
 ant -Djava.io.tmpdir=. clean dist
 




commit apache-commons-compress for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package apache-commons-compress for 
openSUSE:Factory checked in at 2019-03-27 16:22:21

Comparing /work/SRC/openSUSE:Factory/apache-commons-compress (Old)
 and  /work/SRC/openSUSE:Factory/.apache-commons-compress.new.25356 (New)


Package is "apache-commons-compress"

Wed Mar 27 16:22:21 2019 rev:2 rq:689042 version:1.18

Changes:

--- 
/work/SRC/openSUSE:Factory/apache-commons-compress/apache-commons-compress.changes
  2019-01-28 20:50:01.373805330 +0100
+++ 
/work/SRC/openSUSE:Factory/.apache-commons-compress.new.25356/apache-commons-compress.changes
   2019-03-27 16:22:24.587517182 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 17:32:03 UTC 2019 - Fridrich Strba 
+
+- Remove pom parent, since we don't use it when not building with
+  maven
+
+---



Other differences:
--
++ apache-commons-compress.spec ++
--- /var/tmp/diff_new_pack.67S9v3/_old  2019-03-27 16:22:25.563516978 +0100
+++ /var/tmp/diff_new_pack.67S9v3/_new  2019-03-27 16:22:25.563516978 +0100
@@ -1,5 +1,5 @@
 #
-# spec file for package apache-commons-compress
+# spec file for package apache
 #
 # Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
@@ -31,12 +31,10 @@
 Patch1: 0002-Remove-ZSTD-compressor.patch
 Patch2: fix_java_8_compatibility.patch
 BuildRequires:  ant
-BuildRequires:  apache-commons-parent
 BuildRequires:  fdupes
 BuildRequires:  java-devel >= 1.7
 BuildRequires:  javapackages-local
 BuildRequires:  xz-java
-Requires:   mvn(org.apache.commons:commons-parent:pom:)
 Requires:   mvn(org.tukaani:xz)
 Provides:   %{short_name} = %{version}-%{release}
 Obsoletes:  %{short_name} < %{version}-%{release}
@@ -87,6 +85,9 @@
 
 %pom_xpath_remove "pom:profiles/pom:profile[pom:id[text()='java9+']]"
 
+%pom_remove_parent .
+%pom_xpath_inject "pom:project" "org.apache.commons" .
+
 %build
 mkdir -p lib
 build-jar-repository -s lib xz-java




commit apache-commons-lang for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package apache-commons-lang for 
openSUSE:Factory checked in at 2019-03-27 16:22:32

Comparing /work/SRC/openSUSE:Factory/apache-commons-lang (Old)
 and  /work/SRC/openSUSE:Factory/.apache-commons-lang.new.25356 (New)


Package is "apache-commons-lang"

Wed Mar 27 16:22:32 2019 rev:11 rq:689050 version:2.6

Changes:

--- /work/SRC/openSUSE:Factory/apache-commons-lang/apache-commons-lang.changes  
2019-02-06 14:06:53.114655093 +0100
+++ 
/work/SRC/openSUSE:Factory/.apache-commons-lang.new.25356/apache-commons-lang.changes
   2019-03-27 16:22:34.735515067 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 17:43:13 UTC 2019 - Fridrich Strba 
+
+- Remove pom parent, since we don't use it when not building with
+  maven
+
+---



Other differences:
--
++ apache-commons-lang.spec ++
--- /var/tmp/diff_new_pack.YGKZuX/_old  2019-03-27 16:22:35.363514936 +0100
+++ /var/tmp/diff_new_pack.YGKZuX/_new  2019-03-27 16:22:35.363514936 +0100
@@ -31,13 +31,11 @@
 Patch1: 0002-Fix-FastDateFormat-for-Java-7-behaviour.patch
 BuildRequires:  ant
 BuildRequires:  ant-junit
-BuildRequires:  apache-commons-parent
 BuildRequires:  java-devel
 BuildRequires:  javapackages-local
 BuildRequires:  junit
 # Java 8 is the last version that can build with source and target level 1.4
 BuildConflicts: java-devel >= 1.9
-Requires:   apache-commons-parent
 Provides:   %{short_name} = %{version}-%{release}
 Provides:   jakarta-%{short_name} = %{version}-%{release}
 Obsoletes:  jakarta-%{short_name} < %{version}-%{release}
@@ -69,6 +67,8 @@
 %patch1 -p1
 sed -i 's/\r//' *.txt *.html
 
+%pom_remove_parent .
+
 %build
 export OPT_JAR_LIST=`cat %{_sysconfdir}/ant.d/junit`
 export CLASSPATH=




commit apache-commons-digester for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package apache-commons-digester for 
openSUSE:Factory checked in at 2019-03-27 16:22:29

Comparing /work/SRC/openSUSE:Factory/apache-commons-digester (Old)
 and  /work/SRC/openSUSE:Factory/.apache-commons-digester.new.25356 (New)


Package is "apache-commons-digester"

Wed Mar 27 16:22:29 2019 rev:3 rq:689048 version:2.1

Changes:

--- 
/work/SRC/openSUSE:Factory/apache-commons-digester/apache-commons-digester.changes
  2019-02-25 18:00:50.482107320 +0100
+++ 
/work/SRC/openSUSE:Factory/.apache-commons-digester.new.25356/apache-commons-digester.changes
   2019-03-27 16:22:29.647516127 +0100
@@ -1,0 +2,5 @@
+Wed Mar 27 10:04:43 UTC 2019 - Fridrich Strba 
+
+- Use global defines for name
+
+---



Other differences:
--
++ apache-commons-digester.spec ++
--- /var/tmp/diff_new_pack.uXO0ON/_old  2019-03-27 16:22:30.183516016 +0100
+++ /var/tmp/diff_new_pack.uXO0ON/_new  2019-03-27 16:22:30.187516015 +0100
@@ -19,7 +19,7 @@
 %define base_name   digester
 %define short_name  commons-%{base_name}
 %bcond_with tests
-Name:   apache-commons-digester
+Name:   apache-%{short_name}
 Version:2.1
 Release:0
 Summary:Jakarta Commons Digester Package




commit apache-commons-cli for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package apache-commons-cli for 
openSUSE:Factory checked in at 2019-03-27 16:22:17

Comparing /work/SRC/openSUSE:Factory/apache-commons-cli (Old)
 and  /work/SRC/openSUSE:Factory/.apache-commons-cli.new.25356 (New)


Package is "apache-commons-cli"

Wed Mar 27 16:22:17 2019 rev:12 rq:689039 version:1.4

Changes:

--- /work/SRC/openSUSE:Factory/apache-commons-cli/apache-commons-cli.changes
2019-02-06 14:07:39.202646681 +0100
+++ 
/work/SRC/openSUSE:Factory/.apache-commons-cli.new.25356/apache-commons-cli.changes
 2019-03-27 16:22:19.519518238 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 17:19:16 UTC 2019 - Fridrich Strba 
+
+- Remove pom parent, since we don't use it when not building with
+  maven
+
+---



Other differences:
--
++ apache-commons-cli.spec ++
--- /var/tmp/diff_new_pack.1xksIP/_old  2019-03-27 16:22:21.099517909 +0100
+++ /var/tmp/diff_new_pack.1xksIP/_new  2019-03-27 16:22:21.123517903 +0100
@@ -29,11 +29,9 @@
 Source1:build.xml.tar.bz2
 Patch0: CLI-253-workaround.patch
 BuildRequires:  ant
-BuildRequires:  apache-commons-parent
 BuildRequires:  fdupes
 BuildRequires:  java-devel >= 1.8
 BuildRequires:  javapackages-local
-Requires:   apache-commons-parent
 Requires:   java >= 1.8
 Provides:   jakarta-%{short_name} = %{version}-%{release}
 Obsoletes:  jakarta-%{short_name} < %{version}
@@ -58,6 +56,8 @@
 %setup -q -n %{short_name}-%{version}-src -a1
 %patch0 -p1
 
+%pom_remove_parent
+
 %build
 ant -Dmaven.mode.offline=true package javadoc \
 -Dmaven.test.skip=true \




commit apache-commons-dbcp1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package apache-commons-dbcp1 for 
openSUSE:Factory checked in at 2019-03-27 16:22:26

Comparing /work/SRC/openSUSE:Factory/apache-commons-dbcp1 (Old)
 and  /work/SRC/openSUSE:Factory/.apache-commons-dbcp1.new.25356 (New)


Package is "apache-commons-dbcp1"

Wed Mar 27 16:22:26 2019 rev:2 rq:689047 version:1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/apache-commons-dbcp1/apache-commons-dbcp1.changes
2018-12-18 14:58:26.658246608 +0100
+++ 
/work/SRC/openSUSE:Factory/.apache-commons-dbcp1.new.25356/apache-commons-dbcp1.changes
 2019-03-27 16:22:28.799516303 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 17:37:52 UTC 2019 - Fridrich Strba 
+
+- Remove pom parent, since we don't use it when not building with
+  maven
+
+---



Other differences:
--
++ apache-commons-dbcp1.spec ++
--- /var/tmp/diff_new_pack.LRCIrC/_old  2019-03-27 16:22:29.451516168 +0100
+++ /var/tmp/diff_new_pack.LRCIrC/_new  2019-03-27 16:22:29.451516168 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package apache-commons-dbcp
+# spec file for package apache-commons-dbcp1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -33,7 +33,6 @@
 Patch2: apache-commons-dbcp-jdbc41.patch
 BuildRequires:  ant >= 1.6.5
 BuildRequires:  apache-commons-logging
-BuildRequires:  apache-commons-parent
 BuildRequires:  apache-commons-pool
 BuildRequires:  fdupes
 BuildRequires:  geronimo-jta-1_1-api
@@ -42,7 +41,6 @@
 BuildRequires:  jdbc-stdext >= 2.0
 BuildRequires:  junit >= 3.8.1
 BuildRequires:  xerces-j2
-Requires:   apache-commons-parent
 Requires:   commons-collections >= 3.2
 Requires:   commons-pool
 Requires:   jta_api >= 1.1
@@ -86,6 +84,8 @@
 # remove all binary libs
 find . -name "*.jar" -exec rm -f {} \;
 
+%pom_remove_parent .
+
 %build
 ant \
 -Dcommons-pool.jar=$(build-classpath commons-pool) \





commit tuxpaint for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package tuxpaint for openSUSE:Factory 
checked in at 2019-03-27 16:21:42

Comparing /work/SRC/openSUSE:Factory/tuxpaint (Old)
 and  /work/SRC/openSUSE:Factory/.tuxpaint.new.25356 (New)


Package is "tuxpaint"

Wed Mar 27 16:21:42 2019 rev:8 rq:689008 version:0.9.22

Changes:

--- /work/SRC/openSUSE:Factory/tuxpaint/tuxpaint.changes2018-07-17 
09:43:56.956948809 +0200
+++ /work/SRC/openSUSE:Factory/.tuxpaint.new.25356/tuxpaint.changes 
2019-03-27 16:21:54.607523429 +0100
@@ -1,0 +2,13 @@
+Tue Mar 26 07:58:30 UTC 2019 - Christophe Giboudeaux 
+
+- Fix the previous commit. The build service picked the wrong
+  revision.
+
+---
+Mon Mar 25 16:36:02 UTC 2019 - Christophe Giboudeaux 
+
+- Add 0001-Prepare-the-kdelibs4-removal.patch to prepare the
+  kdelibs4 removal
+- Run spec-cleaner
+
+---

New:

  0001-Prepare-the-kdelibs4-removal.patch



Other differences:
--
++ tuxpaint.spec ++
--- /var/tmp/diff_new_pack.B1rDYg/_old  2019-03-27 16:21:55.299523285 +0100
+++ /var/tmp/diff_new_pack.B1rDYg/_new  2019-03-27 16:21:55.299523285 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package tuxpaint
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,21 +12,22 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
-%define kderootdir %(kde4-config --prefix || kde-config --prefix)
 %define gnomedir   %(gnome-config --prefix)
 Name:   tuxpaint
 Version:0.9.22
 Release:0
 Summary:Drawing Program for Young Children
-License:GPL-2.0+
+License:GPL-2.0-or-later
 Group:  Productivity/Graphics/Bitmap Editors
-Url:http://www.tuxpaint.org/
+URL:http://www.tuxpaint.org/
 Source: 
http://sourceforge.net/projects/tuxpaint/files/tuxpaint/%{version}/%{name}-%{version}.tar.gz
 Source1:tuxpaint-rpmlintrc
+# PATCH-FIX-OPENSUSE 0001-Prepare-the-kdelibs4-removal.patch
+Patch0: 0001-Prepare-the-kdelibs4-removal.patch
 Patch1: tuxpaint-import-eval.patch
 # PATCH-FIX-UPSTREAM bmwiedemann boo#1047218
 Patch2: reproducible.patch
@@ -40,7 +41,6 @@
 BuildRequires:  libpaper-devel
 BuildRequires:  libpng-devel
 BuildRequires:  zlib-devel
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 #
 # openSUSE
 #
@@ -55,8 +55,6 @@
 Requires:   netpbm
 Recommends: tuxpaint-config
 Recommends: tuxpaint-stamps
-# Makefile uses kde-config to detect KDE_PREFIX
-BuildRequires:  kdelibs4-core
 %endif
 #
 # Fedora
@@ -110,6 +108,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 %patch1  -b .import-eval-patch
 %patch2  -b .reproducible
 find . -name CVS   -print0 | xargs -0 rm -rf
@@ -160,12 +159,11 @@
 %find_lang %{name}
 
 %files -f %{name}.lang
-%defattr(-,root,root)
 %if 0%{?suse_version}
 %doc %{_defaultdocdir}/%{name}
 %endif
-%doc %{_mandir}/man1/tuxpaint*
-%doc %{_mandir}/pl/man1/tuxpaint.1*
+%{_mandir}/man1/tuxpaint*
+%{_mandir}/pl/man1/tuxpaint.1%{?ext_man}
 %dir %{_sysconfdir}/%{name}
 %dir %{_mandir}/pl
 %dir %{_mandir}/pl/man1
@@ -177,7 +175,7 @@
 %{_datadir}/%{name}/
 %{_datadir}/pixmaps/%{name}.*
 %{_datadir}/applications/*.desktop
-%{kderootdir}/share/icons/hicolor
+%{_datadir}/icons/hicolor
 %if 0%{?suse_version} <= 1130
 # locales not in official openSUSE distribution
 %dir %{_datadir}/locale/en_ZA
@@ -203,11 +201,10 @@
 %endif
 
 %files devel
-%defattr(-,root,root)
 %if 0%{?suse_version}
 %doc %{_defaultdocdir}/%{name}-devel
 %endif
-%doc %{_mandir}/man1/tp-magic-config*
+%{_mandir}/man1/tp-magic-config*
 %dir %{_includedir}/%{name}
 %{_bindir}/tp-magic-config
 %{_includedir}/%{name}/*

++ 0001-Prepare-the-kdelibs4-removal.patch ++
>From c4fbcd54d3e58076ba6ec79f4af82744de54aecc Mon Sep 17 00:00:00 2001
From: Christophe Giboudeaux 
Date: Mon, 25 Mar 2019 17:29:44 +0100
Subject: [PATCH] Prepare the kdelibs4 removal.

kdelibs is only used to get installation path. we'll hardcode them instead.
---
 Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/Makefile b/Makefile
index 730ed91..be386d8 100644
--- a/Makefile
+++ b/Makefile
@@ -165,8 +165,8 @@ endif
 ICON_PREFIX:=$(DESTDIR)$(PREFIX)/share/pixmaps
 

commit vimb for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package vimb for openSUSE:Factory checked in 
at 2019-03-27 16:22:02

Comparing /work/SRC/openSUSE:Factory/vimb (Old)
 and  /work/SRC/openSUSE:Factory/.vimb.new.25356 (New)


Package is "vimb"

Wed Mar 27 16:22:02 2019 rev:2 rq:689025 version:3.4.0

Changes:

--- /work/SRC/openSUSE:Factory/vimb/vimb.changes2019-02-28 
21:39:11.461625321 +0100
+++ /work/SRC/openSUSE:Factory/.vimb.new.25356/vimb.changes 2019-03-27 
16:22:04.635521340 +0100
@@ -1,0 +2,22 @@
+Wed Mar 27 08:55:32 UTC 2019 - mvet...@suse.com
+
+- Update to 3.4.0:
+  Added:
+  * Allow to show video in fullscreen, without statusbar and inputbox, if 
requested.
+  * Added option --no-maximize to no start with maximized window #483.
+  * New setting prevent-newwindow to enforce opening links into same window
+even if they are crafted by target="_blank" or using window.open(...)#544.
+  Changed:
+  * Increased min required webkit version to 2.20.x.
+  * Use man page date instead of build date to make reproducible builds.
+  * URLs shown on statusbar and title are now shown as punicode if they contain
+homographs.
+  Fixed:
+  * Fix out-of-bounds buffer access in parse_command (Thanks to Sören Tempel) 
#529.
+  * Fixed none shown hint labels by Content-Security-Policy headers #531.
+  * Fixed segfault on JavaScript window.close() call #537.
+  * Fixed no char inserted in input mode after timeout and imap/inoremap
+candidate #546.
+- Add vim-3.4.0-fixbuild.patch: fix non git build
+
+---

Old:

  3.3.0.tar.gz

New:

  3.4.0.tar.gz
  vim-3.4.0-fixbuild.patch



Other differences:
--
++ vimb.spec ++
--- /var/tmp/diff_new_pack.iQA3aG/_old  2019-03-27 16:22:05.543521150 +0100
+++ /var/tmp/diff_new_pack.iQA3aG/_new  2019-03-27 16:22:05.543521150 +0100
@@ -12,20 +12,22 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via https://bugs.opensuse.org/
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
 
 Name:   vimb
-Version:3.3.0
+Version:3.4.0
 Release:0
 Summary:The vim-like browser
 License:GPL-3.0-or-later
 Group:  Productivity/Networking/Web/Browsers
 URL:https://fanglingsu.github.io/vimb/
 Source: https://github.com/fanglingsu/vimb/archive/%{version}.tar.gz
+# FIX-UPSTREAM - mvet...@suse.com - https://github.com/fanglingsu/vimb/pull/552
+Patch0: vim-3.4.0-fixbuild.patch
 BuildRequires:  gtk3-devel
-BuildRequires:  webkit2gtk3-devel
+BuildRequires:  webkit2gtk3-devel >= 2.20
 
 %description
 vimb is a WebKit-based web browser that behaves like the vimperator
@@ -33,6 +35,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 make %{?_smp_mflags}

++ 3.3.0.tar.gz -> 3.4.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/vimb-3.3.0/.gitignore new/vimb-3.4.0/.gitignore
--- old/vimb-3.3.0/.gitignore   2018-11-06 23:27:25.0 +0100
+++ new/vimb-3.4.0/.gitignore   2019-03-26 23:47:03.0 +0100
@@ -3,3 +3,4 @@
 *.so
 *.tar.gz
 sandbox
+version.h
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/vimb-3.3.0/.travis.yml new/vimb-3.4.0/.travis.yml
--- old/vimb-3.3.0/.travis.yml  2018-11-06 23:27:25.0 +0100
+++ new/vimb-3.4.0/.travis.yml  2019-03-26 23:47:03.0 +0100
@@ -3,7 +3,7 @@
 gh-pages
 
 language: c
-dist: trusty
+dist: xenial
 sudo: required
 
 compiler:
@@ -11,7 +11,6 @@
   - clang
 
 before_install:
-  - sudo add-apt-repository ppa:webkit-team/ppa -y
   - sudo apt-get update -q
   - sudo apt-get install -y --allow-unauthenticated --no-install-recommends 
libwebkit2gtk-4.0-dev
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/vimb-3.3.0/CHANGELOG.md new/vimb-3.4.0/CHANGELOG.md
--- old/vimb-3.3.0/CHANGELOG.md 2018-11-06 23:27:25.0 +0100
+++ new/vimb-3.4.0/CHANGELOG.md 2019-03-26 23:47:03.0 +0100
@@ -11,6 +11,24 @@
 ### Fixed
 ### Removed
 
+## [3.4.0] - 2019-03-26
+### Added
+* Allow to show video in fullscreen, without statusbar and inputbox, if 
requested.
+* Added option `--no-maximize` to no start with maximized window #483.
+* New setting `prevent-newwindow` to enforce opening links into same window
+  even if they are crafted by `target="_blank"` or using `window.open(...)` 
#544.
+### Changed
+* Increased min required webkit version to 2.20.x.
+* Use man page date instead of build date ot make reproducible builds.
+* URLs shown on statusbar and title are now 

commit openscap for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package openscap for openSUSE:Factory 
checked in at 2019-03-27 16:22:05

Comparing /work/SRC/openSUSE:Factory/openscap (Old)
 and  /work/SRC/openSUSE:Factory/.openscap.new.25356 (New)


Package is "openscap"

Wed Mar 27 16:22:05 2019 rev:60 rq:689029 version:1.3.0

Changes:

--- /work/SRC/openSUSE:Factory/openscap/openscap.changes2018-12-04 
20:58:12.508594959 +0100
+++ /work/SRC/openSUSE:Factory/.openscap.new.25356/openscap.changes 
2019-03-27 16:22:09.199520388 +0100
@@ -1,0 +2,14 @@
+Tue Mar 26 13:55:18 UTC 2019 - Robert Frohl 
+
+- obsolete removed packages: openscap-engine-sce and openscap-extra-probes
+
+---
+Mon Mar 25 18:54:37 UTC 2019 - Bjørn Lie 
+
+- Drop gconf2-devel BuildRequires: It is not mandatory, so lets
+  build without this obsolete package.
+- Add pkgconfig(glib-2.0) and pkgconfig(gobject-2.0) BuildRequires:
+  They are also optional, but not obsolete, and previously pulled
+  in via gconf2-devel dependency, so lets build support for them.
+
+---



Other differences:
--
++ openscap.spec ++
--- /var/tmp/diff_new_pack.fVMsjS/_old  2019-03-27 16:22:11.235519964 +0100
+++ /var/tmp/diff_new_pack.fVMsjS/_new  2019-03-27 16:22:11.243519962 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package openscap
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -30,8 +30,7 @@
 Source: https://github.com/OpenSCAP/openscap/archive/%{version}.tar.gz
 Source1:openscap-rpmlintrc
 Source2:sysconfig.oscap-scan
-# SUSE specific profile, based on yast2-security
-# checks.
+# SUSE specific profile, based on yast2-security checks.
 # Generated from http://gitorious.org/test-suite/scap
 Source3:scap-yast2sec-xccdf.xml
 Source4:scap-yast2sec-oval.xml
@@ -62,7 +61,6 @@
 # Use package name cause of "have choice for perl(XML::Parser): brp-check-suse 
perl-XML-Parser"
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
-BuildRequires:  gconf2-devel
 BuildRequires:  libblkid-devel
 BuildRequires:  libcap-devel
 BuildRequires:  libselinux-devel
@@ -81,10 +79,15 @@
 BuildRequires:  sendmail
 BuildRequires:  swig
 BuildRequires:  unixODBC-devel
+BuildRequires:  pkgconfig(glib-2.0)
+BuildRequires:  pkgconfig(gobject-2.0)
 Summary:A Set of Libraries for Integration with SCAP
 License:LGPL-2.1-or-later
 Group:  Development/Tools/Other
 BuildRequires:  systemd-rpm-macros
+# remove extra packages from version 1.2.9 and older
+Obsoletes:  openscap-engine-sce < %{version}
+Obsoletes:  openscap-extra-probes < %{version}
 
 %description
 OpenSCAP is a set of open source libraries providing an easier path for




commit spectre-meltdown-checker for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package spectre-meltdown-checker for 
openSUSE:Factory checked in at 2019-03-27 16:21:58

Comparing /work/SRC/openSUSE:Factory/spectre-meltdown-checker (Old)
 and  /work/SRC/openSUSE:Factory/.spectre-meltdown-checker.new.25356 (New)


Package is "spectre-meltdown-checker"

Wed Mar 27 16:21:58 2019 rev:4 rq:689018 version:0.40

Changes:

--- 
/work/SRC/openSUSE:Factory/spectre-meltdown-checker/spectre-meltdown-checker.changes
2018-10-17 08:41:52.269831950 +0200
+++ 
/work/SRC/openSUSE:Factory/.spectre-meltdown-checker.new.25356/spectre-meltdown-checker.changes
 2019-03-27 16:21:59.615522385 +0100
@@ -1,0 +2,11 @@
+Wed Mar 27 08:02:00 UTC 2019 - Jan Engelhardt 
+
+- Use Source URL. Remove services, just run `osc service lr
+  download_files` for updating.
+
+---
+Wed Mar 27 06:50:08 UTC 2019 - Marcus Meissner 
+
+- disable the services, just run "osc service disabledrun" for upadating.
+
+---

Old:

  _service
  spectre-meltdown-checker-0.37.obscpio
  spectre-meltdown-checker-0.40.tar.gz

New:

  spectre-meltdown-checker-0.40.obscpio
  v0.40.tar.gz



Other differences:
--
++ spectre-meltdown-checker.spec ++
--- /var/tmp/diff_new_pack.OcEJNW/_old  2019-03-27 16:22:02.275521831 +0100
+++ /var/tmp/diff_new_pack.OcEJNW/_new  2019-03-27 16:22:02.275521831 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package spectre-meltdown-checker
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -23,7 +23,7 @@
 License:GPL-3.0-only
 Group:  Productivity/Security
 Url:https://github.com/speed47/spectre-meltdown-checker
-Source: %{name}-%{version}.tar.gz
+Source: 
https://github.com/speed47/spectre-meltdown-checker/archive/v%version.tar.gz
 ExclusiveArch:  %ix86 x86_64
 
 %description

++ spectre-meltdown-checker-0.37.obscpio -> 
spectre-meltdown-checker-0.40.obscpio ++
 2728 lines of diff (skipped)

++ spectre-meltdown-checker.obsinfo ++
--- /var/tmp/diff_new_pack.OcEJNW/_old  2019-03-27 16:22:02.363521813 +0100
+++ /var/tmp/diff_new_pack.OcEJNW/_new  2019-03-27 16:22:02.363521813 +0100
@@ -1,5 +1,5 @@
 name: spectre-meltdown-checker
-version: 0.37
-mtime: 1524088305
-commit: edebe4dcd47cb8457d778406ed9de7670d6d8eb5
+version: 0.40
+mtime: 1538593006
+commit: c705afe764d104cb23d952d8b08ada1b658f58ca
 




commit rubygem-activerecord-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-activerecord-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:21:37

Comparing /work/SRC/openSUSE:Factory/rubygem-activerecord-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activerecord-5_1.new.25356 (New)


Package is "rubygem-activerecord-5_1"

Wed Mar 27 16:21:37 2019 rev:7 rq:689005 version:5.1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activerecord-5_1/rubygem-activerecord-5_1.changes
2019-01-21 10:26:17.185689130 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activerecord-5_1.new.25356/rubygem-activerecord-5_1.changes
 2019-03-27 16:21:53.487523662 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:47:40 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.1.6.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  activerecord-5.1.6.1.gem

New:

  activerecord-5.1.6.2.gem



Other differences:
--
++ rubygem-activerecord-5_1.spec ++
--- /var/tmp/diff_new_pack.hQF8aS/_old  2019-03-27 16:21:54.095523535 +0100
+++ /var/tmp/diff_new_pack.hQF8aS/_new  2019-03-27 16:21:54.099523535 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-activerecord-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activerecord-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name activerecord
 %define mod_full_name %{mod_name}-%{version}

++ activerecord-5.1.6.1.gem -> activerecord-5.1.6.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:10:02.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:45:26.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.1.6.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.1.6.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_record/gem_version.rb 
new/lib/active_record/gem_version.rb
--- old/lib/active_record/gem_version.rb2018-11-27 21:10:02.0 
+0100
+++ new/lib/active_record/gem_version.rb2019-03-13 17:45:27.0 
+0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 1
 TINY  = 6
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:10:02.0 +0100
+++ new/metadata2019-03-13 17:45:26.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activerecord
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,28 +16,28 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: activemodel
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: arel
   requirement: !ruby/object:Gem::Requirement
@@ -320,8 +320,8 @@
 licenses:
 - MIT
 metadata:
-  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.1/activerecord
-  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.1/activerecord/CHANGELOG.md
+  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.2/activerecord
+  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.2/activerecord/CHANGELOG.md
 post_install_message: 
 rdoc_options:
 - "--main"
@@ -339,8 

commit librime for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package librime for openSUSE:Factory checked 
in at 2019-03-27 16:21:35

Comparing /work/SRC/openSUSE:Factory/librime (Old)
 and  /work/SRC/openSUSE:Factory/.librime.new.25356 (New)


Package is "librime"

Wed Mar 27 16:21:35 2019 rev:19 rq:688945 version:1.4.1~git20190324.dcdc301

Changes:

--- /work/SRC/openSUSE:Factory/librime/librime.changes  2018-10-15 
10:49:16.567016168 +0200
+++ /work/SRC/openSUSE:Factory/.librime.new.25356/librime.changes   
2019-03-27 16:21:51.471524083 +0100
@@ -1,0 +2,34 @@
+Mon Mar 25 08:57:23 UTC 2019 - Marguerite Su 
+
+- move binaries to main package
+
+---
+Mon Mar 25 02:40:07 UTC 2019 - opensuse-packag...@opensuse.org
+
+- Update to version 1.4.1~git20190324.dcdc301:
+  * feat(dict): specify vocabulary db name in dict settings
+  * chore(syllabifier): code cleanup
+  * fix(syllabifier): enable_completion not working
+  * feat(grammar): compare homophones/homographs in sentence
+  * refactor(Makefile): rename makefiles and change build directories
+  * chore(README.md): add contributor  [ci skip]
+  * refactor(sample): migrate sample plugin to new plugin build system
+  * refactor(cmake, plugins): BUILD_SEPARATE_LIBS by module, plus rime-plugins 
library or separate plugin libraries
+  * feat(CMakeList.txt): add plugin build support (#257)
+  * fix(config/plugins.h): memory leak caused by non-virtual destructor
+
+---
+Sun Feb 24 06:02:33 UTC 2019 - opensuse-packag...@opensuse.org
+
+- Update to version 1.4.1~git20190219.c587900:
+  * feat(rime_api): get candidate list from index
+  * refactor(algo, dict, translators): use logarithmic weights internally
+  * fix(table_translator): null pointer exception when dict entries are 
filtered
+  * chore(table_translator): move collected dict entries to sentence 
translation
+  * perf(dictionary): refactor DictEntryIterator and do partial sort
+  * fix(rime_levers_api.h): customize_bool() misused `bool` type
+- changes in 1.4.0
+  * user_config should not fall back to shared data
+  * remove dangling symlinks
+
+---

Old:

  librime-1.3.1+git20180822.19cea07e.tar.xz

New:

  _service
  baselibs.conf
  librime-1.4.1~git20190324.dcdc301.tar.xz



Other differences:
--
++ librime.spec ++
--- /var/tmp/diff_new_pack.ALZ3KL/_old  2019-03-27 16:21:52.039523964 +0100
+++ /var/tmp/diff_new_pack.ALZ3KL/_new  2019-03-27 16:21:52.039523964 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package librime
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,13 +17,14 @@
 
 
 Name:   librime
-Version:1.3.1+git20180822.19cea07e
+Version:1.4.1~git20190324.dcdc301
 Release:0
 Summary:Rime Input Method Engine
 License:BSD-3-Clause
 Group:  System/I18n/Chinese
 URL:https://github.com/rime/librime
 Source: %{name}-%{version}.tar.xz
+Source99:   baselibs.conf
 #PATCH-FIX-OPENSUSE workaround for gcc bug 53613 on 12.3 and lower
 Patch1: librime-1.1-gcc53613.patch
 #PATCH-FIX-OPENSUSE fix boost 1.49 filesystem linking on 12.3 and lower
@@ -44,7 +45,7 @@
 BuildRequires:  libboost_filesystem-devel
 BuildRequires:  libboost_locale-devel
 BuildRequires:  libboost_regex-devel
-BuildRequires:  libboost_signals-devel
+BuildRequires:  libboost_system-devel
 %else
 BuildRequires:  boost-devel
 %endif
@@ -66,6 +67,7 @@
 %package -n librime1
 Summary:Rime Input Method Engine
 Group:  System/Libraries
+Requires:   brise
 
 %description -n librime1
 Rime is an Traditional Chinese input method engine.
@@ -77,7 +79,6 @@
 %package devel
 Summary:Development files of Rime
 Group:  Development/Libraries/C and C++
-Requires:   librime1 = %{version}
 Requires:   rime = %{version}
 
 %description devel
@@ -114,7 +115,7 @@
 
 %files -n librime1
 %{_libdir}/%{name}.so.1
-%{_libdir}/%{name}.so.1.3.1
+%{_libdir}/%{name}.so.1.4.0
 
 %files devel
 %{_includedir}/rime_api.h

++ _service ++

  
https://github.com/rime/librime
git
.git
1.4.1~git%cd.%h
master
enable
  
  
librime-*.tar
xz
  
  
librime
  

++ baselibs.conf ++
librime1
  post "/sbin/ldconfig"
  postun "/sbin/ldconfig"



commit drush for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package drush for openSUSE:Factory checked 
in at 2019-03-27 16:21:31

Comparing /work/SRC/openSUSE:Factory/drush (Old)
 and  /work/SRC/openSUSE:Factory/.drush.new.25356 (New)


Package is "drush"

Wed Mar 27 16:21:31 2019 rev:11 rq:688907 version:8.2.2

Changes:

--- /work/SRC/openSUSE:Factory/drush/drush.changes  2019-03-15 
10:52:46.728963740 +0100
+++ /work/SRC/openSUSE:Factory/.drush.new.25356/drush.changes   2019-03-27 
16:21:49.535524486 +0100
@@ -1,0 +2,9 @@
+Tue Mar 26 22:44:57 UTC 2019 - ji...@boombatower.com
+
+- Update to version 8.2.2:
+  * Prep for 8.2.2
+  * Drush test traits for 8.x branch (#4008)
+  * Test Drupal 8.7.0-alpha1, and update exact versions tested for older minor 
releases of Drupal 8. (#4000)
+  * Back to dev
+
+---

Old:

  drush-8.2.1.tar.xz

New:

  drush-8.2.2.tar.xz



Other differences:
--
++ drush.spec ++
--- /var/tmp/diff_new_pack.LVyHVj/_old  2019-03-27 16:21:50.111524366 +0100
+++ /var/tmp/diff_new_pack.LVyHVj/_new  2019-03-27 16:21:50.111524366 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   drush
-Version:8.2.1
+Version:8.2.2
 Release:0
 Summary:Command line shell and scripting interface for Drupal
 # See licenses.txt for dependency licenses.

++ _service ++
--- /var/tmp/diff_new_pack.LVyHVj/_old  2019-03-27 16:21:50.139524360 +0100
+++ /var/tmp/diff_new_pack.LVyHVj/_new  2019-03-27 16:21:50.139524360 +0100
@@ -1,7 +1,7 @@
 
   
 @PARENT_TAG@
-refs/tags/8.2.1
+refs/tags/8.2.2
 git://github.com/drush-ops/drush.git
 git
 enable

++ _servicedata ++
--- /var/tmp/diff_new_pack.LVyHVj/_old  2019-03-27 16:21:50.155524357 +0100
+++ /var/tmp/diff_new_pack.LVyHVj/_new  2019-03-27 16:21:50.155524357 +0100
@@ -1,6 +1,6 @@
 
   
 git://github.com/drush-ops/drush.git
-76b4cf0e7ced91790b9c9a7053fa3e9f04fc69e3
+96622a19d7cabcdee0b08367eb529fed42e5fd0f
   
 

++ drush-8.2.1.tar.xz -> drush-8.2.2.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/drush-8.2.1/.travis.yml new/drush-8.2.2/.travis.yml
--- old/drush-8.2.1/.travis.yml 2019-03-14 04:57:03.0 +0100
+++ new/drush-8.2.2/.travis.yml 2019-03-26 17:04:40.0 +0100
@@ -27,17 +27,21 @@
 
 matrix:
   include:
+# D8.7.x
+- php: 7.0
+  env: 'UNISH_DRUPAL_MAJOR_VERSION=8 UNISH_DRUPAL_MINOR_VERSION=7.0-alpha1'
+
 # D8.6.x
 - php: 7.0
-  env: 'UNISH_DRUPAL_MAJOR_VERSION=8 UNISH_DRUPAL_MINOR_VERSION=6.3'
+  env: 'UNISH_DRUPAL_MAJOR_VERSION=8 UNISH_DRUPAL_MINOR_VERSION=6.12'
 
 # D8.5.x
 - php: 7.0
-  env: 'UNISH_DRUPAL_MAJOR_VERSION=8 UNISH_DRUPAL_MINOR_VERSION=5.8'
+  env: 'UNISH_DRUPAL_MAJOR_VERSION=8 UNISH_DRUPAL_MINOR_VERSION=5.13'
 
 # D8.4.x
 - php: 7.0
-  env: 'UNISH_DRUPAL_MAJOR_VERSION=8 UNISH_DRUPAL_MINOR_VERSION=4.5'
+  env: 'UNISH_DRUPAL_MAJOR_VERSION=8 UNISH_DRUPAL_MINOR_VERSION=4.8 
PHPUNIT_ARGS=--group=commands'
 
 # D8.3.x
 - php: 7.0
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/drush-8.2.1/composer.json 
new/drush-8.2.2/composer.json
--- old/drush-8.2.1/composer.json   2019-03-14 04:57:03.0 +0100
+++ new/drush-8.2.2/composer.json   2019-03-26 17:04:40.0 +0100
@@ -64,6 +64,9 @@
 "psr-0": {
   "Drush":"lib/",
   "Consolidation": "lib/"
+},
+"psr-4": {
+  "Drush\\":  "src/"
 }
   },
   "autoload-dev": {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/drush-8.2.1/drush.info new/drush-8.2.2/drush.info
--- old/drush-8.2.1/drush.info  2019-03-14 04:57:03.0 +0100
+++ new/drush-8.2.2/drush.info  2019-03-26 17:04:40.0 +0100
@@ -1 +1 @@
-drush_version=8.2.1
+drush_version=8.2.2
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/drush-8.2.1/src/TestTraits/CliTestTrait.php 
new/drush-8.2.2/src/TestTraits/CliTestTrait.php
--- old/drush-8.2.1/src/TestTraits/CliTestTrait.php 1970-01-01 
01:00:00.0 +0100
+++ new/drush-8.2.2/src/TestTraits/CliTestTrait.php 2019-03-26 
17:04:40.0 +0100
@@ -0,0 +1,222 @@
+process ? $this->process->getOutput() : '';
+}
+
+/**
+ * Accessor for the last stderr output, non-trimmed.
+ *
+ * @return string
+ *   Raw stderr as text.
+ *
+ * @access public
+ */
+public function getErrorOutputRaw()
+{
+return $this->process ? $this->process->getErrorOutput() : '';
+}
+
+/**
+ * Actually runs the command.
+ *
+ * 

commit python-mutt-ics for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package python-mutt-ics for openSUSE:Factory 
checked in at 2019-03-27 16:21:22

Comparing /work/SRC/openSUSE:Factory/python-mutt-ics (Old)
 and  /work/SRC/openSUSE:Factory/.python-mutt-ics.new.25356 (New)


Package is "python-mutt-ics"

Wed Mar 27 16:21:22 2019 rev:2 rq:688776 version:0.9

Changes:

--- /work/SRC/openSUSE:Factory/python-mutt-ics/python-mutt-ics.changes  
2018-11-10 17:02:24.279531714 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-mutt-ics.new.25356/python-mutt-ics.changes   
2019-03-27 16:21:35.879527332 +0100
@@ -1,0 +2,11 @@
+Tue Mar 26 14:07:37 UTC 2019 - Petr Gajdos 
+
+- require python-setuptools
+
+---
+Tue Mar 26 09:49:45 UTC 2019 - pgaj...@suse.com
+
+- version update to 0.9
+  * Use `try` to recognize naive datetime.
+
+---

Old:

  mutt_ics-0.8.tar.gz

New:

  mutt_ics-0.9.tar.gz



Other differences:
--
++ python-mutt-ics.spec ++
--- /var/tmp/diff_new_pack.xcDE7g/_old  2019-03-27 16:21:36.495527204 +0100
+++ /var/tmp/diff_new_pack.xcDE7g/_new  2019-03-27 16:21:36.495527204 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-mutt-ics
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-mutt-ics
-Version:0.8
+Version:0.9
 Release:0
 Summary:A tool to show calendar event details in Mutt
 License:MIT
@@ -30,6 +30,7 @@
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
 Requires:   python-icalendar >= 3.9.0
+Requires:   python-setuptools
 BuildArch:  noarch
 %ifpython3
 Provides:   mutt-ics
@@ -51,6 +52,12 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 install -pm 0644 %{SOURCE1} LICENSE
 
+%check
+# no upstream tests
+# however, there are samples/ on github at least
+# https://github.com/dmedvinsky/mutt-ics/issues/19
+# could we write small tests here?
+
 %files %{python_files}
 %doc README.md
 %license LICENSE

++ mutt_ics-0.8.tar.gz -> mutt_ics-0.9.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mutt_ics-0.8/PKG-INFO new/mutt_ics-0.9/PKG-INFO
--- old/mutt_ics-0.8/PKG-INFO   2016-12-23 10:14:18.0 +0100
+++ new/mutt_ics-0.9/PKG-INFO   2018-12-31 15:58:48.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: mutt_ics
-Version: 0.8
+Version: 0.9
 Summary: A tool to show calendar event details in Mutt.
 Home-page: https://github.com/dmedvinsky/mutt-ics
 Author: Dmitry Medvinsky
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mutt_ics-0.8/mutt_ics/mutt_ics.py 
new/mutt_ics-0.9/mutt_ics/mutt_ics.py
--- old/mutt_ics-0.8/mutt_ics/mutt_ics.py   2016-12-23 10:13:29.0 
+0100
+++ new/mutt_ics-0.9/mutt_ics/mutt_ics.py   2018-12-31 15:57:22.0 
+0100
@@ -76,9 +76,9 @@
 
 
 def format_date(x):
-if hasattr(x.dt, 'astimezone'):
+try:
 date_or_time = x.dt.astimezone(tz.tzlocal())
-else:
+except (AttributeError, ValueError):
 date_or_time = x.dt
 return date_or_time.strftime(datefmt)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mutt_ics-0.8/mutt_ics.egg-info/PKG-INFO 
new/mutt_ics-0.9/mutt_ics.egg-info/PKG-INFO
--- old/mutt_ics-0.8/mutt_ics.egg-info/PKG-INFO 2016-12-23 10:14:18.0 
+0100
+++ new/mutt_ics-0.9/mutt_ics.egg-info/PKG-INFO 2018-12-31 15:58:48.0 
+0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: mutt-ics
-Version: 0.8
+Version: 0.9
 Summary: A tool to show calendar event details in Mutt.
 Home-page: https://github.com/dmedvinsky/mutt-ics
 Author: Dmitry Medvinsky
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mutt_ics-0.8/setup.cfg new/mutt_ics-0.9/setup.cfg
--- old/mutt_ics-0.8/setup.cfg  2016-12-23 10:14:18.0 +0100
+++ new/mutt_ics-0.9/setup.cfg  2018-12-31 15:58:48.0 +0100
@@ -1,5 +1,4 @@
 [egg_info]
 tag_build = 
 tag_date = 0
-tag_svn_revision = 0
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mutt_ics-0.8/setup.py new/mutt_ics-0.9/setup.py
--- old/mutt_ics-0.8/setup.py   2016-12-23 10:13:56.0 +0100
+++ new/mutt_ics-0.9/setup.py   2018-12-31 15:57:49.0 +0100
@@ 

commit chromium for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package chromium for openSUSE:Factory 
checked in at 2019-03-27 16:20:30

Comparing /work/SRC/openSUSE:Factory/chromium (Old)
 and  /work/SRC/openSUSE:Factory/.chromium.new.25356 (New)


Package is "chromium"

Wed Mar 27 16:20:30 2019 rev:214 rq:688615 version:73.0.3683.86

Changes:

--- /work/SRC/openSUSE:Factory/chromium/chromium.changes2019-03-14 
15:00:34.375704710 +0100
+++ /work/SRC/openSUSE:Factory/.chromium.new.25356/chromium.changes 
2019-03-27 16:21:15.219531637 +0100
@@ -1,0 +2,22 @@
+Mon Mar 25 13:49:17 UTC 2019 - Tomáš Chvátal 
+
+- Add patch for pipewire build:
+  * chromium-73.0.3683.75-pipewire-cstring-fix.patch
+
+---
+Mon Mar 25 10:54:06 UTC 2019 - Tomáš Chvátal 
+
+- Update to 73.0.3683.86:
+  * Just feature fixes around
+- Refresh patch:
+  * chromium-non-void-return.patch
+
+---
+Thu Mar 21 11:00:28 UTC 2019 - Tomáš Chvátal 
+
+- Update conditions to use system harfbuzz on TW+
+- Require java during build
+- Enable using pipewire when available
+- Rebase chromium-vaapi.patch to match up the Fedora one
+
+---

Old:

  chromium-73.0.3683.75.tar.xz

New:

  chromium-73.0.3683.75-pipewire-cstring-fix.patch
  chromium-73.0.3683.86.tar.xz



Other differences:
--
++ chromium.spec ++
--- /var/tmp/diff_new_pack.xkQ9Vf/_old  2019-03-27 16:21:30.639528424 +0100
+++ /var/tmp/diff_new_pack.xkQ9Vf/_new  2019-03-27 16:21:30.643528423 +0100
@@ -27,15 +27,17 @@
 %endif
 %if 0%{?suse_version} >= 1550
 %bcond_without system_icu
+%bcond_without system_harfbuzz
+%bcond_without pipewire
 %else
 %bcond_with system_icu
+%bcond_with system_harfbuzz
+%bcond_with pipewire
 %endif
 %if 0%{?suse_version} >= 1500
 %bcond_without system_libxml
-%bcond_with system_harfbuzz
 %else
 %bcond_with system_libxml
-%bcond_with system_harfbuzz
 %endif
 %ifarch %{arm} aarch64
 %bcond_with swiftshader
@@ -46,7 +48,7 @@
 %bcond_with clang
 %bcond_with wayland
 Name:   chromium
-Version:73.0.3683.75
+Version:73.0.3683.86
 Release:0
 Summary:Google's open source browser project
 License:BSD-3-Clause AND LGPL-2.1-or-later
@@ -85,6 +87,7 @@
 Patch15:chromium-gcc.patch
 # Patch-FIX-UPSTREAM 
https://chromium-review.googlesource.com/c/crashpad/crashpad/+/1454376
 Patch16:chromium-fix_crashpad.patch
+Patch17:chromium-73.0.3683.75-pipewire-cstring-fix.patch
 # Google seem not too keen on merging this but GPU accel is quite important
 #  https://chromium-review.googlesource.com/c/chromium/src/+/532294
 #  
https://github.com/saiarcot895/chromium-ubuntu-build/tree/master/debian/patches
@@ -106,6 +109,8 @@
 BuildRequires:  gn
 BuildRequires:  gperf
 BuildRequires:  hicolor-icon-theme
+# Java used during build
+BuildRequires:  java-openjdk-headless
 BuildRequires:  libcap-devel
 BuildRequires:  libdc1394
 BuildRequires:  libgcrypt-devel
@@ -208,6 +213,9 @@
 Obsoletes:  chromium-ffmpegsumo
 # no 32bit supported and it takes ages to build
 ExcludeArch:%{ix86} %{arm} ppc ppc64 ppc64le s390 s390x
+%if %{with pipewire}
+BuildRequires:  pkgconfig(libpipewire-0.2)
+%endif
 %if %{with wayland}
 BuildRequires:  pkgconfig(gbm)
 BuildRequires:  pkgconfig(wayland-client)
@@ -510,7 +518,7 @@
 %endif
 %endif
 # do not eat all memory
-%limit_build -m 2500
+%limit_build -m 2600
 
 # Set system libraries to be used
 gn_system_libraries=(
@@ -603,6 +611,9 @@
 myconf_gn+=" enable_hangout_services_extension=true"
 myconf_gn+=" enable_vulkan=true"
 myconf_gn+=" enable_hevc_demuxing=true"
+%if %{with pipewire}
+myconf_gn+=" rtc_use_pipewire=true rtc_link_pipewire=true"
+%endif
 # ozone stuff
 %if %{with wayland}
 myconf_gn+=" use_ozone=true use_xkbcommon=true use_system_minigbm=true 
use_v4lplugin=true use_v4l2_codec=true use_linux_v4l2_only=true"

++ chromium-73.0.3683.75-pipewire-cstring-fix.patch ++
diff -up 
chromium-73.0.3683.75/third_party/webrtc/modules/desktop_capture/linux/base_capturer_pipewire.cc.cstringfix
 
chromium-73.0.3683.75/third_party/webrtc/modules/desktop_capture/linux/base_capturer_pipewire.cc
--- 
chromium-73.0.3683.75/third_party/webrtc/modules/desktop_capture/linux/base_capturer_pipewire.cc.cstringfix
 2019-03-13 13:04:25.290842447 -0400
+++ 
chromium-73.0.3683.75/third_party/webrtc/modules/desktop_capture/linux/base_capturer_pipewire.cc
2019-03-13 13:05:13.234897441 -0400
@@ -18,6 +18,7 @@
 #include 
 #include 
 
+#include 
 #include 
 #include 
 
++ chromium-73.0.3683.75.tar.xz -> chromium-73.0.3683.86.tar.xz ++

commit python-xxhash for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package python-xxhash for openSUSE:Factory 
checked in at 2019-03-27 16:20:58

Comparing /work/SRC/openSUSE:Factory/python-xxhash (Old)
 and  /work/SRC/openSUSE:Factory/.python-xxhash.new.25356 (New)


Package is "python-xxhash"

Wed Mar 27 16:20:58 2019 rev:2 rq:688642 version:1.3.0

Changes:

--- /work/SRC/openSUSE:Factory/python-xxhash/python-xxhash.changes  
2018-03-16 10:40:04.351552116 +0100
+++ /work/SRC/openSUSE:Factory/.python-xxhash.new.25356/python-xxhash.changes   
2019-03-27 16:21:30.959528357 +0100
@@ -1,0 +2,11 @@
+Tue Mar 26 09:21:38 UTC 2019 - pgaj...@suse.com
+
+- version update to 1.3.0
+  * Wheels are now built automatically
+  * Split CFFI variant into a separate package
+  * Add oneshot functions xxh{32,64}_{,int,hex}digest
+  * Allow input larger than 2GB
+  * Release the GIL on sufficiently large input
+  * Drop support for Python 3.2
+
+---

Old:

  xxhash-1.0.1.zip

New:

  xxhash-1.3.0.tar.gz



Other differences:
--
++ python-xxhash.spec ++
--- /var/tmp/diff_new_pack.wjQSVp/_old  2019-03-27 16:21:31.815528179 +0100
+++ /var/tmp/diff_new_pack.wjQSVp/_new  2019-03-27 16:21:31.819528177 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-xxhash
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,29 +12,27 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
+#
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
-%bcond_without test
 Name:   python-xxhash
-Version:1.0.1
+Version:1.3.0
 Release:0
-License:BSD-2-Clause
 Summary:Python binding for xxHash
-Url:https://github.com/ifduyue/python-xxhash
+License:BSD-2-Clause
 Group:  Development/Languages/Python
-Source: 
https://files.pythonhosted.org/packages/source/x/xxhash/xxhash-%{version}.zip
-BuildRequires:  python-rpm-macros
+Url:https://github.com/ifduyue/python-xxhash
+Source: 
https://files.pythonhosted.org/packages/source/x/xxhash/xxhash-%{version}.tar.gz
 BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module setuptools}
+BuildRequires:  python-rpm-macros
 # SECTION test requirements
-%if %{with test}
 BuildRequires:  %{python_module nose > 1.3.0}
-%endif
 # /SECTION
-BuildRequires:  unzip
 BuildRequires:  fdupes
+BuildRequires:  unzip
 
 %python_subpackages
 
@@ -52,10 +50,8 @@
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitearch}
 
-%if %{with test}
 %check
 %python_exec setup.py test
-%endif
 
 %files %{python_files}
 %defattr(-,root,root,-)




commit ncurses for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package ncurses for openSUSE:Factory checked 
in at 2019-03-27 16:20:27

Comparing /work/SRC/openSUSE:Factory/ncurses (Old)
 and  /work/SRC/openSUSE:Factory/.ncurses.new.25356 (New)


Package is "ncurses"

Wed Mar 27 16:20:27 2019 rev:154 rq:688199 version:6.1

Changes:

--- /work/SRC/openSUSE:Factory/ncurses/ncurses.changes  2019-02-24 
16:54:52.324923701 +0100
+++ /work/SRC/openSUSE:Factory/.ncurses.new.25356/ncurses.changes   
2019-03-27 16:20:30.307540996 +0100
@@ -1,0 +2,49 @@
+Mon Mar 25 11:15:44 UTC 2019 - Dr. Werner Fink 
+
+- Add ncurses patch 20190323
+  + move macro for is_linetouched() inside NCURSES_NOMACROS ifndef.
+  + corrected prototypes in several manpages using script to extract
+those in compilable form.
+  + use _nc_copy_termtype2() rather than direct assignment in setupterm,
+in case it is called repeatedly using fallback terminfo descriptions
+(report/patch by Werner Fink).
+- Drop patch ncurses-6.1-fallback.dif as now upstream
+
+---
+Fri Mar 22 08:59:22 UTC 2019 - Dr. Werner Fink 
+
+- Reintroduce patch ncurses-6.1-fallback.dif to fix boo#1130091 
+
+---
+Tue Mar 19 09:16:38 UTC 2019 - Dr. Werner Fink 
+
+- Add ncurses patch 20190317
+  + regenerate llib-* files.
+  + modify tic to also use new function for user-defined capability info.
+  + modify _nc_parse_entry() to check if a user-defined capability has
+an unexpected type; ignore it in that case.
+  + fix a special case of link-anchors in generated Ada html files.
+  + use newer rel=author tag in generated html rather than rev=made,
+which did not become accepted.
+
+---
+Mon Mar 11 08:19:08 UTC 2019 - Dr. Werner Fink 
+
+- Add ncurses patch 20190309
+  + in-progress changes to add parameter-checking for common user-defined
+capabilities in tic.
+  + update MKcodes.awk and MKnames.awk to ignore the new "userdef"
+data in Caps-ncurses (cf: 20190302).
+
+---
+Mon Feb 25 08:18:08 UTC 2019 - Dr. Werner Fink 
+
+- Add ncurses patch 20190223
+  + fix typo in adds200 -TD
+  + add tic check for consistent alternate character set capabilities.
+  + improve check in mvcur() to decide whether to use hard-tabs, using
+xt, tbc and hts as clues.
+  + replace check in reset command for obsolete "pt" capability using
+tbc and hts capabilities as clues (report by Nicolas Marriott).
+
+---



Other differences:
--
++ ncurses.spec ++
--- /var/tmp/diff_new_pack.Zt837n/_old  2019-03-27 16:20:31.599540727 +0100
+++ /var/tmp/diff_new_pack.Zt837n/_new  2019-03-27 16:20:31.603540726 +0100
@@ -74,7 +74,7 @@
 Source7:baselibs.conf
 Patch0: ncurses-6.1.dif
 Patch1: ncurses-5.9-ibm327x.dif
-Patch4: ncurses-5.7-tack.dif
+Patch2: ncurses-5.7-tack.dif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %global _miscdir%{_datadir}/misc
 %global _incdir %{_includedir}
@@ -310,7 +310,7 @@
 tar -xzf %{S:5}
 mv tack-* tack
 %patch1 -p0 -b .327x
-%patch4 -p0 -b .hs
+%patch2 -p0 -b .hs
 %patch0 -p0 -b .p0
 
 %build

++ ncurses-6.1-patches.tar.bz2 ++
 19508 lines of diff (skipped)

++ ncurses-6.1.dif ++
--- /var/tmp/diff_new_pack.Zt837n/_old  2019-03-27 16:20:34.195540186 +0100
+++ /var/tmp/diff_new_pack.Zt837n/_new  2019-03-27 16:20:34.195540186 +0100
@@ -311,7 +311,7 @@
  #undef  NCURSES_OSPEED 
 --- include/tic.h
 +++ include/tic.h  2019-02-06 07:51:48.445355328 +
-@@ -221,12 +221,12 @@ struct alias
+@@ -236,12 +236,12 @@ struct alias
   */
  
  /* out-of-band values for representing absent capabilities */
@@ -784,7 +784,7 @@
  ibm5081-c|ibmmpel-c|IBM 5081 1024x1024 256/4096 Megapel enhanced color 
display,
 --- ncurses/Makefile.in
 +++ ncurses/Makefile.in2019-02-06 07:51:48.453355178 +
-@@ -219,7 +219,7 @@ $(DESTDIR)$(libdir) :
+@@ -221,7 +221,7 @@ $(DESTDIR)$(libdir) :
  ../lib : ; mkdir $@
  
  ./fallback.c : $(tinfo)/MKfallback.sh
@@ -795,7 +795,7 @@
$(SHELL) -e $(base)/MKlib_gen.sh "$(CPP) $(CPPFLAGS)" "$(AWK)" 
generated <../include/curses.h >$@
 --- ncurses/curses.priv.h
 +++ ncurses/curses.priv.h  2019-02-06 07:51:48.453355178 +
-@@ -2205,6 +2205,8 @@ extern NCURSES_EXPORT(char *) _nc_tracec
+@@ -2224,6 +2224,8 @@ extern NCURSES_EXPORT(char *) _nc_tracec
  extern NCURSES_EXPORT(char *) _nc_tracemouse (SCREEN *, MEVENT const *);
  extern NCURSES_EXPORT(char *) _nc_trace_mmask_t 

commit telepathy-logger-qt5 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package telepathy-logger-qt5 for 
openSUSE:Factory checked in at 2019-03-27 16:20:23

Comparing /work/SRC/openSUSE:Factory/telepathy-logger-qt5 (Old)
 and  /work/SRC/openSUSE:Factory/.telepathy-logger-qt5.new.25356 (New)


Package is "telepathy-logger-qt5"

Wed Mar 27 16:20:23 2019 rev:1 rq:687696 version:17.08.0

Changes:

New Changes file:

--- /dev/null   2018-10-29 14:05:42.522318975 +0100
+++ 
/work/SRC/openSUSE:Factory/.telepathy-logger-qt5.new.25356/telepathy-logger-qt5.changes
 2019-03-27 16:20:23.831542346 +0100
@@ -0,0 +1,36 @@
+---
+Mon Nov 26 14:41:14 UTC 2018 - wba...@tmo.at
+
+- Don't set LIB_SUFFIX manually, it's not necessary
+- Update URL
+- Run spec-cleaner
+
+---
+Thu Feb  8 21:49:43 UTC 2018 - wba...@tmo.at
+
+- Force python2 by passing -DPYTHON_EXECUTABLE=%{_bindir}/python2
+  to cmake to fix build on Tumbleweed
+
+---
+Fri Aug 25 13:02:10 UTC 2017 - wba...@tmo.at
+
+- Update to 17.08.0:
+  *  fix compatibility with cmake-3.9.x
+
+---
+Thu Feb  2 15:01:54 UTC 2017 - adam.ma...@suse.de
+
+- use individual libboost-*-devel packages instead of boost-devel
+
+---
+Fri Apr 24 12:02:08 UTC 2015 - tittiatc...@gmail.com
+
+- Update to KDE Applications 15.04.0
+   * KDE Applications 15.04.0
+   * https://www.kde.org/announcements/announce-applications-15.04.0.php
+
+---
+Fri Nov  7 17:10:13 UTC 2014 - alinm.el...@gmail.com
+
+- initial comit 
+

New:

  telepathy-logger-qt-17.08.0.tar.xz
  telepathy-logger-qt5.changes
  telepathy-logger-qt5.spec



Other differences:
--
++ telepathy-logger-qt5.spec ++
#
# spec file for package telepathy-logger-qt5
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
%define SOVERSION 5
Name:   telepathy-logger-qt5
Version:17.08.0
Release:0
Summary:Qt Wrapper around TpLogger client library
License:LGPL-2.1-or-later
Group:  Productivity/Networking/Instant Messenger
URL:https://github.com/KDE/telepathy-logger-qt
Source0:telepathy-logger-qt-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig
BuildRequires:  python-xml
BuildRequires:  telepathy-logger-devel >= 0.8.0
BuildRequires:  telepathy-qt5-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(farstream-0.2)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(telepathy-farstream)
BuildRequires:  pkgconfig(telepathy-glib)
Requires:   telepathy-logger >= 0.8.0
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif

%description
Telepathy-logger-qt5 is a Qt Wrapper around the TpLogger client library.
It is needed by KDE Telepathy in order to log the chat activity.

%package devel
Summary:Qt Wrapper around TpLogger client library
Group:  Development/Libraries/KDE
Requires:   libtelepathy-logger-qt%{SOVERSION} = %{version}
Requires:   telepathy-glib-devel
Requires:   telepathy-logger-devel >= 0.8.0
Conflicts:  telepathy-logger-qt4-devel

%description devel
Telepathy-logger-qt5 is a Qt Wrapper around the TpLogger client library.
It is needed by KDE Telepathy in order to log the chat activity.

%package -n libtelepathy-logger-qt%{SOVERSION}
Summary:Qt Wrapper around TpLogger client library
Group:  

commit rubygem-activejob-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-activejob-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:18:43

Comparing /work/SRC/openSUSE:Factory/rubygem-activejob-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activejob-5_1.new.25356 (New)


Package is "rubygem-activejob-5_1"

Wed Mar 27 16:18:43 2019 rev:6 rq:685148 version:5.1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activejob-5_1/rubygem-activejob-5_1.changes  
2019-01-21 10:26:54.941647688 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activejob-5_1.new.25356/rubygem-activejob-5_1.changes
   2019-03-27 16:18:46.259562678 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:45:59 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.1.6.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  activejob-5.1.6.1.gem

New:

  activejob-5.1.6.2.gem



Other differences:
--
++ rubygem-activejob-5_1.spec ++
--- /var/tmp/diff_new_pack.5yc5S1/_old  2019-03-27 16:18:47.867562344 +0100
+++ /var/tmp/diff_new_pack.5yc5S1/_new  2019-03-27 16:18:47.871562343 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-activejob-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activejob-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name activejob
 %define mod_full_name %{mod_name}-%{version}

++ activejob-5.1.6.1.gem -> activejob-5.1.6.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:10:09.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:45:45.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.1.6.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.1.6.1 (November 27, 2018) ##
 
 *   Do not deserialize GlobalID objects that were not generated by Active Job.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_job/gem_version.rb 
new/lib/active_job/gem_version.rb
--- old/lib/active_job/gem_version.rb   2018-11-27 21:10:09.0 +0100
+++ new/lib/active_job/gem_version.rb   2019-03-13 17:45:45.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 1
 TINY  = 6
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:10:09.0 +0100
+++ new/metadata2019-03-13 17:45:45.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activejob
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: globalid
   requirement: !ruby/object:Gem::Requirement
@@ -86,8 +86,8 @@
 licenses:
 - MIT
 metadata:
-  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.1/activejob
-  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.1/activejob/CHANGELOG.md
+  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.2/activejob
+  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.2/activejob/CHANGELOG.md
 post_install_message: 
 rdoc_options: []
 require_paths:
@@ -103,8 +103,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.6
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: Job framework with pluggable queues.




commit ktp-call-ui for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package ktp-call-ui for openSUSE:Factory 
checked in at 2019-03-27 16:19:19

Comparing /work/SRC/openSUSE:Factory/ktp-call-ui (Old)
 and  /work/SRC/openSUSE:Factory/.ktp-call-ui.new.25356 (New)


Package is "ktp-call-ui"

Wed Mar 27 16:19:19 2019 rev:1 rq:687656 version:18.12.3

Changes:

New Changes file:

--- /dev/null   2018-10-29 14:05:42.522318975 +0100
+++ /work/SRC/openSUSE:Factory/.ktp-call-ui.new.25356/ktp-call-ui.changes   
2019-03-27 16:19:20.37170 +0100
@@ -0,0 +1,335 @@
+---
+Thu Mar  7 14:58:13 UTC 2019 - Wolfgang Bauer 
+
+- Update to 18.12.3
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.12.3.php
+- Changes since 18.12.2:
+  * No code changes since 18.12.2
+
+---
+Sun Feb 10 17:41:24 UTC 2019 - wba...@tmo.at
+
+- Update to 18.12.2
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.12.2.php
+- Changes since 18.12.1:
+  * No code changes since 18.12.1
+
+---
+Wed Jan 16 10:57:48 UTC 2019 - wba...@tmo.at
+
+- Update to 18.12.1
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.12.1.php
+- Changes since 18.12.0:
+  * No code changes since 18.12.0
+
+---
+Fri Dec 14 08:01:29 UTC 2018 - wba...@tmo.at
+
+- Update to 18.12.0
+  * New feature release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.12.0.php
+- Changes since 18.08.3:
+  * No code changes since 18.08.3
+- Run spec-cleaner
+
+---
+Fri Nov  9 10:53:49 UTC 2018 - wba...@tmo.at
+
+- Update to 18.08.3
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.08.3.php
+- Changes since 18.08.2:
+  * No code changes since 18.08.2
+
+---
+Fri Oct 12 08:19:50 UTC 2018 - wba...@tmo.at
+
+- Update to 18.08.2
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.08.2.php
+- Changes since 18.08.1:
+  * None
+
+---
+Fri Sep  7 12:00:19 UTC 2018 - wba...@tmo.at
+
+- Update to 18.08.1
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.08.1.php
+- Changes since 18.08.0:
+  * None
+
+---
+Fri Aug 17 10:42:35 UTC 2018 - wba...@tmo.at
+
+- Update to 18.08.0
+  * New feature release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.08.0.php
+- Changes since 18.04.3:
+  * None
+
+---
+Fri Jul 13 23:53:23 UTC 2018 - wba...@tmo.at
+
+- Update to 18.04.3
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.04.3.php
+- Changes since 18.04.2:
+  * None
+
+---
+Fri Jun  8 07:11:38 UTC 2018 - wba...@tmo.at
+
+- Update to 18.04.2
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.04.2.php
+- Changes since 18.04.1:
+  * None
+
+---
+Fri May 25 11:55:05 UTC 2018 - wba...@tmo.at
+
+- Update to 18.04.1
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-18.04.1.php
+- Changes since 17.08.3:
+  * None
+
+---
+Thu Nov 09 23:12:27 CET 2017 - lbeltr...@kde.org
+
+- Update to 17.08.3
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-17.08.3.php
+- Changes since 17.08.2:
+  * None
+
+---
+Tue Oct 17 00:32:37 CEST 2017 - lbeltr...@kde.org
+
+- Update to 17.08.2
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-17.08.2.php
+- Changes since 17.08.1:
+  * None
+
+---
+Thu Sep 07 07:02:28 CEST 2017 - lbeltr...@kde.org
+
+- Update to 17.08.1
+ 

commit rubygem-actionmailer-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-actionmailer-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:18:52

Comparing /work/SRC/openSUSE:Factory/rubygem-actionmailer-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actionmailer-5_0.new.25356 (New)


Package is "rubygem-actionmailer-5_0"

Wed Mar 27 16:18:52 2019 rev:10 rq:685153 version:5.0.7.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actionmailer-5_0/rubygem-actionmailer-5_0.changes
2019-01-21 10:27:41.573596543 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actionmailer-5_0.new.25356/rubygem-actionmailer-5_0.changes
 2019-03-27 16:18:54.907560877 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:42:17 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.0.7.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  actionmailer-5.0.7.1.gem

New:

  actionmailer-5.0.7.2.gem



Other differences:
--
++ rubygem-actionmailer-5_0.spec ++
--- /var/tmp/diff_new_pack.GBXDje/_old  2019-03-27 16:18:55.531560746 +0100
+++ /var/tmp/diff_new_pack.GBXDje/_new  2019-03-27 16:18:55.535560746 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-actionmailer-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actionmailer-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name actionmailer
 %define mod_full_name %{mod_name}-%{version}

++ actionmailer-5.0.7.1.gem -> actionmailer-5.0.7.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:08:10.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:40:33.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.0.7.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.0.7.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_mailer/gem_version.rb 
new/lib/action_mailer/gem_version.rb
--- old/lib/action_mailer/gem_version.rb2018-11-27 21:08:10.0 
+0100
+++ new/lib/action_mailer/gem_version.rb2019-03-13 17:40:33.0 
+0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 0
 TINY  = 7
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:10.0 +0100
+++ new/metadata2019-03-13 17:40:33.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: actionmailer
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: actionpack
@@ -16,42 +16,42 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: actionview
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: activejob
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: mail
   requirement: !ruby/object:Gem::Requirement
@@ -136,8 +136,7 @@

commit rubygem-autoprefixer-rails for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-autoprefixer-rails for 
openSUSE:Factory checked in at 2019-03-27 16:18:56

Comparing /work/SRC/openSUSE:Factory/rubygem-autoprefixer-rails (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-autoprefixer-rails.new.25356 (New)


Package is "rubygem-autoprefixer-rails"

Wed Mar 27 16:18:56 2019 rev:26 rq:687130 version:9.5.0

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-autoprefixer-rails/rubygem-autoprefixer-rails.changes
2019-01-21 10:53:43.823773815 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-autoprefixer-rails.new.25356/rubygem-autoprefixer-rails.changes
 2019-03-27 16:18:58.867560051 +0100
@@ -1,0 +2,42 @@
+Mon Mar 18 11:57:21 UTC 2019 - manuel 
+
+- updated to version 9.5.0
+
+  * Add mask-composite support (by Semen Levenson).
+
+---
+Thu Mar 14 10:49:59 UTC 2019 - Stephan Kulow 
+
+- updated to version 9.4.10.2
+ see installed CHANGELOG.md
+
+  ## 9.4.10.2
+  * Fix Ruby < 2.4 support (by Jack Ford).
+  * Update Can I Use data.
+  
+  ## 9.4.10.1
+  * Fix non-Rails environments support (by Junya Ogura).
+  * Update Can I Use data.
+  
+  ## 9.4.10
+  * Add warning for named Grid rows.
+
+---
+Sat Mar  2 15:04:50 UTC 2019 - Stephan Kulow 
+
+- updated to version 9.4.9
+ see installed CHANGELOG.md
+
+  ## 9.4.9
+  * Fix `grid-template` and `@media` case (by Bogdan Dolin).
+  
+  ## 9.4.8
+  * Fix `calc()` support in Grid gap.
+  
+  ## 9.4.7
+  * Fix infinite loop on mismatched parens.
+  
+  ## 9.4.6
+  * Fix warning text (by Albert Juhé Lluveras).
+
+---

Old:

  autoprefixer-rails-9.4.5.gem

New:

  autoprefixer-rails-9.5.0.gem



Other differences:
--
++ rubygem-autoprefixer-rails.spec ++
--- /var/tmp/diff_new_pack.xtsSxW/_old  2019-03-27 16:18:59.403559940 +0100
+++ /var/tmp/diff_new_pack.xtsSxW/_new  2019-03-27 16:18:59.407559938 +0100
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-autoprefixer-rails
-Version:9.4.5
+Version:9.5.0
 Release:0
 %define mod_name autoprefixer-rails
 %define mod_full_name %{mod_name}-%{version}
@@ -35,12 +35,12 @@
 Url:https://github.com/ai/autoprefixer-rails
 Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
-Summary:Parse CSS and add vendor prefixes to CSS rules using values 
from the
+Summary:Parse CSS and add vendor prefixes to CSS rules usingvalues 
from the
 License:MIT
 Group:  Development/Languages/Ruby
 
 %description
-Parse CSS and add vendor prefixes to CSS rules using values from the Can I Use
+Parse CSS and add vendor prefixes to CSS rules usingvalues from the Can I Use
 website.
 
 %prep

++ autoprefixer-rails-9.4.5.gem -> autoprefixer-rails-9.5.0.gem ++
 52419 lines of diff (skipped)




commit rubygem-actionmailer-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-actionmailer-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:18:50

Comparing /work/SRC/openSUSE:Factory/rubygem-actionmailer-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actionmailer-5_1.new.25356 (New)


Package is "rubygem-actionmailer-5_1"

Wed Mar 27 16:18:50 2019 rev:6 rq:685152 version:5.1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actionmailer-5_1/rubygem-actionmailer-5_1.changes
2019-01-21 10:27:40.857597328 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actionmailer-5_1.new.25356/rubygem-actionmailer-5_1.changes
 2019-03-27 16:18:53.639561141 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:42:34 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.1.6.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  actionmailer-5.1.6.1.gem

New:

  actionmailer-5.1.6.2.gem



Other differences:
--
++ rubygem-actionmailer-5_1.spec ++
--- /var/tmp/diff_new_pack.818Fcy/_old  2019-03-27 16:18:54.635560933 +0100
+++ /var/tmp/diff_new_pack.818Fcy/_new  2019-03-27 16:18:54.639560932 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-actionmailer-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actionmailer-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name actionmailer
 %define mod_full_name %{mod_name}-%{version}

++ actionmailer-5.1.6.1.gem -> actionmailer-5.1.6.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:10:10.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:45:48.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.1.6.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.1.6.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_mailer/gem_version.rb 
new/lib/action_mailer/gem_version.rb
--- old/lib/action_mailer/gem_version.rb2018-11-27 21:10:10.0 
+0100
+++ new/lib/action_mailer/gem_version.rb2019-03-13 17:45:48.0 
+0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 1
 TINY  = 6
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:10:10.0 +0100
+++ new/metadata2019-03-13 17:45:48.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: actionmailer
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: actionpack
@@ -16,42 +16,42 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: actionview
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: activejob
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: mail
   requirement: !ruby/object:Gem::Requirement
@@ -121,8 +121,8 @@
 

commit rubygem-actioncable-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-actioncable-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:18:48

Comparing /work/SRC/openSUSE:Factory/rubygem-actioncable-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actioncable-5_0.new.25356 (New)


Package is "rubygem-actioncable-5_0"

Wed Mar 27 16:18:48 2019 rev:10 rq:685151 version:5.0.7.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actioncable-5_0/rubygem-actioncable-5_0.changes
  2019-01-21 10:28:05.217570628 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actioncable-5_0.new.25356/rubygem-actioncable-5_0.changes
   2019-03-27 16:18:50.547561785 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:40:59 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.0.7.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  actioncable-5.0.7.1.gem

New:

  actioncable-5.0.7.2.gem



Other differences:
--
++ rubygem-actioncable-5_0.spec ++
--- /var/tmp/diff_new_pack.FV6iIl/_old  2019-03-27 16:18:51.107561669 +0100
+++ /var/tmp/diff_new_pack.FV6iIl/_new  2019-03-27 16:18:51.107561669 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-actioncable-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actioncable-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name actioncable
 %define mod_full_name %{mod_name}-%{version}

++ actioncable-5.0.7.1.gem -> actioncable-5.0.7.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:08:13.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:40:38.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.0.7.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.0.7.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_cable/gem_version.rb 
new/lib/action_cable/gem_version.rb
--- old/lib/action_cable/gem_version.rb 2018-11-27 21:08:13.0 +0100
+++ new/lib/action_cable/gem_version.rb 2019-03-13 17:40:38.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 0
 TINY  = 7
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:13.0 +0100
+++ new/metadata2019-03-13 17:40:38.0 +0100
@@ -1,7 +1,7 @@
 --- !ruby/object:Gem::Specification
 name: actioncable
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - Pratik Naik
@@ -9,7 +9,7 @@
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: actionpack
@@ -17,14 +17,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: nio4r
   requirement: !ruby/object:Gem::Requirement
@@ -155,8 +155,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.6
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: WebSocket framework for Rails.




commit rubygem-activesupport-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-activesupport-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:18:40

Comparing /work/SRC/openSUSE:Factory/rubygem-activesupport-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activesupport-5_0.new.25356 (New)


Package is "rubygem-activesupport-5_0"

Wed Mar 27 16:18:40 2019 rev:10 rq:685145 version:5.0.7.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activesupport-5_0/rubygem-activesupport-5_0.changes
  2019-01-21 10:26:06.889700436 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activesupport-5_0.new.25356/rubygem-activesupport-5_0.changes
   2019-03-27 16:18:41.911563585 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:48:16 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.0.7.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  activesupport-5.0.7.1.gem

New:

  activesupport-5.0.7.2.gem



Other differences:
--
++ rubygem-activesupport-5_0.spec ++
--- /var/tmp/diff_new_pack.a5jcQ4/_old  2019-03-27 16:18:42.427563477 +0100
+++ /var/tmp/diff_new_pack.a5jcQ4/_new  2019-03-27 16:18:42.431563476 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-activesupport-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activesupport-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name activesupport
 %define mod_full_name %{mod_name}-%{version}

++ activesupport-5.0.7.1.gem -> activesupport-5.0.7.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:08:02.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:40:12.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.0.7.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.0.7.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_support/gem_version.rb 
new/lib/active_support/gem_version.rb
--- old/lib/active_support/gem_version.rb   2018-11-27 21:08:02.0 
+0100
+++ new/lib/active_support/gem_version.rb   2019-03-13 17:40:12.0 
+0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 0
 TINY  = 7
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:02.0 +0100
+++ new/metadata2019-03-13 17:40:12.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activesupport
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: i18n
@@ -341,8 +341,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.6
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: A toolkit of support libraries and Ruby core extensions extracted 
from the




commit rubygem-hoe for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-hoe for openSUSE:Factory 
checked in at 2019-03-27 16:18:34

Comparing /work/SRC/openSUSE:Factory/rubygem-hoe (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-hoe.new.25356 (New)


Package is "rubygem-hoe"

Wed Mar 27 16:18:34 2019 rev:43 rq:685143 version:3.17.2

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-hoe/rubygem-hoe.changes  2018-11-26 
10:34:13.448752578 +0100
+++ /work/SRC/openSUSE:Factory/.rubygem-hoe.new.25356/rubygem-hoe.changes   
2019-03-27 16:18:37.219564563 +0100
@@ -1,0 +2,12 @@
+Thu Mar 14 10:57:04 UTC 2019 - Stephan Kulow 
+
+- updated to version 3.17.2
+ see installed History.rdoc
+
+  === 3.17.2 / 2019-03-13
+  
+  * 1 bug fix:
+  
+* Fixed gem sign breakage caused by rubygems update. Tested against 
rubygems 3.0.2
+
+---

Old:

  hoe-3.17.1.gem

New:

  hoe-3.17.2.gem



Other differences:
--
++ rubygem-hoe.spec ++
--- /var/tmp/diff_new_pack.KnS1G7/_old  2019-03-27 16:18:38.083564383 +0100
+++ /var/tmp/diff_new_pack.KnS1G7/_new  2019-03-27 16:18:38.087564382 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-hoe
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-hoe
-Version:3.17.1
+Version:3.17.2
 Release:0
 %define mod_name hoe
 %define mod_full_name %{mod_name}-%{version}

++ hoe-3.17.1.gem -> hoe-3.17.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/History.rdoc new/History.rdoc
--- old/History.rdoc2018-09-07 00:14:24.0 +0200
+++ new/History.rdoc2019-03-13 23:04:02.0 +0100
@@ -1,3 +1,9 @@
+=== 3.17.2 / 2019-03-13
+
+* 1 bug fix:
+
+  * Fixed gem sign breakage caused by rubygems update. Tested against rubygems 
3.0.2
+
 === 3.17.1 / 2018-09-06
 
 * 1 bug fix:
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
Binary files old/checksums.yaml.gz.sig and new/checksums.yaml.gz.sig differ
Binary files old/data.tar.gz.sig and new/data.tar.gz.sig differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/hoe/signing.rb new/lib/hoe/signing.rb
--- old/lib/hoe/signing.rb  2018-09-07 00:14:24.0 +0200
+++ new/lib/hoe/signing.rb  2019-03-13 23:04:03.0 +0100
@@ -70,7 +70,7 @@
 end
 
 if signing_key and cert_chain then
-  spec.signing_key = signing_key
+  spec.signing_key = OpenSSL::PKey::RSA.new File.read signing_key
   spec.cert_chain = cert_chain
 end
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/hoe.rb new/lib/hoe.rb
--- old/lib/hoe.rb  2018-09-07 00:14:24.0 +0200
+++ new/lib/hoe.rb  2019-03-13 23:04:03.0 +0100
@@ -91,7 +91,7 @@
   include Rake::DSL if defined?(Rake::DSL)
 
   # duh
-  VERSION = "3.17.1"
+  VERSION = "3.17.2"
 
   @@plugins = [:clean, :debug, :deps, :flay, :flog, :newb, :package,
:publish, :gemcutter, :signing, :test]
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-09-07 00:14:24.0 +0200
+++ new/metadata2019-03-13 23:04:02.0 +0100
@@ -1,7 +1,7 @@
 --- !ruby/object:Gem::Specification
 name: hoe
 version: !ruby/object:Gem::Version
-  version: 3.17.1
+  version: 3.17.2
 platform: ruby
 authors:
 - Ryan Davis
@@ -10,9 +10,9 @@
 cert_chain:
 - |
   -BEGIN CERTIFICATE-
-  MIIDPjCCAiagAwIBAgIBAjANBgkqhkiG9w0BAQUFADBFMRMwEQYDVQQDDApyeWFu
+  MIIDPjCCAiagAwIBAgIBAzANBgkqhkiG9w0BAQsFADBFMRMwEQYDVQQDDApyeWFu
   ZC1ydWJ5MRkwFwYKCZImiZPyLGQBGRYJemVuc3BpZGVyMRMwEQYKCZImiZPyLGQB
-  GRYDY29tMB4XDTE3MTEyMTIxMTExMFoXDTE4MTEyMTIxMTExMFowRTETMBEGA1UE
+  GRYDY29tMB4XDTE4MTIwNDIxMzAxNFoXDTE5MTIwNDIxMzAxNFowRTETMBEGA1UE
   AwwKcnlhbmQtcnVieTEZMBcGCgmSJomT8ixkARkWCXplbnNwaWRlcjETMBEGCgmS
   JomT8ixkARkWA2NvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALda
   b9DCgK+627gPJkB6XfjZ1itoOQvpqH1EXScSaba9/S2VF22VYQbXU1xQXL/WzCkx
@@ -21,15 +21,15 @@
   GiadM9GHRaDiaxuX0cIUBj19T01mVE2iymf9I6bEsiayK/n6QujtyCbTWsAS9Rqt
   qhtV7HJxNKuPj/JFH0D2cswvzznE/a5FOYO68g+YCuFi5L8wZuuM8zzdwjrWHqSV
   gBEfoTEGr7Zii72cx+sCAwEAAaM5MDcwCQYDVR0TBAIwADALBgNVHQ8EBAMCBLAw
-  HQYDVR0OBBYEFEfFe9md/r/tj/Wmwpy+MI8d9k/hMA0GCSqGSIb3DQEBBQUAA4IB
-  AQAfAXSQpsW7YSxd1csRtA/M4Zt0AMXFMd76GJ8Lgtg8G0+VFbdChRyDuDb0kPlW
-  

commit rubygem-actioncable-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-actioncable-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:18:45

Comparing /work/SRC/openSUSE:Factory/rubygem-actioncable-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actioncable-5_1.new.25356 (New)


Package is "rubygem-actioncable-5_1"

Wed Mar 27 16:18:45 2019 rev:6 rq:685150 version:5.1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actioncable-5_1/rubygem-actioncable-5_1.changes
  2019-01-21 10:27:55.873580868 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actioncable-5_1.new.25356/rubygem-actioncable-5_1.changes
   2019-03-27 16:18:48.619562187 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:41:17 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.1.6.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  actioncable-5.1.6.1.gem

New:

  actioncable-5.1.6.2.gem



Other differences:
--
++ rubygem-actioncable-5_1.spec ++
--- /var/tmp/diff_new_pack.2Jh6Po/_old  2019-03-27 16:18:49.139562079 +0100
+++ /var/tmp/diff_new_pack.2Jh6Po/_new  2019-03-27 16:18:49.143562078 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-actioncable-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actioncable-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name actioncable
 %define mod_full_name %{mod_name}-%{version}

++ actioncable-5.1.6.1.gem -> actioncable-5.1.6.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:10:13.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:45:53.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.1.6.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.1.6.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_cable/gem_version.rb 
new/lib/action_cable/gem_version.rb
--- old/lib/action_cable/gem_version.rb 2018-11-27 21:10:13.0 +0100
+++ new/lib/action_cable/gem_version.rb 2019-03-13 17:45:53.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 1
 TINY  = 6
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:10:13.0 +0100
+++ new/metadata2019-03-13 17:45:53.0 +0100
@@ -1,7 +1,7 @@
 --- !ruby/object:Gem::Specification
 name: actioncable
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - Pratik Naik
@@ -9,7 +9,7 @@
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: actionpack
@@ -17,14 +17,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: nio4r
   requirement: !ruby/object:Gem::Requirement
@@ -119,8 +119,8 @@
 licenses:
 - MIT
 metadata:
-  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.1/actioncable
-  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.1/actioncable/CHANGELOG.md
+  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.2/actioncable
+  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.2/actioncable/CHANGELOG.md
 post_install_message: 
 rdoc_options: []
 require_paths:
@@ -136,8 +136,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.6
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: WebSocket framework for Rails.




commit rubygem-activerecord-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-activerecord-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:18:42

Comparing /work/SRC/openSUSE:Factory/rubygem-activerecord-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activerecord-5_0.new.25356 (New)


Package is "rubygem-activerecord-5_0"

Wed Mar 27 16:18:42 2019 rev:10 rq:685147 version:5.0.7.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activerecord-5_0/rubygem-activerecord-5_0.changes
2019-01-21 10:26:17.953688287 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activerecord-5_0.new.25356/rubygem-activerecord-5_0.changes
 2019-03-27 16:18:44.011563147 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:47:22 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.0.7.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  activerecord-5.0.7.1.gem

New:

  activerecord-5.0.7.2.gem



Other differences:
--
++ rubygem-activerecord-5_0.spec ++
--- /var/tmp/diff_new_pack.ljadAZ/_old  2019-03-27 16:18:44.675563009 +0100
+++ /var/tmp/diff_new_pack.ljadAZ/_new  2019-03-27 16:18:44.675563009 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-activerecord-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activerecord-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name activerecord
 %define mod_full_name %{mod_name}-%{version}

++ activerecord-5.0.7.1.gem -> activerecord-5.0.7.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:08:05.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:40:20.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.0.7.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.0.7.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_record/gem_version.rb 
new/lib/active_record/gem_version.rb
--- old/lib/active_record/gem_version.rb2018-11-27 21:08:05.0 
+0100
+++ new/lib/active_record/gem_version.rb2019-03-13 17:40:20.0 
+0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 0
 TINY  = 7
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:05.0 +0100
+++ new/metadata2019-03-13 17:40:20.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activerecord
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,28 +16,28 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: activemodel
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: arel
   requirement: !ruby/object:Gem::Requirement
@@ -327,8 +327,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.6
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: Object-relational mapper framework (part of Rails).




commit rubygem-i18n for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-i18n for openSUSE:Factory 
checked in at 2019-03-27 16:18:23

Comparing /work/SRC/openSUSE:Factory/rubygem-i18n (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-i18n.new.25356 (New)


Package is "rubygem-i18n"

Wed Mar 27 16:18:23 2019 rev:24 rq:685139 version:1.6.0

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-i18n/rubygem-i18n.changes
2019-01-28 20:50:20.693784957 +0100
+++ /work/SRC/openSUSE:Factory/.rubygem-i18n.new.25356/rubygem-i18n.changes 
2019-03-27 16:18:27.675566551 +0100
@@ -1,0 +2,6 @@
+Thu Mar 14 10:57:48 UTC 2019 - Stephan Kulow 
+
+- updated to version 1.6.0
+  no changelog found
+
+---

Old:

  i18n-1.5.3.gem

New:

  i18n-1.6.0.gem



Other differences:
--
++ rubygem-i18n.spec ++
--- /var/tmp/diff_new_pack.QGYCaS/_old  2019-03-27 16:18:29.515566168 +0100
+++ /var/tmp/diff_new_pack.QGYCaS/_new  2019-03-27 16:18:29.547566161 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-i18n
-Version:1.5.3
+Version:1.6.0
 Release:0
 %define mod_name i18n
 %define mod_full_name %{mod_name}-%{version}
@@ -32,7 +32,7 @@
 BuildRequires:  %{ruby >= 2.3.0}
 BuildRequires:  %{rubygem gem2rpm}
 BuildRequires:  ruby-macros >= 5
-Url:http://github.com/svenfuchs/i18n
+Url:http://github.com/ruby-i18n/i18n
 Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
 Summary:New wave Internationalization support for Ruby

++ i18n-1.5.3.gem -> i18n-1.6.0.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/README.md new/README.md
--- old/README.md   2019-01-21 22:38:30.0 +0100
+++ new/README.md   2019-03-03 22:08:16.0 +0100
@@ -67,7 +67,7 @@
 * Cache
 * Pluralization: lambda pluralizers stored as translation data
 * Locale fallbacks, RFC4647 compliant (optionally: RFC4646 locale validation)
-* [Gettext support](https://github.com/svenfuchs/i18n/wiki/Gettext)
+* [Gettext support](https://github.com/ruby-i18n/i18n/wiki/Gettext)
 * Translation metadata
 
 ## Alternative Backend
@@ -76,7 +76,7 @@
 * ActiveRecord (optionally: ActiveRecord::Missing and ActiveRecord::StoreProcs)
 * KeyValue (uses active_support/json and cannot store procs)
 
-For more information and lots of resources see [the 'Resources' page on the 
wiki](https://github.com/svenfuchs/i18n/wiki/Resources).
+For more information and lots of resources see [the 'Resources' page on the 
wiki](https://github.com/ruby-i18n/i18n/wiki/Resources).
 
 ## Tests
 
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/i18n/backend/base.rb new/lib/i18n/backend/base.rb
--- old/lib/i18n/backend/base.rb2019-01-21 22:38:30.0 +0100
+++ new/lib/i18n/backend/base.rb2019-03-03 22:08:16.0 +0100
@@ -95,10 +95,19 @@
   end
 
   def reload!
+eager_load! if eager_loaded?
+  end
+
+  def eager_load!
+@eager_loaded = true
   end
 
   protected
 
+def eager_loaded?
+  @eager_loaded ||= false
+end
+
 # The method which actually looks up for the translation in the store.
 def lookup(locale, key, scope = [], options = EMPTY_HASH)
   raise NotImplementedError
@@ -248,12 +257,16 @@
 end
 
 def translate_localization_format(locale, object, format, options)
-  format.to_s.gsub(/%[aAbBpP]/) do |match|
+  format.to_s.gsub(/%(|\^)[aAbBpP]/) do |match|
 case match
 when '%a' then I18n.t!(:"date.abbr_day_names",  
:locale => locale, :format => format)[object.wday]
+when '%^a' then I18n.t!(:"date.abbr_day_names", 
:locale => locale, :format => format)[object.wday].upcase
 when '%A' then I18n.t!(:"date.day_names",   
:locale => locale, :format => format)[object.wday]
+when '%^A' then I18n.t!(:"date.day_names",  
:locale => locale, :format => format)[object.wday].upcase
 when '%b' then I18n.t!(:"date.abbr_month_names",
:locale => locale, :format => format)[object.mon]
+when '%^b' then I18n.t!(:"date.abbr_month_names",   

commit rubygem-concurrent-ruby for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-concurrent-ruby for 
openSUSE:Factory checked in at 2019-03-27 16:17:59

Comparing /work/SRC/openSUSE:Factory/rubygem-concurrent-ruby (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-concurrent-ruby.new.25356 (New)


Package is "rubygem-concurrent-ruby"

Wed Mar 27 16:17:59 2019 rev:9 rq:685131 version:1.1.5

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-concurrent-ruby/rubygem-concurrent-ruby.changes
  2019-03-04 09:19:41.392608381 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-concurrent-ruby.new.25356/rubygem-concurrent-ruby.changes
   2019-03-27 16:18:05.363571201 +0100
@@ -1,0 +2,19 @@
+Thu Mar 14 10:53:13 UTC 2019 - Stephan Kulow 
+
+- updated to version 1.1.5
+ see installed CHANGELOG.md
+
+  ## Release v1.1.5, edge v0.5.0 (10 mar 2019)
+  
+  concurrent-ruby:
+  
+  * fix potential leak of context on JRuby and Java 7
+  
+  concurrent-ruby-edge:
+  
+  * Add finalized Concurrent::Cancellation
+  * Add finalized Concurrent::Throttle
+  * Add finalized Concurrent::Promises::Channel
+  * Add new Concurrent::ErlangActor
+
+---

Old:

  concurrent-ruby-1.1.4.gem

New:

  concurrent-ruby-1.1.5.gem



Other differences:
--
++ rubygem-concurrent-ruby.spec ++
--- /var/tmp/diff_new_pack.xWiIJk/_old  2019-03-27 16:18:06.267571013 +0100
+++ /var/tmp/diff_new_pack.xWiIJk/_new  2019-03-27 16:18:06.271571012 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-concurrent-ruby
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-concurrent-ruby
-Version:1.1.4
+Version:1.1.5
 Release:0
 %define mod_name concurrent-ruby
 %define mod_full_name %{mod_name}-%{version}

++ concurrent-ruby-1.1.4.gem -> concurrent-ruby-1.1.5.gem ++
 1676 lines of diff (skipped)




commit rubygem-activejob-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-activejob-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:18:31

Comparing /work/SRC/openSUSE:Factory/rubygem-activejob-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activejob-5_0.new.25356 (New)


Package is "rubygem-activejob-5_0"

Wed Mar 27 16:18:31 2019 rev:10 rq:685141 version:5.0.7.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activejob-5_0/rubygem-activejob-5_0.changes  
2019-01-21 10:26:55.693646863 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activejob-5_0.new.25356/rubygem-activejob-5_0.changes
   2019-03-27 16:18:34.199565192 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:45:40 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.0.7.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  activejob-5.0.7.1.gem

New:

  activejob-5.0.7.2.gem



Other differences:
--
++ rubygem-activejob-5_0.spec ++
--- /var/tmp/diff_new_pack.UBe15q/_old  2019-03-27 16:18:34.683565091 +0100
+++ /var/tmp/diff_new_pack.UBe15q/_new  2019-03-27 16:18:34.683565091 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-activejob-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activejob-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name activejob
 %define mod_full_name %{mod_name}-%{version}

++ activejob-5.0.7.1.gem -> activejob-5.0.7.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:08:09.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:40:30.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.0.7.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.0.7.1 (November 27, 2018) ##
 
 *   Do not deserialize GlobalID objects that were not generated by Active Job.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_job/gem_version.rb 
new/lib/active_job/gem_version.rb
--- old/lib/active_job/gem_version.rb   2018-11-27 21:08:09.0 +0100
+++ new/lib/active_job/gem_version.rb   2019-03-13 17:40:30.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 0
 TINY  = 7
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:09.0 +0100
+++ new/metadata2019-03-13 17:40:30.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activejob
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: globalid
   requirement: !ruby/object:Gem::Requirement
@@ -100,8 +100,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.6
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: Job framework with pluggable queues.




commit rubygem-liquid for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-liquid for openSUSE:Factory 
checked in at 2019-03-27 16:18:03

Comparing /work/SRC/openSUSE:Factory/rubygem-liquid (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-liquid.new.25356 (New)


Package is "rubygem-liquid"

Wed Mar 27 16:18:03 2019 rev:4 rq:685132 version:4.0.3

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-liquid/rubygem-liquid.changes
2019-01-21 10:25:27.913743256 +0100
+++ /work/SRC/openSUSE:Factory/.rubygem-liquid.new.25356/rubygem-liquid.changes 
2019-03-27 16:18:07.355570786 +0100
@@ -1,0 +2,59 @@
+Thu Mar 14 10:58:54 UTC 2019 - Stephan Kulow 
+
+- updated to version 4.0.3
+ see installed History.md
+
+  ## 4.0.3 / 2019-03-12
+  
+  ### Fixed
+  * Fix break and continue tags inside included templates in loops (#1072) 
[Justin Li]
+  
+  ## 4.0.2 / 2019-03-08
+  
+  ### Changed
+  * Add `where` filter (#1026) [Samuel Doiron]
+  * Add `ParseTreeVisitor` to iterate the Liquid AST (#1025) [Stephen Paul 
Weber]
+  * Improve `strip_html` performance (#1032) [printercu]
+  
+  ### Fixed
+  * Add error checking for invalid combinations of inputs to sort, 
sort_natural, where, uniq, map, compact filters (#1059) [Garland Zhang]
+  * Validate the character encoding in url_decode (#1070) [Clayton Smith]
+  
+  ## 4.0.1 / 2018-10-09
+  
+  ### Changed
+  * Add benchmark group in Gemfile (#855) [Jerry Liu]
+  * Allow benchmarks to benchmark render by itself (#851) [Jerry Liu]
+  * Avoid calling `line_number` on String node when rescuing a render error. 
(#860) [Dylan Thacker-Smith]
+  * Avoid duck typing to detect whether to call render on a node. [Dylan 
Thacker-Smith]
+  * Clarify spelling of `reversed` on `for` block tag (#843) [Mark Crossfield]
+  * Replace recursion with loop to avoid potential stack overflow from 
malicious input (#891, #892) [Dylan Thacker-Smith]
+  * Limit block tag nesting to 100 (#894) [Dylan Thacker-Smith]
+  * Replace `assert_equal nil` with `assert_nil` (#895) [Dylan Thacker-Smith]
+  * Remove Spy Gem (#896) [Dylan Thacker-Smith]
+  * Add `collection_name` and `variable_name` reader to `For` block (#909)
+  * Symbols render as strings (#920) [Justin Li]
+  * Remove default value from Hash objects (#932) [Maxime Bedard]
+  * Remove one level of nesting (#944) [Dylan Thacker-Smith]
+  * Update Rubocop version (#952) [Justin Li]
+  * Add `at_least` and `at_most` filters (#954, #958) [Nithin Bekal]
+  * Add a regression test for a liquid-c trim mode bug (#972) [Dylan 
Thacker-Smith]
+  * Use https rather than git protocol to fetch liquid-c [Dylan Thacker-Smith]
+  * Add tests against Ruby 2.4 (#963) and 2.5 (#981)
+  * Replace RegExp literals with constants (#988) [Ashwin Maroli]
+  * Replace unnecessary `#each_with_index` with `#each` (#992) [Ashwin Maroli]
+  * Improve the unexpected end delimiter message for block tags. (#1003) 
[Dylan Thacker-Smith]
+  * Refactor and optimize rendering (#1005) [Christopher Aue]
+  * Add installation instruction (#1006) [Ben Gift]
+  * Remove Circle CI (#1010)
+  * Rename deprecated `BigDecimal.new` to `BigDecimal` (#1024) [Koichi ITO]
+  * Rename deprecated Rubocop name (#1027) [Justin Li]
+  
+  ### Fixed
+  * Handle `join` filter on non String joiners (#857) [Richard Monette]
+  * Fix duplicate inclusion condition logic error of 
`Liquid::Strainer.add_filter` method (#861)
+  * Fix `escape`, `url_encode`, `url_decode` not handling non-string values 
(#898) [Thierry Joyal]
+  * Fix raise when variable is defined but nil when using `strict_variables` 
[Pascal Betz]
+  * Fix `sort` and `sort_natural` to handle arrays with nils (#930) [Eric Chan]
+
+---

Old:

  liquid-4.0.1.gem

New:

  liquid-4.0.3.gem



Other differences:
--
++ rubygem-liquid.spec ++
--- /var/tmp/diff_new_pack.5BymmK/_old  2019-03-27 16:18:08.415570565 +0100
+++ /var/tmp/diff_new_pack.5BymmK/_new  2019-03-27 16:18:08.415570565 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-liquid
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-liquid
-Version:4.0.1
+Version:4.0.3
 Release:0
 %define mod_name liquid
 %define mod_full_name %{mod_name}-%{version}

++ liquid-4.0.1.gem -> liquid-4.0.3.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/History.md new/History.md
--- old/History.md  2018-10-09 11:14:52.0 +0200
+++ 

commit rubygem-activesupport-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-activesupport-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:18:37

Comparing /work/SRC/openSUSE:Factory/rubygem-activesupport-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activesupport-5_1.new.25356 (New)


Package is "rubygem-activesupport-5_1"

Wed Mar 27 16:18:37 2019 rev:6 rq:685144 version:5.1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activesupport-5_1/rubygem-activesupport-5_1.changes
  2019-01-21 10:25:59.873708142 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activesupport-5_1.new.25356/rubygem-activesupport-5_1.changes
   2019-03-27 16:18:38.571564281 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:48:29 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.1.6.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  activesupport-5.1.6.1.gem

New:

  activesupport-5.1.6.2.gem



Other differences:
--
++ rubygem-activesupport-5_1.spec ++
--- /var/tmp/diff_new_pack.oKRyX8/_old  2019-03-27 16:18:39.335564121 +0100
+++ /var/tmp/diff_new_pack.oKRyX8/_new  2019-03-27 16:18:39.335564121 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-activesupport-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activesupport-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name activesupport
 %define mod_full_name %{mod_name}-%{version}

++ activesupport-5.1.6.1.gem -> activesupport-5.1.6.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:09:59.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:45:19.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.1.6.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.1.6.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_support/gem_version.rb 
new/lib/active_support/gem_version.rb
--- old/lib/active_support/gem_version.rb   2018-11-27 21:10:00.0 
+0100
+++ new/lib/active_support/gem_version.rb   2019-03-13 17:45:19.0 
+0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 1
 TINY  = 6
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:09:59.0 +0100
+++ new/metadata2019-03-13 17:45:19.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activesupport
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: i18n
@@ -321,8 +321,8 @@
 licenses:
 - MIT
 metadata:
-  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.1/activesupport
-  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.1/activesupport/CHANGELOG.md
+  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.2/activesupport
+  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.2/activesupport/CHANGELOG.md
 post_install_message: 
 rdoc_options:
 - "--encoding"
@@ -340,8 +340,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.6
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: A toolkit of support libraries and Ruby core extensions extracted 
from the




commit rubygem-activemodel-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-activemodel-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:18:28

Comparing /work/SRC/openSUSE:Factory/rubygem-activemodel-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activemodel-5_1.new.25356 (New)


Package is "rubygem-activemodel-5_1"

Wed Mar 27 16:18:28 2019 rev:6 rq:685140 version:5.1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activemodel-5_1/rubygem-activemodel-5_1.changes
  2019-01-21 10:26:33.729670967 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activemodel-5_1.new.25356/rubygem-activemodel-5_1.changes
   2019-03-27 16:18:31.967565657 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:46:50 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.1.6.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  activemodel-5.1.6.1.gem

New:

  activemodel-5.1.6.2.gem



Other differences:
--
++ rubygem-activemodel-5_1.spec ++
--- /var/tmp/diff_new_pack.oXTSHp/_old  2019-03-27 16:18:32.707565503 +0100
+++ /var/tmp/diff_new_pack.oXTSHp/_new  2019-03-27 16:18:32.707565503 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-activemodel-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activemodel-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name activemodel
 %define mod_full_name %{mod_name}-%{version}

++ activemodel-5.1.6.1.gem -> activemodel-5.1.6.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:10:01.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:45:23.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.1.6.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.1.6.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_model/gem_version.rb 
new/lib/active_model/gem_version.rb
--- old/lib/active_model/gem_version.rb 2018-11-27 21:10:01.0 +0100
+++ new/lib/active_model/gem_version.rb 2019-03-13 17:45:23.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 1
 TINY  = 6
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:10:01.0 +0100
+++ new/metadata2019-03-13 17:45:23.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activemodel
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 description: A toolkit for building modeling frameworks like Active Record. 
Rich support
   for attributes, callbacks, validations, serialization, internationalization, 
and
   testing.
@@ -93,8 +93,8 @@
 licenses:
 - MIT
 metadata:
-  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.1/activemodel
-  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.1/activemodel/CHANGELOG.md
+  source_code_uri: https://github.com/rails/rails/tree/v5.1.6.2/activemodel
+  changelog_uri: 
https://github.com/rails/rails/blob/v5.1.6.2/activemodel/CHANGELOG.md
 post_install_message: 
 rdoc_options: []
 require_paths:
@@ -110,8 +110,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.6
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: A toolkit for building modeling frameworks (part of Rails).




commit rubygem-actionpack-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-actionpack-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:18:21

Comparing /work/SRC/openSUSE:Factory/rubygem-actionpack-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actionpack-5_0.new.25356 (New)


Package is "rubygem-actionpack-5_0"

Wed Mar 27 16:18:21 2019 rev:10 rq:685137 version:5.0.7.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actionpack-5_0/rubygem-actionpack-5_0.changes
2019-01-21 10:27:36.189602446 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actionpack-5_0.new.25356/rubygem-actionpack-5_0.changes
 2019-03-27 16:18:23.327567457 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:43:39 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.0.7.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  actionpack-5.0.7.1.gem

New:

  actionpack-5.0.7.2.gem



Other differences:
--
++ rubygem-actionpack-5_0.spec ++
--- /var/tmp/diff_new_pack.8qFHh0/_old  2019-03-27 16:18:24.351567244 +0100
+++ /var/tmp/diff_new_pack.8qFHh0/_new  2019-03-27 16:18:24.355567243 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-actionpack-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actionpack-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name actionpack
 %define mod_full_name %{mod_name}-%{version}

++ actionpack-5.0.7.1.gem -> actionpack-5.0.7.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:08:07.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:40:26.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.0.7.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.0.7.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_dispatch/http/mime_negotiation.rb 
new/lib/action_dispatch/http/mime_negotiation.rb
--- old/lib/action_dispatch/http/mime_negotiation.rb2018-11-27 
21:08:07.0 +0100
+++ new/lib/action_dispatch/http/mime_negotiation.rb2019-03-13 
17:40:26.0 +0100
@@ -76,6 +76,11 @@
   else
 [Mime[:html]]
   end
+
+  v = v.select do |format|
+format.symbol || format.ref == "*/*"
+  end
+
   set_header k, v
 end
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_pack/gem_version.rb 
new/lib/action_pack/gem_version.rb
--- old/lib/action_pack/gem_version.rb  2018-11-27 21:08:08.0 +0100
+++ new/lib/action_pack/gem_version.rb  2019-03-13 17:40:26.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 0
 TINY  = 7
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:07.0 +0100
+++ new/metadata2019-03-13 17:40:26.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: actionpack
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: rack
   requirement: !ruby/object:Gem::Requirement
@@ -92,28 +92,28 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+

commit rubygem-actionpack-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-actionpack-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:18:17

Comparing /work/SRC/openSUSE:Factory/rubygem-actionpack-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actionpack-5_1.new.25356 (New)


Package is "rubygem-actionpack-5_1"

Wed Mar 27 16:18:17 2019 rev:6 rq:685136 version:5.1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actionpack-5_1/rubygem-actionpack-5_1.changes
2019-01-21 10:27:29.697609564 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actionpack-5_1.new.25356/rubygem-actionpack-5_1.changes
 2019-03-27 16:18:20.179568114 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:43:58 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.1.6.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  actionpack-5.1.6.1.gem

New:

  actionpack-5.1.6.2.gem



Other differences:
--
++ rubygem-actionpack-5_1.spec ++
--- /var/tmp/diff_new_pack.xYJlc6/_old  2019-03-27 16:18:21.871567761 +0100
+++ /var/tmp/diff_new_pack.xYJlc6/_new  2019-03-27 16:18:21.899567755 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-actionpack-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actionpack-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name actionpack
 %define mod_full_name %{mod_name}-%{version}

++ actionpack-5.1.6.1.gem -> actionpack-5.1.6.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:10:08.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:45:41.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.1.6.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.1.6.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_dispatch/http/mime_negotiation.rb 
new/lib/action_dispatch/http/mime_negotiation.rb
--- old/lib/action_dispatch/http/mime_negotiation.rb2018-11-27 
21:10:08.0 +0100
+++ new/lib/action_dispatch/http/mime_negotiation.rb2019-03-13 
17:45:41.0 +0100
@@ -76,6 +76,11 @@
   else
 [Mime[:html]]
   end
+
+  v = v.select do |format|
+format.symbol || format.ref == "*/*"
+  end
+
   set_header k, v
 end
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_pack/gem_version.rb 
new/lib/action_pack/gem_version.rb
--- old/lib/action_pack/gem_version.rb  2018-11-27 21:10:08.0 +0100
+++ new/lib/action_pack/gem_version.rb  2019-03-13 17:45:42.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 1
 TINY  = 6
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:10:08.0 +0100
+++ new/metadata2019-03-13 17:45:41.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: actionpack
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: rack
   requirement: !ruby/object:Gem::Requirement
@@ -92,28 +92,28 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+

commit rubygem-activemodel-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-activemodel-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:18:14

Comparing /work/SRC/openSUSE:Factory/rubygem-activemodel-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activemodel-5_0.new.25356 (New)


Package is "rubygem-activemodel-5_0"

Wed Mar 27 16:18:14 2019 rev:10 rq:685135 version:5.0.7.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activemodel-5_0/rubygem-activemodel-5_0.changes
  2019-01-21 10:26:41.381662568 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activemodel-5_0.new.25356/rubygem-activemodel-5_0.changes
   2019-03-27 16:18:16.899568797 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:46:35 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.0.7.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  activemodel-5.0.7.1.gem

New:

  activemodel-5.0.7.2.gem



Other differences:
--
++ rubygem-activemodel-5_0.spec ++
--- /var/tmp/diff_new_pack.oakxyk/_old  2019-03-27 16:18:17.639568643 +0100
+++ /var/tmp/diff_new_pack.oakxyk/_new  2019-03-27 16:18:17.643568642 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-activemodel-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activemodel-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name activemodel
 %define mod_full_name %{mod_name}-%{version}

++ activemodel-5.0.7.1.gem -> activemodel-5.0.7.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:08:04.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:40:16.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.0.7.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.0.7.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_model/gem_version.rb 
new/lib/active_model/gem_version.rb
--- old/lib/active_model/gem_version.rb 2018-11-27 21:08:04.0 +0100
+++ new/lib/active_model/gem_version.rb 2019-03-13 17:40:16.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 0
 TINY  = 7
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:04.0 +0100
+++ new/metadata2019-03-13 17:40:16.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activemodel
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 description: A toolkit for building modeling frameworks like Active Record. 
Rich support
   for attributes, callbacks, validations, serialization, internationalization, 
and
   testing.
@@ -112,8 +112,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.6
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: A toolkit for building modeling frameworks (part of Rails).




commit rubygem-msgpack for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-msgpack for openSUSE:Factory 
checked in at 2019-03-27 16:17:54

Comparing /work/SRC/openSUSE:Factory/rubygem-msgpack (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-msgpack.new.25356 (New)


Package is "rubygem-msgpack"

Wed Mar 27 16:17:54 2019 rev:8 rq:685130 version:1.2.9

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-msgpack/rubygem-msgpack.changes  
2019-03-04 09:20:24.120600692 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-msgpack.new.25356/rubygem-msgpack.changes   
2019-03-27 16:18:02.415571815 +0100
@@ -1,0 +2,25 @@
+Thu Mar 14 10:59:24 UTC 2019 - Stephan Kulow 
+
+- updated to version 1.2.9
+ see installed ChangeLog
+
+  2019-03-13 version 1.2.9:
+  
+  * Hotfix release only for JRuby: 1.2.8-java was built incorrectly
+  
+  2019-03-11 version 1.2.8:
+  
+  * Fix a regression that MessagePack#unpack raises error if IO is assigned as 
the (only) argument
+  * Improve compatibility that MessagePack#pack returns nil if IO is assigned 
as 2nd argument
+
+---
+Sat Mar  2 15:26:59 UTC 2019 - Stephan Kulow 
+
+- updated to version 1.2.7
+ see installed ChangeLog
+
+  2019-03-01 version 1.2.7:
+  
+  * Add Packer#write_bin and Packer#write_bin_header methods
+
+---

Old:

  msgpack-1.2.6.gem

New:

  msgpack-1.2.9.gem



Other differences:
--
++ rubygem-msgpack.spec ++
--- /var/tmp/diff_new_pack.flXTtM/_old  2019-03-27 16:18:03.131571666 +0100
+++ /var/tmp/diff_new_pack.flXTtM/_new  2019-03-27 16:18:03.131571666 +0100
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-msgpack
-Version:1.2.6
+Version:1.2.9
 Release:0
 %define mod_name msgpack
 %define mod_full_name %{mod_name}-%{version}

++ msgpack-1.2.6.gem -> msgpack-1.2.9.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/ChangeLog new/ChangeLog
--- old/ChangeLog   2019-01-08 08:53:55.0 +0100
+++ new/ChangeLog   2019-03-13 02:38:52.0 +0100
@@ -1,3 +1,16 @@
+2019-03-13 version 1.2.9:
+
+* Hotfix release only for JRuby: 1.2.8-java was built incorrectly
+
+2019-03-11 version 1.2.8:
+
+* Fix a regression that MessagePack#unpack raises error if IO is assigned as 
the (only) argument
+* Improve compatibility that MessagePack#pack returns nil if IO is assigned as 
2nd argument
+
+2019-03-01 version 1.2.7:
+
+* Add Packer#write_bin and Packer#write_bin_header methods
+
 2019-01-08 verison 1.2.6:
 
 * Update Ruby version 2.6 dependency (especially for Windows environment)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/README.rdoc new/README.rdoc
--- old/README.rdoc 2019-01-08 08:53:55.0 +0100
+++ new/README.rdoc 2019-03-13 02:38:52.0 +0100
@@ -176,6 +176,14 @@
 
 bundle exec rake doc
 
+== How to build -java rubygems
+
+To build -java gems for JRuby, run:
+
+rake build:java
+
+If this directory has Gemfile.lock (generated with MRI), remove it beforehand.
+
 == How to build -mingw32 rubygems
 
 MessagePack mingw32/64 rubygems build process uses 
{rake-compiler-dock}[https://github.com/rake-compiler/rake-compiler-dock]. Run:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Rakefile new/Rakefile
--- old/Rakefile2019-01-08 08:53:55.0 +0100
+++ new/Rakefile2019-03-13 02:38:52.0 +0100
@@ -62,6 +62,9 @@
 end
 
 namespace :build do
+  desc 'Build gem for JRuby after cleaning'
+  task :java => [:clean, :spec, :build]
+
   desc 'Build gems for Windows per rake-compiler-dock'
   task :windows do
 require 'rake_compiler_dock'
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/doclib/msgpack/packer.rb new/doclib/msgpack/packer.rb
--- old/doclib/msgpack/packer.rb2019-01-08 08:53:55.0 +0100
+++ new/doclib/msgpack/packer.rb2019-03-13 02:38:52.0 +0100
@@ -92,6 +92,12 @@
 end
 
 #
+# Serializes a string object as binary data. Same as 
write("string".encode(Encoding::BINARY)).
+#
+def write_bin(obj)
+end
+
+#
 # Write a header of an array whose size is _n_.
 # For example, write_array_header(1).write(true) is same as write([ true 
]).
 #
@@ -110,6 +116,20 @@
 end
 
 #
+# Write a header of a binary string whose size is _n_. Useful if you want 
to append large binary data without loading it into memory at once.
+# For example,
+# 

commit rubygem-actionview-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-actionview-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:18:07

Comparing /work/SRC/openSUSE:Factory/rubygem-actionview-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actionview-5_1.new.25356 (New)


Package is "rubygem-actionview-5_1"

Wed Mar 27 16:18:07 2019 rev:6 rq:685133 version:5.1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actionview-5_1/rubygem-actionview-5_1.changes
2019-01-21 10:27:17.201623268 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actionview-5_1.new.25356/rubygem-actionview-5_1.changes
 2019-03-27 16:18:09.715570294 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:44:45 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.1.6.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  actionview-5.1.6.1.gem

New:

  actionview-5.1.6.2.gem



Other differences:
--
++ rubygem-actionview-5_1.spec ++
--- /var/tmp/diff_new_pack.PSAwDZ/_old  2019-03-27 16:18:10.291570174 +0100
+++ /var/tmp/diff_new_pack.PSAwDZ/_new  2019-03-27 16:18:10.295570173 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-actionview-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actionview-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name actionview
 %define mod_full_name %{mod_name}-%{version}

++ actionview-5.1.6.1.gem -> actionview-5.1.6.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:10:07.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:45:33.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.1.6.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.1.6.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_view/gem_version.rb 
new/lib/action_view/gem_version.rb
--- old/lib/action_view/gem_version.rb  2018-11-27 21:10:07.0 +0100
+++ new/lib/action_view/gem_version.rb  2019-03-13 17:45:33.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 1
 TINY  = 6
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:10:07.0 +0100
+++ new/metadata2019-03-13 17:45:33.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: actionview
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: builder
   requirement: !ruby/object:Gem::Requirement
@@ -92,28 +92,28 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :development
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: activemodel
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :development
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 description: Simple, battle-tested conventions and helpers for building web 
pages.
 email: da...@loudthinking.com
 executables: []
@@ -231,8 +231,8 

commit rubygem-actionview-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-actionview-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:18:10

Comparing /work/SRC/openSUSE:Factory/rubygem-actionview-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actionview-5_0.new.25356 (New)


Package is "rubygem-actionview-5_0"

Wed Mar 27 16:18:10 2019 rev:10 rq:685134 version:5.0.7.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actionview-5_0/rubygem-actionview-5_0.changes
2019-01-21 10:27:21.953618057 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actionview-5_0.new.25356/rubygem-actionview-5_0.changes
 2019-03-27 16:18:10.547570121 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 10:44:30 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.0.7.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  actionview-5.0.7.1.gem

New:

  actionview-5.0.7.2.gem



Other differences:
--
++ rubygem-actionview-5_0.spec ++
--- /var/tmp/diff_new_pack.9Eu1H3/_old  2019-03-27 16:18:11.151569995 +0100
+++ /var/tmp/diff_new_pack.9Eu1H3/_new  2019-03-27 16:18:11.151569995 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-actionview-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actionview-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name actionview
 %define mod_full_name %{mod_name}-%{version}

++ actionview-5.0.7.1.gem -> actionview-5.0.7.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:08:06.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:40:23.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.0.7.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.0.7.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_view/gem_version.rb 
new/lib/action_view/gem_version.rb
--- old/lib/action_view/gem_version.rb  2018-11-27 21:08:06.0 +0100
+++ new/lib/action_view/gem_version.rb  2019-03-13 17:40:23.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 0
 TINY  = 7
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:06.0 +0100
+++ new/metadata2019-03-13 17:40:23.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: actionview
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: builder
   requirement: !ruby/object:Gem::Requirement
@@ -92,28 +92,28 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :development
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: activemodel
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :development
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 description: Simple, battle-tested conventions and helpers for building web 
pages.
 email: da...@loudthinking.com
 executables: []
@@ -243,8 +243,7 

commit rubygem-rails-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-rails-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:17:43

Comparing /work/SRC/openSUSE:Factory/rubygem-rails-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-rails-5_1.new.25356 (New)


Package is "rubygem-rails-5_1"

Wed Mar 27 16:17:43 2019 rev:6 rq:685125 version:5.1.6.2

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-rails-5_1/rubygem-rails-5_1.changes  
2019-01-21 10:25:05.305768108 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-rails-5_1.new.25356/rubygem-rails-5_1.changes
   2019-03-27 16:17:44.963575452 +0100
@@ -1,0 +2,6 @@
+Thu Mar 14 11:03:01 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+  no changelog found
+
+---

Old:

  rails-5.1.6.1.gem

New:

  rails-5.1.6.2.gem



Other differences:
--
++ rubygem-rails-5_1.spec ++
--- /var/tmp/diff_new_pack.uJpOj1/_old  2019-03-27 16:17:48.371574742 +0100
+++ /var/tmp/diff_new_pack.uJpOj1/_new  2019-03-27 16:17:48.403574735 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-rails-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-rails-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name rails
 %define mod_full_name %{mod_name}-%{version}

++ rails-5.1.6.1.gem -> rails-5.1.6.2.gem ++
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:10:15.0 +0100
+++ new/metadata2019-03-13 17:46:09.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: rails
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,126 +16,126 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: actionpack
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: actionview
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: activemodel
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: activerecord
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: actionmailer
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 

commit rubygem-rails-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-rails-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:17:46

Comparing /work/SRC/openSUSE:Factory/rubygem-rails-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-rails-5_0.new.25356 (New)


Package is "rubygem-rails-5_0"

Wed Mar 27 16:17:46 2019 rev:11 rq:685126 version:5.0.7.2

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-rails-5_0/rubygem-rails-5_0.changes  
2019-01-21 10:25:08.877764181 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-rails-5_0.new.25356/rubygem-rails-5_0.changes
   2019-03-27 16:17:50.903574214 +0100
@@ -1,0 +2,6 @@
+Thu Mar 14 11:02:42 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+  no changelog found
+
+---

Old:

  rails-5.0.7.1.gem

New:

  rails-5.0.7.2.gem



Other differences:
--
++ rubygem-rails-5_0.spec ++
--- /var/tmp/diff_new_pack.kT8XnH/_old  2019-03-27 16:17:52.199573944 +0100
+++ /var/tmp/diff_new_pack.kT8XnH/_new  2019-03-27 16:17:52.231573938 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-rails-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-rails-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name rails
 %define mod_full_name %{mod_name}-%{version}

++ rails-5.0.7.1.gem -> rails-5.0.7.2.gem ++
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:15.0 +0100
+++ new/metadata2019-03-13 17:42:09.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: rails
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,126 +16,126 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: actionpack
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: actionview
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: activemodel
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: activerecord
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: actionmailer
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 

commit rubygem-omniauth-google-oauth2 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-omniauth-google-oauth2 for 
openSUSE:Factory checked in at 2019-03-27 16:17:50

Comparing /work/SRC/openSUSE:Factory/rubygem-omniauth-google-oauth2 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-omniauth-google-oauth2.new.25356 
(New)


Package is "rubygem-omniauth-google-oauth2"

Wed Mar 27 16:17:50 2019 rev:5 rq:685128 version:0.6.1

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-omniauth-google-oauth2/rubygem-omniauth-google-oauth2.changes
2019-03-04 09:20:38.200598158 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-omniauth-google-oauth2.new.25356/rubygem-omniauth-google-oauth2.changes
 2019-03-27 16:17:54.699573423 +0100
@@ -1,0 +2,20 @@
+Thu Mar 14 11:00:46 UTC 2019 - Stephan Kulow 
+
+- updated to version 0.6.1
+ see installed CHANGELOG.md
+
+  ## 0.6.1 - 2019-03-07
+  
+  ### Added
+  - Return `email` and `email_verified` keys in response.
+  
+  ### Deprecated
+  - Nothing.
+  
+  ### Removed
+  - Nothing.
+  
+  ### Fixed
+  - Nothing.
+
+---

Old:

  omniauth-google-oauth2-0.6.0.gem

New:

  omniauth-google-oauth2-0.6.1.gem



Other differences:
--
++ rubygem-omniauth-google-oauth2.spec ++
--- /var/tmp/diff_new_pack.1IboVl/_old  2019-03-27 16:17:55.927573168 +0100
+++ /var/tmp/diff_new_pack.1IboVl/_new  2019-03-27 16:17:55.931573167 +0100
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-omniauth-google-oauth2
-Version:0.6.0
+Version:0.6.1
 Release:0
 %define mod_name omniauth-google-oauth2
 %define mod_full_name %{mod_name}-%{version}

++ omniauth-google-oauth2-0.6.0.gem -> omniauth-google-oauth2-0.6.1.gem 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-12-29 07:38:12.0 +0100
+++ new/CHANGELOG.md2019-03-07 19:46:53.0 +0100
@@ -1,6 +1,20 @@
 # Changelog
 All notable changes to this project will be documented in this file.
 
+## 0.6.1 - 2019-03-07
+
+### Added
+- Return `email` and `email_verified` keys in response.
+
+### Deprecated
+- Nothing.
+
+### Removed
+- Nothing.
+
+### Fixed
+- Nothing.
+
 ## 0.6.0 - 2018-12-28
 
 ### Added
@@ -12,6 +26,7 @@
 ### Removed
 - Support for JWT 1.x.
 - Support for `raw_friend_info` and `raw_image_info`.
+- Stop using Google+ API endpoints.
 
 ### Fixed
 - Nothing.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/examples/Gemfile new/examples/Gemfile
--- old/examples/Gemfile2018-12-29 07:38:12.0 +0100
+++ new/examples/Gemfile2019-03-07 19:46:53.0 +0100
@@ -2,6 +2,6 @@
 
 source 'https://rubygems.org'
 
-gem 'omniauth-google-oauth2', '~> 0.5'
+gem 'omniauth-google-oauth2', '~> 0.6'
 gem 'rubocop'
 gem 'sinatra', '~> 1.4'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/omniauth/google_oauth2/version.rb 
new/lib/omniauth/google_oauth2/version.rb
--- old/lib/omniauth/google_oauth2/version.rb   2018-12-29 07:38:12.0 
+0100
+++ new/lib/omniauth/google_oauth2/version.rb   2019-03-07 19:46:53.0 
+0100
@@ -2,6 +2,6 @@
 
 module OmniAuth
   module GoogleOauth2
-VERSION = '0.6.0'
+VERSION = '0.6.1'
   end
 end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/omniauth/strategies/google_oauth2.rb 
new/lib/omniauth/strategies/google_oauth2.rb
--- old/lib/omniauth/strategies/google_oauth2.rb2018-12-29 
07:38:12.0 +0100
+++ new/lib/omniauth/strategies/google_oauth2.rb2019-03-07 
19:46:53.0 +0100
@@ -46,7 +46,8 @@
   info do
 prune!(
   name: raw_info['name'],
-  email: verified_email,
+  email: raw_info['email'],
+  email_verified: raw_info['email_verified'],
   first_name: raw_info['given_name'],
   last_name: raw_info['family_name'],
   image: image_url,
@@ -135,10 +136,6 @@
 end
   end
 
-  def verified_email
-raw_info['email_verified'] ? raw_info['email'] : nil
-  end
-
   def image_url
 return nil unless raw_info['picture']
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-12-29 07:38:12.0 +0100
+++ new/metadata2019-03-07 19:46:53.0 +0100
@@ -1,7 +1,7 @@
 --- !ruby/object:Gem::Specification
 name: omniauth-google-oauth2
 version: !ruby/object:Gem::Version
-  version: 0.6.0
+  version: 0.6.1
 platform: 

commit rubygem-net-ssh for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-net-ssh for openSUSE:Factory 
checked in at 2019-03-27 16:17:52

Comparing /work/SRC/openSUSE:Factory/rubygem-net-ssh (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-net-ssh.new.25356 (New)


Package is "rubygem-net-ssh"

Wed Mar 27 16:17:52 2019 rev:29 rq:685129 version:5.2.0

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-net-ssh/rubygem-net-ssh.changes  
2019-03-04 09:20:27.640600059 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-net-ssh.new.25356/rubygem-net-ssh.changes   
2019-03-27 16:17:57.971572742 +0100
@@ -1,0 +2,22 @@
+Thu Mar 14 11:00:06 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.2.0
+ see installed CHANGES.txt
+
+  === 5.2.0.rc3
+  
+* Fix check_host_ip read from config
+* Support ssh-ed25519 in kown hosts
+  
+  === 5.2.0.rc2
+  
+* Read check_host_ip from ssh config files
+  
+  === 5.2.0.rc1
+  
+* Interpret * and ? in know_hosts file [Romain Tartière, #660]
+* New :check_host_ip so ip checking can be disabled in known hosts [Romain 
Tartière, #656]
+  
+  === 5.1.0
+
+---

Old:

  net-ssh-5.1.0.gem

New:

  net-ssh-5.2.0.gem



Other differences:
--
++ rubygem-net-ssh.spec ++
--- /var/tmp/diff_new_pack.8oEMpa/_old  2019-03-27 16:17:59.247572476 +0100
+++ /var/tmp/diff_new_pack.8oEMpa/_new  2019-03-27 16:17:59.251572475 +0100
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-net-ssh
-Version:5.1.0
+Version:5.2.0
 Release:0
 %define mod_name net-ssh
 %define mod_full_name %{mod_name}-%{version}

++ net-ssh-5.1.0.gem -> net-ssh-5.2.0.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/.rubocop.yml new/.rubocop.yml
--- old/.rubocop.yml2018-12-28 11:35:33.0 +0100
+++ new/.rubocop.yml2019-03-11 10:54:01.0 +0100
@@ -3,3 +3,6 @@
 AllCops:
   Exclude:
 - 'tryout/**/*'
+
+Style/DoubleNegation:
+  Enabled: false
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGES.txt new/CHANGES.txt
--- old/CHANGES.txt 2018-12-28 11:35:33.0 +0100
+++ new/CHANGES.txt 2019-03-11 10:54:01.0 +0100
@@ -1,8 +1,24 @@
+=== 5.2.0.rc3
+
+  * Fix check_host_ip read from config
+  * Support ssh-ed25519 in kown hosts
+
+=== 5.2.0.rc2
+
+  * Read check_host_ip from ssh config files
+
+=== 5.2.0.rc1
+
+  * Interpret * and ? in know_hosts file [Romain Tartière, #660]
+  * New :check_host_ip so ip checking can be disabled in known hosts [Romain 
Tartière, #656]
+
+=== 5.1.0
+
 === 5.1.0.rc1
 
   * Support new OpenSSH private key format for rsa - bcrypt for rsa (ed25519 
already supported) [#646]
   * Support IdentityAgent is ssh config [Frank Groeneveld, #645]
-  * Improve Match processin in ssh config [Aleksandrs Ļedovskis, #642]
+  * Improve Match processing in ssh config [Aleksandrs Ļedovskis, #642]
   * Ignore signature verification when verify_host_key is never [Piotr 
Kliczewski, #641]
   * Alg preference was changed to prefer stronger encryptions  [Tray, #637]
 
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
Binary files old/checksums.yaml.gz.sig and new/checksums.yaml.gz.sig differ
Binary files old/data.tar.gz.sig and new/data.tar.gz.sig differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/net/ssh/authentication/ed25519.rb 
new/lib/net/ssh/authentication/ed25519.rb
--- old/lib/net/ssh/authentication/ed25519.rb   2018-12-28 11:35:33.0 
+0100
+++ new/lib/net/ssh/authentication/ed25519.rb   2019-03-11 10:54:01.0 
+0100
@@ -29,6 +29,17 @@
   MEND = "-END OPENSSH PRIVATE KEY-\n"
   MAGIC = "openssh-key-v1"
 
+  class DecryptError < ArgumentError
+def initialize(message, encrypted_key: false)
+  super(message)
+  @encrypted_key = encrypted_key
+end
+
+def encrypted_key?
+  return @encrypted_key
+end
+  end
+
   def self.read(datafull, password)
 raise ArgumentError.new("Expected #{MBEGIN} at start of private 
key") unless datafull.start_with?(MBEGIN)
 raise ArgumentError.new("Expected #{MEND} at end of private key") 
unless datafull.end_with?(MEND)
@@ -74,7 +85,7 @@
 check1 = decoded.read_long
 check2 = decoded.read_long
 
-raise ArgumentError, "Decrypt failed on private key" if (check1 != 
check2)
+raise DecryptError.new("Decrypt failed on private key", 
encrypted_key: kdfname == 'bcrypt') if (check1 != check2)
 
 type_name = 

commit rubygem-temple for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-temple for openSUSE:Factory 
checked in at 2019-03-27 16:17:31

Comparing /work/SRC/openSUSE:Factory/rubygem-temple (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-temple.new.25356 (New)


Package is "rubygem-temple"

Wed Mar 27 16:17:31 2019 rev:2 rq:685120 version:0.8.1

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-temple/rubygem-temple.changes
2017-06-08 15:02:05.790700330 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-temple.new.25356/rubygem-temple.changes 
2019-03-27 16:17:32.651578018 +0100
@@ -1,0 +2,12 @@
+Thu Mar 14 11:07:12 UTC 2019 - Stephan Kulow 
+
+- updated to version 0.8.1
+ see installed CHANGES
+
+  0.8.1
+  
+* Stop relying on deprecated method in Rails (#121)
+* Fix issue with --enable-frozen-string-literal
+* Escape html in markdown
+
+---

Old:

  temple-0.8.0.gem

New:

  temple-0.8.1.gem



Other differences:
--
++ rubygem-temple.spec ++
--- /var/tmp/diff_new_pack.33Jqqi/_old  2019-03-27 16:17:33.459577850 +0100
+++ /var/tmp/diff_new_pack.33Jqqi/_new  2019-03-27 16:17:33.459577850 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-temple
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-temple
-Version:0.8.0
+Version:0.8.1
 Release:0
 %define mod_name temple
 %define mod_full_name %{mod_name}-%{version}
@@ -33,7 +33,7 @@
 BuildRequires:  %{rubygem gem2rpm}
 BuildRequires:  ruby-macros >= 5
 Url:https://github.com/judofyr/temple
-Source: http://rubygems.org/gems/%{mod_full_name}.gem
+Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
 Summary:Template compilation framework in Ruby
 License:MIT

++ temple-0.8.0.gem -> temple-0.8.1.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGES new/CHANGES
--- old/CHANGES 2017-02-12 13:20:10.0 +0100
+++ new/CHANGES 2019-03-03 14:42:20.0 +0100
@@ -1,3 +1,9 @@
+0.8.1
+
+  * Stop relying on deprecated method in Rails (#121)
+  * Fix issue with --enable-frozen-string-literal
+  * Escape html in markdown
+
 0.8.0
 
   * Add Temple::StaticAnalyzer to analyze Ruby expressions
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/EXPRESSIONS.md new/EXPRESSIONS.md
--- old/EXPRESSIONS.md  2017-02-12 13:20:10.0 +0100
+++ new/EXPRESSIONS.md  2019-03-03 14:42:20.0 +0100
@@ -220,7 +220,7 @@
 ### [:html, :tag, identifier, attributes, optional-sexp]
 
 HTML tag abstraction. Identifier can be a String or a Symbol. If the optional 
content Sexp is omitted
-the tag is closed (e.g.  ). The tag is also closed if the content 
Sexp is empty
+the tag is closed (e.g. `` ``). The tag is also closed if the 
content Sexp is empty
 (consists only of :multi and :newline expressions) and the tag is registered 
as auto-closing.
 
 Example:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/README.md new/README.md
--- old/README.md   2017-02-12 13:20:10.0 +0100
+++ new/README.md   2019-03-03 14:42:20.0 +0100
@@ -1,7 +1,7 @@
 Temple
 ==
 
-[![Build 
Status](https://secure.travis-ci.org/judofyr/temple.png?branch=master)](http://travis-ci.org/judofyr/temple)
 [![Dependency 
Status](https://gemnasium.com/judofyr/temple.png?travis)](https://gemnasium.com/judofyr/temple)
 [![Code 
Climate](https://codeclimate.com/github/judofyr/temple.png)](https://codeclimate.com/github/judofyr/temple)
+[![Build 
Status](https://secure.travis-ci.org/judofyr/temple.svg?branch=master)](http://travis-ci.org/judofyr/temple)
 [![Dependency 
Status](https://gemnasium.com/judofyr/temple.svg?travis)](https://gemnasium.com/judofyr/temple)
 [![Code 
Climate](https://codeclimate.com/github/judofyr/temple.svg)](https://codeclimate.com/github/judofyr/temple)
 [![Gem 
Version](https://badge.fury.io/rb/temple.svg)](https://rubygems.org/gems/temple)
 
 Temple is an abstraction and a framework for compiling templates to pure Ruby.
 It's all about making it easier 

commit rubygem-ruby_parser for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-ruby_parser for 
openSUSE:Factory checked in at 2019-03-27 16:17:36

Comparing /work/SRC/openSUSE:Factory/rubygem-ruby_parser (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-ruby_parser.new.25356 (New)


Package is "rubygem-ruby_parser"

Wed Mar 27 16:17:36 2019 rev:37 rq:685122 version:3.13.0

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-ruby_parser/rubygem-ruby_parser.changes  
2019-01-21 10:25:39.645730364 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-ruby_parser.new.25356/rubygem-ruby_parser.changes
   2019-03-27 16:17:40.123576461 +0100
@@ -1,0 +2,53 @@
+Thu Mar 14 11:05:23 UTC 2019 - Stephan Kulow 
+
+- updated to version 3.13.0
+ see installed History.rdoc
+
+  === 3.13.0 / 2019-03-12
+  
+  * 3 major enhancements:
+  
+* Removed 1.8 and 1.9 support. Moved to ruby_parser-legacy gem.
+* Added tentative 2.6 support.
+* Updated ruby_parser.yy to ruby 2.4 architecture.
+  
+  * 22 minor enhancements:
+  
+* Added debug3 and cmp3 rake tasks that use the above tools.
+* Added tLONELY to compare/normalize.rb
+* Added tools/munge.rb, tools/ripper.rb, and debugging.md
+* 2.6: Added trailing .. and ... support.
+* Extended StackState to log more state changes, making debugging easier.
+* Extended StackState#store to take an initial value.
+* Improved logging / debugging in StackState.
+* Improved normalization and parser compare tasks.
+* Improved tools/munge.rb output.
+* In f_arglist, track in_kwarg if no parens.
+* In process_newline_or_comment, handle NL if in_kwarg there vs normal.
+* Refactored normalized values to WORDLIST.
+* Refactored parser: push up to relop and rel_expr.
+* Removed Keyword.keyword18.
+* Removed RubyLexer version attr_accessors.
+* Removed long dead deprecations internal to RubyParserStuff.
+* Removed version arg to RubyLexer#initialize (default nil + no-op).
+* Renamed Keyword.keyword19 to Keyword.keyword.
+* Renamed process_bracing to process_brace_close
+* Renamed process_curly_brace to process_brace_open
+* Report first parse error message if all parser versions fail, not last.
+* Updated parser to track against 2.6.
+  
+  * 11 bug fixes:
+  
+* Fix some shift/reduce errors.
+* Fixed BEGIN blocks having different arg value that END blocks. (mvz)
+* Fixed all reported unused non-terminals/rules.
+* Fixed bug 272.
+* Fixed bug in interpolated symbol lists. (strviola)
+* Fixed bug where block shadow arguments were not registered as lvars. 
(akimd)
+* Fixed bug where kwsplat args weren't treated as lvars. (mvz)
+* Fixed lex_state and other internals in many cases.
+* Fixed shebang in compare/normalize.rb to use env. Avoids rubygems 
freaking.
+* Fixed some more internal state bugs.
+* Fixed tRCURLY -> tSTRING_DEND for interpolation brace closes.
+
+---

Old:

  ruby_parser-3.12.0.gem

New:

  ruby_parser-3.13.0.gem



Other differences:
--
++ rubygem-ruby_parser.spec ++
--- /var/tmp/diff_new_pack.8UOSdG/_old  2019-03-27 16:17:40.623576357 +0100
+++ /var/tmp/diff_new_pack.8UOSdG/_new  2019-03-27 16:17:40.623576357 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-ruby_parser
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-ruby_parser
-Version:3.12.0
+Version:3.13.0
 Release:0
 %define mod_name ruby_parser
 %define mod_full_name %{mod_name}-%{version}

++ ruby_parser-3.12.0.gem -> ruby_parser-3.13.0.gem ++
 93870 lines of diff (skipped)




commit rubygem-railties-5_0 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-railties-5_0 for 
openSUSE:Factory checked in at 2019-03-27 16:17:41

Comparing /work/SRC/openSUSE:Factory/rubygem-railties-5_0 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-railties-5_0.new.25356 (New)


Package is "rubygem-railties-5_0"

Wed Mar 27 16:17:41 2019 rev:10 rq:685124 version:5.0.7.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-railties-5_0/rubygem-railties-5_0.changes
2019-01-21 10:24:58.121776007 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-railties-5_0.new.25356/rubygem-railties-5_0.changes
 2019-03-27 16:17:43.235575813 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 11:03:44 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.0.7.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.0.7.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  railties-5.0.7.1.gem

New:

  railties-5.0.7.2.gem



Other differences:
--
++ rubygem-railties-5_0.spec ++
--- /var/tmp/diff_new_pack.ouk3Jb/_old  2019-03-27 16:17:43.903575673 +0100
+++ /var/tmp/diff_new_pack.ouk3Jb/_new  2019-03-27 16:17:43.907575672 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-railties-5_0
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-railties-5_0
-Version:5.0.7.1
+Version:5.0.7.2
 Release:0
 %define mod_name railties
 %define mod_full_name %{mod_name}-%{version}

++ railties-5.0.7.1.gem -> railties-5.0.7.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:08:14.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:42:09.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.0.7.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.0.7.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/rails/gem_version.rb new/lib/rails/gem_version.rb
--- old/lib/rails/gem_version.rb2018-11-27 21:08:14.0 +0100
+++ new/lib/rails/gem_version.rb2019-03-13 17:42:09.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 0
 TINY  = 7
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:08:14.0 +0100
+++ new/metadata2019-03-13 17:42:09.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: railties
 version: !ruby/object:Gem::Version
-  version: 5.0.7.1
+  version: 5.0.7.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: exe
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,28 +16,28 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: actionpack
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 - !ruby/object:Gem::Dependency
   name: rake
   requirement: !ruby/object:Gem::Requirement
@@ -92,14 +92,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
   type: :development
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.0.7.1
+version: 5.0.7.2
 description: 'Rails internals: application bootup, plugins, generators, and 
rake tasks.'
 email: da...@loudthinking.com
 executables:
@@ -403,8 +403,7 @@
 - !ruby/object:Gem::Version
   

commit rubygem-unicorn for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-unicorn for openSUSE:Factory 
checked in at 2019-03-27 16:17:29

Comparing /work/SRC/openSUSE:Factory/rubygem-unicorn (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-unicorn.new.25356 (New)


Package is "rubygem-unicorn"

Wed Mar 27 16:17:29 2019 rev:7 rq:685119 version:5.5.0

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-unicorn/rubygem-unicorn.changes  
2018-09-20 11:41:51.624842419 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-unicorn.new.25356/rubygem-unicorn.changes   
2019-03-27 16:17:31.131578334 +0100
@@ -1,0 +2,48 @@
+Thu Mar 14 11:08:18 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.5.0
+ see installed NEWS
+
+  === unicorn 5.5.0.pre1 / 2018-12-20 20:11 UTC
+  
+Jeremy Evans contributed the "default_middleware" configuration option:
+  
+  
https://bogomips.org/unicorn-public/20180913192055.GD48926@jeremyevans.local/
+  
+Jeremy also contributed the ability to use separate groups for the process
+and log files:
+  
+  
https://bogomips.org/unicorn-public/20180913192449.GE48926@jeremyevans.local/
+  
+There's also a couple of uninteresting minor optimizations and
+documentation additions.
+  
+Eric Wong (10):
+  remove random seed reset atfork
+  use IO#wait instead of kgio_wait_readable
+  Merge branch '5.4-stable'
+  shrink pipes under Linux
+  socket_helper: add hint for FreeBSD users for accf_http(9)
+  tests: ensure -N/--no-default-middleware not supported in config.ru
+  doc: update more URLs to use HTTPS and avoid redirects
+  deduplicate strings VM-wide in Ruby 2.5+
+  doc/ISSUES: add links to git clone-able mail archives of our 
dependencies
+  README: minor updates and additional disclaimer
+  
+Jeremy Evans (2):
+  Make Worker#user support different process primary group and log 
file group
+  Support default_middleware configuration option
+  
+  === unicorn 5.4.1 / 2018-07-23 17:13 UTC
+  
+This release quiets some warnings for Ruby 2.6 preview releases
+and enables tests to pass under Ruby 1.9.3.  Otherwise, nothing
+interesting for Ruby 2.0..2.5 users.  *YAWN*
+  
+Eric Wong (1):
+  quiet some mismatched indentation warnings
+  
+Fumiaki MATSUSHIMA (1):
+  Use IO#wait instead to fix test for Ruby 1.9
+
+---

Old:

  unicorn-5.4.1.gem

New:

  unicorn-5.5.0.gem



Other differences:
--
++ rubygem-unicorn.spec ++
--- /var/tmp/diff_new_pack.kock1Z/_old  2019-03-27 16:17:31.855578184 +0100
+++ /var/tmp/diff_new_pack.kock1Z/_new  2019-03-27 16:17:31.859578183 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-unicorn
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-unicorn
-Version:5.4.1
+Version:5.5.0
 Release:0
 %define mod_name unicorn
 %define mod_full_name %{mod_name}-%{version}

++ unicorn-5.4.1.gem -> unicorn-5.5.0.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/.manifest new/.manifest
--- old/.manifest   2018-07-23 19:15:18.0 +0200
+++ new/.manifest   2019-03-04 02:11:20.0 +0100
@@ -128,6 +128,8 @@
 t/t0116.ru
 t/t0200-rack-hijack.sh
 t/t0300-no-default-middleware.sh
+t/t0301-no-default-middleware-ignored-in-config.sh
+t/t0301.ru
 t/t9000-preread-input.sh
 t/t9001-oob_gc.sh
 t/t9002-oob_gc-path.sh
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/.olddoc.yml new/.olddoc.yml
--- old/.olddoc.yml 2018-07-23 19:15:18.0 +0200
+++ new/.olddoc.yml 2019-03-04 02:11:20.0 +0100
@@ -1,6 +1,6 @@
 ---
 cgit_url: https://bogomips.org/unicorn.git
-git_url: git://bogomips.org/unicorn.git
+git_url: https://bogomips.org/unicorn.git
 rdoc_url: https://bogomips.org/unicorn/
 ml_url: https://bogomips.org/unicorn-public/
 merge_html:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Application_Timeouts new/Application_Timeouts
--- old/Application_Timeouts2018-07-23 

commit rubygem-validate_url for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-validate_url for 
openSUSE:Factory checked in at 2019-03-27 16:17:26

Comparing /work/SRC/openSUSE:Factory/rubygem-validate_url (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-validate_url.new.25356 (New)


Package is "rubygem-validate_url"

Wed Mar 27 16:17:26 2019 rev:2 rq:685118 version:1.0.6

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-validate_url/rubygem-validate_url.changes
2018-01-10 23:31:33.962164981 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-validate_url.new.25356/rubygem-validate_url.changes
 2019-03-27 16:17:27.779579033 +0100
@@ -1,0 +2,12 @@
+Thu Mar 14 11:08:38 UTC 2019 - Stephan Kulow 
+
+- updated to version 1.0.6
+  no changelog found
+
+---
+Sat Mar  2 15:41:55 UTC 2019 - Stephan Kulow 
+
+- updated to version 1.0.4
+  no changelog found
+
+---

Old:

  validate_url-1.0.2.gem

New:

  validate_url-1.0.6.gem



Other differences:
--
++ rubygem-validate_url.spec ++
--- /var/tmp/diff_new_pack.R1sLKv/_old  2019-03-27 16:17:28.715578838 +0100
+++ /var/tmp/diff_new_pack.R1sLKv/_new  2019-03-27 16:17:28.719578837 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-validate_url
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -24,16 +24,16 @@
 #
 
 Name:   rubygem-validate_url
-Version:1.0.2
+Version:1.0.6
 Release:0
 %define mod_name validate_url
 %define mod_full_name %{mod_name}-%{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  ruby-macros >= 5
-BuildRequires:  %{ruby}
 BuildRequires:  %{rubygem gem2rpm}
+BuildRequires:  %{ruby}
+BuildRequires:  ruby-macros >= 5
 Url:http://github.com/perfectline/validates_url/tree/master
-Source: http://rubygems.org/gems/%{mod_full_name}.gem
+Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
 Summary:Library for validating urls in Rails
 License:MIT

++ validate_url-1.0.2.gem -> validate_url-1.0.6.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/README.md new/README.md
--- old/README.md   2015-07-21 10:45:38.0 +0200
+++ new/README.md   2019-03-13 07:19:03.0 +0100
@@ -1,10 +1,10 @@
 # Validates URL
 
-This gem adds the capability of validating URLs to ActiveRecord and 
ActiveModel (Rails 3).
+This gem adds the capability of validating URLs to ActiveRecord and 
ActiveModel.
 
 ## Installation
-
-```
+
+```
 # add this to your Gemfile
 gem "validate_url"
 
@@ -16,19 +16,25 @@
 
 ### With ActiveRecord
 
-```ruby
+```ruby
 class Pony < ActiveRecord::Base
   # standard validation
-  validates :homepage, :url => true
+  validates :homepage, url: true
 
   # with allow_nil
-  validates :homepage, :url => {:allow_nil => true}
+  validates :homepage, url: { allow_nil: true }
 
   # with allow_blank
-  validates :homepage, :url => {:allow_blank => true}
+  validates :homepage, url: { allow_blank: true }
 
   # without local hostnames
-  validates :homepage, :url => {:no_local => true}
+  validates :homepage, url: { no_local: true }
+
+  # with custom schemes
+  validates :homepage, url: { schemes: ['https'] }
+
+  # with public suffix database https://publicsuffix.org/
+  validates :homepage, url: { public_suffix: true }
 end
 ```
 
@@ -41,14 +47,14 @@
   attr_accessor :homepage
 
   # with legacy syntax (the syntax above works also)
-  validates_url :homepage, :allow_blank => true
+  validates_url :homepage, allow_blank: true
 end
 ```
 
 ### I18n
 
-The default error message `is not valid url`.
-You can pass the `:message => "my custom error"` option to your validation to 
define your own, custom message.
+The default error message `is not a valid URL`.
+You can pass the `message: "my custom error"` option to your validation to 
define your own, custom message.
 
 
 ## Contributing
@@ -63,4 +69,4 @@
 ## License
 
 Validates URL is Copyright © 2010-2014 
[PerfectLine](http://www.perfectline.co), LLC. It is free software, and may be
-redistributed under the terms 

commit rubygem-sexp_processor for openSUSE:Factory

2019-03-27 Thread root


binOUPRKQiqOY.bin
Description: Binary data


commit rubygem-railties-5_1 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rubygem-railties-5_1 for 
openSUSE:Factory checked in at 2019-03-27 16:17:40

Comparing /work/SRC/openSUSE:Factory/rubygem-railties-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-railties-5_1.new.25356 (New)


Package is "rubygem-railties-5_1"

Wed Mar 27 16:17:40 2019 rev:6 rq:685123 version:5.1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-railties-5_1/rubygem-railties-5_1.changes
2019-01-21 10:24:55.397779003 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-railties-5_1.new.25356/rubygem-railties-5_1.changes
 2019-03-27 16:17:41.207576235 +0100
@@ -1,0 +2,10 @@
+Thu Mar 14 11:04:01 UTC 2019 - Stephan Kulow 
+
+- updated to version 5.1.6.2
+ see installed CHANGELOG.md
+
+  ## Rails 5.1.6.2 (March 11, 2019) ##
+  
+  *   No changes.
+
+---

Old:

  railties-5.1.6.1.gem

New:

  railties-5.1.6.2.gem



Other differences:
--
++ rubygem-railties-5_1.spec ++
--- /var/tmp/diff_new_pack.PnIIcU/_old  2019-03-27 16:17:41.795576113 +0100
+++ /var/tmp/diff_new_pack.PnIIcU/_new  2019-03-27 16:17:41.795576113 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-railties-5_1
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-railties-5_1
-Version:5.1.6.1
+Version:5.1.6.2
 Release:0
 %define mod_name railties
 %define mod_full_name %{mod_name}-%{version}

++ railties-5.1.6.1.gem -> railties-5.1.6.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2018-11-27 21:10:15.0 +0100
+++ new/CHANGELOG.md2019-03-13 17:46:05.0 +0100
@@ -1,3 +1,8 @@
+## Rails 5.1.6.2 (March 11, 2019) ##
+
+*   No changes.
+
+
 ## Rails 5.1.6.1 (November 27, 2018) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/rails/gem_version.rb new/lib/rails/gem_version.rb
--- old/lib/rails/gem_version.rb2018-11-27 21:10:15.0 +0100
+++ new/lib/rails/gem_version.rb2019-03-13 17:46:06.0 +0100
@@ -8,7 +8,7 @@
 MAJOR = 5
 MINOR = 1
 TINY  = 6
-PRE   = "1"
+PRE   = "2"
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
   end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-11-27 21:10:15.0 +0100
+++ new/metadata2019-03-13 17:46:05.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: railties
 version: !ruby/object:Gem::Version
-  version: 5.1.6.1
+  version: 5.1.6.2
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: exe
 cert_chain: []
-date: 2018-11-27 00:00:00.0 Z
+date: 2019-03-13 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,28 +16,28 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: actionpack
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 - !ruby/object:Gem::Dependency
   name: rake
   requirement: !ruby/object:Gem::Requirement
@@ -92,14 +92,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
   type: :development
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.6.1
+version: 5.1.6.2
 description: 'Rails internals: application bootup, plugins, generators, and 
rake tasks.'
 email: da...@loudthinking.com
 executables:
@@ -408,8 +408,8 @@
 licenses:
 - MIT
 metadata:
-  

commit kdebase4-workspace for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package kdebase4-workspace for 
openSUSE:Factory checked in at 2019-03-27 16:16:52

Comparing /work/SRC/openSUSE:Factory/kdebase4-workspace (Old)
 and  /work/SRC/openSUSE:Factory/.kdebase4-workspace.new.25356 (New)


Package is "kdebase4-workspace"

Wed Mar 27 16:16:52 2019 rev:336 rq:688900 version:4.11.22

Changes:

--- /work/SRC/openSUSE:Factory/kdebase4-workspace/kdebase4-workspace.changes
2018-12-19 13:29:44.796905436 +0100
+++ 
/work/SRC/openSUSE:Factory/.kdebase4-workspace.new.25356/kdebase4-workspace.changes
 2019-03-27 16:16:54.663585934 +0100
@@ -1,0 +2,6 @@
+Tue Mar 26 21:23:03 UTC 2019 - Christophe Giboudeaux 
+
+- Remove the last %kde4_pimlibs_requires line.
+  Nothing should require kdepimlibs4 anymore.
+
+---



Other differences:
--
++ kdebase4-workspace.spec ++
--- /var/tmp/diff_new_pack.IaycRO/_old  2019-03-27 16:16:56.627585525 +0100
+++ /var/tmp/diff_new_pack.IaycRO/_new  2019-03-27 16:16:56.627585525 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package kdebase4-workspace
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -204,7 +204,7 @@
 Provides:   kdebase4-workspace-plasma-engine-akonadi = %{version}
 %kde4_runtime_requires
 # libplasmaclock links to kdepimlibs
-%kde4_pimlibs_requires
+# %%kde4_pimlibs_requires
 %define _dminitdir %{_kde4_prefix}/lib/X11/displaymanagers
 
 %description






commit kwalletmanager5 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package kwalletmanager5 for openSUSE:Factory 
checked in at 2019-03-27 16:16:46

Comparing /work/SRC/openSUSE:Factory/kwalletmanager5 (Old)
 and  /work/SRC/openSUSE:Factory/.kwalletmanager5.new.25356 (New)


Package is "kwalletmanager5"

Wed Mar 27 16:16:46 2019 rev:44 rq:688879 version:18.12.3

Changes:

--- /work/SRC/openSUSE:Factory/kwalletmanager5/kwalletmanager5.changes  
2019-03-11 11:12:14.681398359 +0100
+++ 
/work/SRC/openSUSE:Factory/.kwalletmanager5.new.25356/kwalletmanager5.changes   
2019-03-27 16:16:49.559586998 +0100
@@ -1,0 +2,6 @@
+Tue Mar 26 17:23:54 UTC 2019 - wba...@tmo.at
+
+- Provide/Obsolete kwalletmanager, it can access the KDE4 kwallet
+  too since a while
+
+---



Other differences:
--
++ kwalletmanager5.spec ++
--- /var/tmp/diff_new_pack.hYmQNb/_old  2019-03-27 16:16:50.323586838 +0100
+++ /var/tmp/diff_new_pack.hYmQNb/_new  2019-03-27 16:16:50.323586838 +0100
@@ -51,6 +51,9 @@
 Recommends: %{name}-lang
 %if %{?suse_version} <= 1320 && !0%{?is_opensuse}
 Conflicts:  kwalletmanager
+%else
+Provides:   kwalletmanager = %{version}
+Obsoletes:  kwalletmanager < %{version}
 %endif
 
 %description




commit qalculate for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package qalculate for openSUSE:Factory 
checked in at 2019-03-27 16:16:08

Comparing /work/SRC/openSUSE:Factory/qalculate (Old)
 and  /work/SRC/openSUSE:Factory/.qalculate.new.25356 (New)


Package is "qalculate"

Wed Mar 27 16:16:08 2019 rev:24 rq:688582 version:3.0.0

Changes:

--- /work/SRC/openSUSE:Factory/qalculate/qalculate.changes  2018-11-06 
15:38:37.235318090 +0100
+++ /work/SRC/openSUSE:Factory/.qalculate.new.25356/qalculate.changes   
2019-03-27 16:16:09.655595313 +0100
@@ -1,0 +2,13 @@
+Tue Mar 26 06:45:04 UTC 2019 - Christophe Giboudeaux 
+
+- Update to 3.0.0
+  * Implement 2019 redefinition of SI base units
+  * Uncertainty propagation improvements/fixes
+  * Separate use of interval arithmetic
+  * Improved polynomial gcd
+  * Added option to ignore the system language
+  * Switch to exact decimal fractions (fixed) from decimal fractions
+mode (and vice versa) when exact mode is toggled.
+  * Restore lost signal handlers in the conversion GUI
+
+---

Old:

  libqalculate-2.8.0.tar.gz

New:

  libqalculate-3.0.0.tar.gz



Other differences:
--
++ qalculate.spec ++
--- /var/tmp/diff_new_pack.WFKXkE/_old  2019-03-27 16:16:10.947595044 +0100
+++ /var/tmp/diff_new_pack.WFKXkE/_new  2019-03-27 16:16:10.979595038 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package qalculate
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,10 +16,10 @@
 #
 
 
-%define major   20
+%define major   21
 %define libname libqalculate
 Name:   qalculate
-Version:2.8.0
+Version:3.0.0
 Release:0
 Summary:Multi-purpose desktop calulator application
 License:GPL-2.0-or-later

++ libqalculate-2.8.0.tar.gz -> libqalculate-3.0.0.tar.gz ++
 92098 lines of diff (skipped)




commit transactional-update for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package transactional-update for 
openSUSE:Factory checked in at 2019-03-27 16:14:40

Comparing /work/SRC/openSUSE:Factory/transactional-update (Old)
 and  /work/SRC/openSUSE:Factory/.transactional-update.new.25356 (New)


Package is "transactional-update"

Wed Mar 27 16:14:40 2019 rev:41 rq:688399 version:2.14.1

Changes:

--- 
/work/SRC/openSUSE:Factory/transactional-update/transactional-update.changes
2019-03-19 09:57:32.292123545 +0100
+++ 
/work/SRC/openSUSE:Factory/.transactional-update.new.25356/transactional-update.changes
 2019-03-27 16:14:44.919616363 +0100
@@ -1,0 +2,9 @@
+Mon Mar 25 14:53:12 UTC 2019 - Ignaz Forster 
+
+- Update to version 2.14.1
+  - Improve non-root fs changes checker based on feedback
+  - Disable snapper's zypper plugin during transactional-update run
+- Allow parallel installation with snapper's zypper plugin (useful on
+  read-write systems).
+
+---

Old:

  transactional-update-2.14.tar.gz

New:

  transactional-update-2.14.1.tar.gz



Other differences:
--
++ transactional-update.spec ++
--- /var/tmp/diff_new_pack.HdX8HD/_old  2019-03-27 16:14:46.115616058 +0100
+++ /var/tmp/diff_new_pack.HdX8HD/_new  2019-03-27 16:14:46.119616057 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   transactional-update
-Version:2.14
+Version:2.14.1
 Release:0
 # test
 Summary:Transactional Updates with btrfs and snapshots
@@ -42,7 +42,6 @@
 # psmisc is needed because of fuser
 Requires:   psmisc
 Requires:   rsync
-Conflicts:  snapper-zypp-plugin
 Recommends: rebootmgr
 
 %description

++ transactional-update-2.14.tar.gz -> transactional-update-2.14.1.tar.gz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transactional-update-2.14/NEWS 
new/transactional-update-2.14.1/NEWS
--- old/transactional-update-2.14/NEWS  2019-03-15 11:36:06.0 +0100
+++ new/transactional-update-2.14.1/NEWS2019-03-25 18:55:33.0 
+0100
@@ -1,6 +1,10 @@
 transactional-update NEWS -- history of user-visible changes.
 
-Copyright (C) 2016-2019 Thorsten Kukuk
+Copyright (C) 2016-2019 Thorsten Kukuk et al.
+
+Version 2.14.1
+* Improve non-root fs changes checker based on feedback
+* Disable snapper's zypper plugin during transactional-update run
 
 Version 2.14
 * Warn user if contents of /var have been changed
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transactional-update-2.14/configure.ac 
new/transactional-update-2.14.1/configure.ac
--- old/transactional-update-2.14/configure.ac  2019-03-15 11:36:06.0 
+0100
+++ new/transactional-update-2.14.1/configure.ac2019-03-25 
18:55:33.0 +0100
@@ -1,5 +1,5 @@
 dnl Process this file with autoconf to produce a configure script.
-AC_INIT(transactional-update, 2.14)
+AC_INIT(transactional-update, 2.14.1)
 AM_INIT_AUTOMAKE
 AC_CONFIG_SRCDIR([sbin/transactional-update.in])
 AC_PREFIX_DEFAULT(/usr)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/transactional-update-2.14/man/transactional-update.8.xml 
new/transactional-update-2.14.1/man/transactional-update.8.xml
--- old/transactional-update-2.14/man/transactional-update.8.xml
2019-03-15 11:36:06.0 +0100
+++ new/transactional-update-2.14.1/man/transactional-update.8.xml  
2019-03-25 18:55:33.0 +0100
@@ -121,7 +121,7 @@
 On read-write systems please be aware that all changes
 done to the running root filesystem after snapshot creation are lost after the
 next reboot. For this reason the system should be rebooted as fast as possible
-after an successfull update.
+after a successful update.
 
 For easier maintenance of big clusters,
 transactional-update is run by
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/transactional-update-2.14/sbin/transactional-update.in 
new/transactional-update-2.14.1/sbin/transactional-update.in
--- old/transactional-update-2.14/sbin/transactional-update.in  2019-03-15 
11:36:06.0 +0100
+++ new/transactional-update-2.14.1/sbin/transactional-update.in
2019-03-25 18:55:33.0 +0100
@@ -19,6 +19,7 @@
 # along with this program.  If not, see .
 
 export LANG=C
+export DISABLE_SNAPPER_ZYPP_PLUGIN=1
 
 DIR_TO_MOUNT="dev opt var/log"
 EXITCODE=0
@@ -54,6 +55,7 @@
 LOCKFILE="/var/run/transactional-update.pid"
 ZYPPER_AUTO_IMPORT_KEYS=0
 

commit yast2-bootloader for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package yast2-bootloader for 
openSUSE:Factory checked in at 2019-03-27 16:14:25

Comparing /work/SRC/openSUSE:Factory/yast2-bootloader (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-bootloader.new.25356 (New)


Package is "yast2-bootloader"

Wed Mar 27 16:14:25 2019 rev:277 rq:688327 version:4.1.23

Changes:

--- /work/SRC/openSUSE:Factory/yast2-bootloader/yast2-bootloader.changes
2019-03-13 09:08:58.223425504 +0100
+++ 
/work/SRC/openSUSE:Factory/.yast2-bootloader.new.25356/yast2-bootloader.changes 
2019-03-27 16:14:27.879620707 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 15:45:54 CET 2019 - sch...@suse.de
+
+- Removed double "smt" entry from *.rnc file (bsc#1128707).
+- 4.1.23
+
+---

Old:

  yast2-bootloader-4.1.22.tar.bz2

New:

  yast2-bootloader-4.1.23.tar.bz2



Other differences:
--
++ yast2-bootloader.spec ++
--- /var/tmp/diff_new_pack.IFDULI/_old  2019-03-27 16:14:29.207620369 +0100
+++ /var/tmp/diff_new_pack.IFDULI/_new  2019-03-27 16:14:29.235620362 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-bootloader
-Version:4.1.22
+Version:4.1.23
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ yast2-bootloader-4.1.22.tar.bz2 -> yast2-bootloader-4.1.23.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-bootloader-4.1.22/package/yast2-bootloader.changes 
new/yast2-bootloader-4.1.23/package/yast2-bootloader.changes
--- old/yast2-bootloader-4.1.22/package/yast2-bootloader.changes
2019-03-12 09:27:15.0 +0100
+++ new/yast2-bootloader-4.1.23/package/yast2-bootloader.changes
2019-03-25 16:25:17.0 +0100
@@ -1,4 +1,10 @@
 ---
+Mon Mar 25 15:45:54 CET 2019 - sch...@suse.de
+
+- Removed double "smt" entry from *.rnc file (bsc#1128707).
+- 4.1.23
+
+---
 Mon Mar 11 16:26:13 CET 2019 - sch...@suse.de
 
 - Added tag smt to *.rnc file (bsc#1128707).
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-bootloader-4.1.22/package/yast2-bootloader.spec 
new/yast2-bootloader-4.1.23/package/yast2-bootloader.spec
--- old/yast2-bootloader-4.1.22/package/yast2-bootloader.spec   2019-03-12 
09:27:15.0 +0100
+++ new/yast2-bootloader-4.1.23/package/yast2-bootloader.spec   2019-03-25 
16:25:17.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-bootloader
-Version:4.1.22
+Version:4.1.23
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-bootloader-4.1.22/src/autoyast-rnc/bootloader.rnc 
new/yast2-bootloader-4.1.23/src/autoyast-rnc/bootloader.rnc
--- old/yast2-bootloader-4.1.22/src/autoyast-rnc/bootloader.rnc 2019-03-12 
09:27:15.0 +0100
+++ new/yast2-bootloader-4.1.23/src/autoyast-rnc/bootloader.rnc 2019-03-25 
16:25:17.0 +0100
@@ -52,7 +52,6 @@
 element failsafe_disabled { "true" | "false" }? &
 element hiddenmenu  { "true" | "false" }? &
 element os_prober   { "true" | "false" }? &
-element smt { "true" | "false" }? &
 element suse_btrfs  { "true" | "false" }? &
 element xen_append{ text }? &
 element xen_kernel_append { text }? &




commit zypper for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package zypper for openSUSE:Factory checked 
in at 2019-03-27 16:14:14

Comparing /work/SRC/openSUSE:Factory/zypper (Old)
 and  /work/SRC/openSUSE:Factory/.zypper.new.25356 (New)


Package is "zypper"

Wed Mar 27 16:14:14 2019 rev:299 rq:688293 version:1.14.27

Changes:

--- /work/SRC/openSUSE:Factory/zypper/zypper.changes2019-02-28 
21:37:55.493649216 +0100
+++ /work/SRC/openSUSE:Factory/.zypper.new.25356/zypper.changes 2019-03-27 
16:14:17.355623391 +0100
@@ -1,0 +2,8 @@
+Thu Mar 21 12:44:06 CET 2019 - m...@suse.de
+
+- Add Requires: libaugeas0 >= 1.10.0 (fixes #265)
+- bash-completion: add package completion for addlock (bsc#1047962)
+- bash-completion: fix incorrect detection of command names (bsc#1049826)
+- version 1.14.27
+
+---

Old:

  zypper-1.14.26.tar.bz2

New:

  zypper-1.14.27.tar.bz2



Other differences:
--
++ zypper.spec ++
--- /var/tmp/diff_new_pack.klAkt7/_old  2019-03-27 16:14:17.923623246 +0100
+++ /var/tmp/diff_new_pack.klAkt7/_new  2019-03-27 16:14:17.923623246 +0100
@@ -31,8 +31,11 @@
 BuildRequires:  readline-devel >= 5.1
 Requires:   procps
 %if 0%{?suse_version}
+Requires:   libaugeas0 >= 1.10.0
 %requires_gelibzypp
 Recommends: logrotate zypper-log
+%else
+Requires:   augeas >= 1.10.0
 %endif
 
 # required for documentation
@@ -47,7 +50,7 @@
 Summary:Command line software manager using libzypp
 License:GPL-2.0-or-later
 Group:  System/Packages
-Version:1.14.26
+Version:1.14.27
 Release:0
 Source: %{name}-%{version}.tar.bz2
 Source1:%{name}-rpmlintrc

++ zypper-1.14.26.tar.bz2 -> zypper-1.14.27.tar.bz2 ++
/work/SRC/openSUSE:Factory/zypper/zypper-1.14.26.tar.bz2 
/work/SRC/openSUSE:Factory/.zypper.new.25356/zypper-1.14.27.tar.bz2 differ: 
char 11, line 1




commit pngquant for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package pngquant for openSUSE:Factory 
checked in at 2019-03-27 16:14:29

Comparing /work/SRC/openSUSE:Factory/pngquant (Old)
 and  /work/SRC/openSUSE:Factory/.pngquant.new.25356 (New)


Package is "pngquant"

Wed Mar 27 16:14:29 2019 rev:4 rq:688336 version:2.12.2

Changes:

--- /work/SRC/openSUSE:Factory/pngquant/pngquant.changes2018-03-29 
11:51:22.615537814 +0200
+++ /work/SRC/openSUSE:Factory/.pngquant.new.25356/pngquant.changes 
2019-03-27 16:14:32.171619613 +0100
@@ -1,0 +2,12 @@
+Wed Feb 13 17:57:56 UTC 2019 - Jan Engelhardt 
+
+- Use noun phrase in summary. Update description with parts from
+  from README.md.
+
+---
+Mon Feb 11 09:01:47 UTC 2019 - mun...@googlemail.com
+
+- update to version 2.12.2
+  * improved speed on large images
+
+---
@@ -62 +73,0 @@
-  

Old:

  2.11.2.tar.gz

New:

  pngquant-2.12.2-src.tar.gz



Other differences:
--
++ pngquant.spec ++
--- /var/tmp/diff_new_pack.11vPTL/_old  2019-03-27 16:14:33.739619213 +0100
+++ /var/tmp/diff_new_pack.11vPTL/_new  2019-03-27 16:14:33.759619208 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package pngquant
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,30 +12,32 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   pngquant
-Version:2.11.2
+Version:2.12.2
 Release:0
-Summary:Converts 24/32-bit RGBA PNGs to 8-bit palette with alpha 
channel preserved
+Summary:Tool for lossy compression of PNG images
 License:GPL-3.0-or-later
 Group:  Development/Tools/Other
-Url:http://pngquant.org/
-Source: https://github.com/pornel/pngquant/archive/%{version}.tar.gz
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  libimagequant-devel >= %{version}
-BuildRequires:  liblcms2-devel
-BuildRequires:  libpng-devel
-BuildRequires:  zlib-devel
+Url:https://pngquant.org/
+Source: https://pngquant.org/%{name}-%{version}-src.tar.gz
+BuildRequires:  pkgconfig
+BuildRequires:  pkgconfig(imagequant) >= %{version}
+BuildRequires:  pkgconfig(lcms2)
+BuildRequires:  pkgconfig(libpng)
+BuildRequires:  pkgconfig(zlib)
 
 %description
-pngquant is a command-line utility and a library for lossy compression of PNG 
images.
+pngquant is a command-line utility and a library for lossy
+compression of PNG images.
 
-The conversion reduces file sizes significantly (often as much as 70%%) and
-preserves full alpha transparency. Generated images are compatible with all
-modern web browsers, and have better fallback in IE6 than 24-bit PNGs.
+The conversion reduces file sizes by converting images to 1/2/4/8-bit
+paletted PNG format with alpha channel (often 60-80%% smaller than
+24/32-bit PNG files). Generated images are compatible with all modern
+web browsers, and have better fallback in IE6 than 24-bit PNGs.
 
 %prep
 %setup -q
@@ -43,23 +45,24 @@
 %build
 # not autoconf
 ./configure \
-   --prefix=%prefix \
+   --prefix=%{_prefix} \
 %ifarch x86_64
--enable-sse \
 %else
--disable-sse \
 %endif
--extra-cflags='%{optflags}' \
+   --with-libimagequant=%{_libdir} \
--with-openmp
 make %{?_smp_mflags}
 
 %install
-mkdir -p %buildroot/%_bindir
-install --mode 0755 %name %buildroot%_bindir
+%make_install
 
 %files
-%defattr(-, root, root)
-%doc CHANGELOG COPYRIGHT README.md
-%_bindir/*
+%license COPYRIGHT
+%doc CHANGELOG README.md
+%{_bindir}/%{name}
+%{_mandir}/man1/%{name}.1%{?ext_man}
 
 %changelog




commit openSUSE-EULAs for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package openSUSE-EULAs for openSUSE:Factory 
checked in at 2019-03-27 16:14:19

Comparing /work/SRC/openSUSE:Factory/openSUSE-EULAs (Old)
 and  /work/SRC/openSUSE:Factory/.openSUSE-EULAs.new.25356 (New)


Package is "openSUSE-EULAs"

Wed Mar 27 16:14:19 2019 rev:21 rq:688304 version:84.87.20190314.743685c

Changes:

--- /work/SRC/openSUSE:Factory/openSUSE-EULAs/openSUSE-EULAs.changes
2019-02-14 14:12:43.160240503 +0100
+++ /work/SRC/openSUSE:Factory/.openSUSE-EULAs.new.25356/openSUSE-EULAs.changes 
2019-03-27 16:14:22.283622134 +0100
@@ -1,0 +2,8 @@
+Mon Mar 25 10:35:26 UTC 2019 - Karl Eichwalder 
+
+- Update to version 84.87.20190314.743685c:
+  * Translated using Weblate (Finnish)
+  * Translated using Weblate (Dutch)
+  * Added translation using Weblate (Dutch)
+
+---

Old:

  openSUSE-EULAs-84.87.20180711.9c1911c.tar.xz

New:

  openSUSE-EULAs-84.87.20190314.743685c.tar.xz



Other differences:
--
++ openSUSE-EULAs.spec ++
--- /var/tmp/diff_new_pack.Tueuw4/_old  2019-03-27 16:14:22.991621953 +0100
+++ /var/tmp/diff_new_pack.Tueuw4/_new  2019-03-27 16:14:22.995621952 +0100
@@ -19,7 +19,7 @@
 %bcond_without  java
 
 Name:   openSUSE-EULAs
-Version:84.87.20180711.9c1911c
+Version:84.87.20190314.743685c
 Release:0
 Url:https://github.com/openSUSE/openSUSE-EULAs
 Summary:Collection of EULAs for openSUSE

++ _service ++
--- /var/tmp/diff_new_pack.Tueuw4/_old  2019-03-27 16:14:23.019621946 +0100
+++ /var/tmp/diff_new_pack.Tueuw4/_new  2019-03-27 16:14:23.023621945 +0100
@@ -6,7 +6,8 @@
git://github.com/openSUSE/openSUSE-EULAs.git
git
enable
-   
+opensuse-packag...@opensuse.org
+

*.tar
xz

++ _servicedata ++
--- /var/tmp/diff_new_pack.Tueuw4/_old  2019-03-27 16:14:23.043621940 +0100
+++ /var/tmp/diff_new_pack.Tueuw4/_new  2019-03-27 16:14:23.043621940 +0100
@@ -1,4 +1,4 @@
 
 
 git://github.com/openSUSE/openSUSE-EULAs.git
-  9c1911c85ac1dfd611d1cc1b2fee9959ead4c03f
\ No newline at end of file
+  743685c1bb379f72f4ba37d2d2bf8df5702e457b
\ No newline at end of file

++ openSUSE-EULAs-84.87.20180711.9c1911c.tar.xz -> 
openSUSE-EULAs-84.87.20190314.743685c.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/openSUSE-EULAs-84.87.20180711.9c1911c/Mesa-dri-nouveau/Mesa-dri-nouveau.fi.po
 
new/openSUSE-EULAs-84.87.20190314.743685c/Mesa-dri-nouveau/Mesa-dri-nouveau.fi.po
--- 
old/openSUSE-EULAs-84.87.20180711.9c1911c/Mesa-dri-nouveau/Mesa-dri-nouveau.fi.po
   2018-07-12 00:52:45.0 +0200
+++ 
new/openSUSE-EULAs-84.87.20190314.743685c/Mesa-dri-nouveau/Mesa-dri-nouveau.fi.po
   2019-03-14 19:55:41.0 +0100
@@ -4,7 +4,7 @@
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2018-04-20 16:38+0200\n"
-"PO-Revision-Date: 2018-02-18 15:57+\n"
+"PO-Revision-Date: 2019-03-14 18:55+\n"
 "Last-Translator: Tommi Nieminen \n"
 "Language-Team: Finnish \n"
@@ -13,7 +13,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Weblate 2.18\n"
+"X-Generator: Weblate 3.3\n"
 
 #: Mesa-dri-nouveau/Mesa-dri-nouveau.en:2
 msgid "WARNING: Nouveau DRI/3D driver selected."
@@ -52,7 +52,7 @@
 "Desktop\n"
 "Environment or Qt-based Applications."
 msgstr ""
-"Etenkään tämän ajurin käyttöä ei suositella KDE-työpöytäympäristössä tai\n"
+"Etenkään ajurin käyttöä ei suositella KDE-työpöytäympäristössä tai\n"
 "Qt-pohjaisissa sovelluksissa."
 
 #: Mesa-dri-nouveau/Mesa-dri-nouveau.en:16
@@ -60,18 +60,12 @@
 msgstr "Laitevalmistaja tarjoaa mahdollisesti vaihtoehtoisia ajureita."
 
 #: Mesa-dri-nouveau/Mesa-dri-nouveau.en:19
-#, fuzzy
-#| msgid ""
-#| "Please click \"I Agree\" if you accept the risks that may come with the\n"
-#| "installation of this driver. Choose \"I Disagree\"  to prevent "
-#| "installation\n"
-#| "of the driver and use software emulation instead."
 msgid ""
 "Please click \"Accept\" if you accept the risks that may come with the\n"
 "installation of this driver. Choose \"Cancel\"  to prevent installation\n"
 "of the driver and use software emulation instead."
 msgstr ""
 "Napsauta ”Hyväksyn”, jos hyväksyt tämän ajurin asennuksen mahdolliset\n"
-"riskit. Valitse ”En hyväksy” estääksesi ajurin asentamisen, jolloin "
-"käytetään\n"
-"sen sijaan ohjelmistoemulaatiota."
+"riskit. 

commit autogen for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package autogen for openSUSE:Factory checked 
in at 2019-03-27 16:14:35

Comparing /work/SRC/openSUSE:Factory/autogen (Old)
 and  /work/SRC/openSUSE:Factory/.autogen.new.25356 (New)


Package is "autogen"

Wed Mar 27 16:14:35 2019 rev:48 rq:688388 version:5.18.16

Changes:

--- /work/SRC/openSUSE:Factory/autogen/autogen.changes  2018-11-28 
11:08:36.467297423 +0100
+++ /work/SRC/openSUSE:Factory/.autogen.new.25356/autogen.changes   
2019-03-27 16:14:36.615618480 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 08:32:40 UTC 2019 - Martin Liška 
+
+- Add gcc9-fix-wrestrict.patch in order to fix
+  bsc#1125772.
+
+---

New:

  gcc9-fix-wrestrict.patch



Other differences:
--
++ autogen.spec ++
--- /var/tmp/diff_new_pack.Q3n5E5/_old  2019-03-27 16:14:37.375618286 +0100
+++ /var/tmp/diff_new_pack.Q3n5E5/_new  2019-03-27 16:14:37.379618285 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package autogen
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -32,6 +32,8 @@
 Patch3: installable-programs.patch
 # PATCH-FIX-UPSTREAM
 Patch4: sprintf-overflow.patch
+# PATCH-FIX-UPSTREAM -- https://sourceforge.net/p/autogen/bugs/193/#5844
+Patch5: gcc9-fix-wrestrict.patch
 BuildRequires:  fdupes
 BuildRequires:  guile-devel
 BuildRequires:  makeinfo
@@ -86,6 +88,7 @@
 %patch2 -p1
 %patch3 -p1
 %patch4 -p1
+%patch5 -p1
 
 %build
 %configure \

++ gcc9-fix-wrestrict.patch ++
diff --git a/compat/pathfind.c b/compat/pathfind.c
index 5c477ca..6a4eeb5 100644
--- a/compat/pathfind.c
+++ b/compat/pathfind.c
@@ -136,6 +136,18 @@ make_absolute( char const * string, char const * dot_path )
 return result;
 }
 
+/*
+ * Proccess strcpy for overlapping memory locations.
+ */
+static char*
+strcpy_overlapping ( char *d, const char *s)
+{
+  unsigned n = strlen ( s );
+  memmove ( d, s, n + 1 );
+  return d;
+}
+
+
 /*
  * Canonicalize PATH, and return a  new path.  The new path differs from
  * PATH in that:
@@ -182,7 +194,7 @@ canonicalize_pathname( char *path )
 if ((start + 1) != i && (start != 0 || i != 2))
 #endif /* apollo */
 {
-strcpy( result + start + 1, result + i );
+strcpy_overlapping( result + start + 1, result + i );
 i = start + 1;
 }
 
@@ -201,7 +213,7 @@ canonicalize_pathname( char *path )
 if (result[i] == '.') {
 /* Handle `./'. */
 if (result[i + 1] == '/') {
-strcpy( result + i, result + i + 1 );
+strcpy_overlapping( result + i, result + i + 1 );
 i = (start < 0) ? 0 : start;
 continue;
 }
@@ -211,7 +223,7 @@ canonicalize_pathname( char *path )
 (result[i + 2] == '/' || !result[i + 2])) {
 while (--start > -1 && result[start] != '/')
 ;
-strcpy( result + start + 1, result + i + 2 );
+strcpy_overlapping( result + start + 1, result + i + 2 );
 i = (start < 0) ? 0 : start;
 continue;
 }



commit alsa-plugins for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package alsa-plugins for openSUSE:Factory 
checked in at 2019-03-27 16:14:03

Comparing /work/SRC/openSUSE:Factory/alsa-plugins (Old)
 and  /work/SRC/openSUSE:Factory/.alsa-plugins.new.25356 (New)


Package is "alsa-plugins"

Wed Mar 27 16:14:03 2019 rev:105 rq:688286 version:1.1.8

Changes:

--- /work/SRC/openSUSE:Factory/alsa-plugins/alsa-plugins.changes
2019-01-15 09:13:05.434418423 +0100
+++ /work/SRC/openSUSE:Factory/.alsa-plugins.new.25356/alsa-plugins.changes 
2019-03-27 16:14:06.127626253 +0100
@@ -1,0 +2,11 @@
+Mon Mar 25 15:22:20 CET 2019 - ti...@suse.de
+
+- Build alsa-plugins-aaf conditionally, not stop the whole builds
+  for old distros
+
+---
+Wed Mar 20 07:10:16 UTC 2019 - o...@aepfle.de
+
+- Adjust BuildRequires to use pkgconfig
+
+---



Other differences:
--
++ alsa-plugins.spec ++
--- /var/tmp/diff_new_pack.nlye1k/_old  2019-03-27 16:14:07.415625925 +0100
+++ /var/tmp/diff_new_pack.nlye1k/_new  2019-03-27 16:14:07.415625925 +0100
@@ -12,15 +12,10 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via https://bugs.opensuse.org/
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
 
-%if 0%{?is_opensuse} || 0%{?suse_version} >= 1500
-%define build_avcodec  1
-%else
-%define build_avcodec  0
-%endif
 %if 0%{?suse_version} >= 1550
 %define build_aaf  1
 %else
@@ -36,27 +31,19 @@
 Url:http://www.alsa-project.org/
 Source: 
ftp://ftp.alsa-project.org/pub/plugins/alsa-plugins-%{version}.tar.bz2
 Source1:baselibs.conf
-BuildRequires:  alsa-devel
-BuildRequires:  dbus-1-devel
-%if %build_avcodec
-BuildRequires:  pkgconfig(libavcodec) = 58.35.100
-BuildRequires:  pkgconfig(libavresample) = 4.0.0
-BuildRequires:  pkgconfig(libavutil) = 56.22.100
-%endif
-%if %build_aaf
-BuildRequires:  libavtp-devel
-%endif
-BuildRequires:  libjack-devel
-BuildRequires:  libjack0
-BuildRequires:  libsamplerate-devel
 BuildRequires:  libtool
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  libpulse-devel
-%if 0%{?suse_version} > 1230
+BuildRequires:  pkgconfig(alsa) >= 1.1.6
+%if %{build_aaf}
+BuildRequires:  pkgconfig(avtp)
+%endif
+BuildRequires:  pkgconfig(dbus-1)
+BuildRequires:  pkgconfig(jack) >= 0.98
+BuildRequires:  pkgconfig(libavcodec)
+BuildRequires:  pkgconfig(libavresample)
+BuildRequires:  pkgconfig(libavutil)
+BuildRequires:  pkgconfig(libpulse) >= 0.9.11
+BuildRequires:  pkgconfig(samplerate)
 BuildRequires:  pkgconfig(speexdsp) >= 1.2
-%else
-BuildRequires:  speex-devel
-%endif
 %ifarch s390x
 Recommends: %{name}-32bit = %{version}
 %endif
@@ -275,7 +262,6 @@
 %{_datadir}/alsa/alsa.conf.d/60-speex.conf
 %{_sysconfdir}/alsa/conf.d/60-speex.conf
 
-%if %build_avcodec
 %files a52
 %defattr(-, root, root)
 %license COPYING
@@ -301,9 +287,8 @@
 %dir %{_sysconfdir}/alsa/conf.d
 %{_datadir}/alsa/alsa.conf.d/10-rate-lav.conf
 %{_sysconfdir}/alsa/conf.d/10-rate-lav.conf
-%endif
 
-%if %build_aaf
+%if %{build_aaf}
 %files aaf
 %defattr(-, root, root)
 %license COPYING




commit glm for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package glm for openSUSE:Factory checked in 
at 2019-03-27 16:13:56

Comparing /work/SRC/openSUSE:Factory/glm (Old)
 and  /work/SRC/openSUSE:Factory/.glm.new.25356 (New)


Package is "glm"

Wed Mar 27 16:13:56 2019 rev:9 rq:688281 version:0.9.9.4

Changes:

--- /work/SRC/openSUSE:Factory/glm/glm.changes  2016-07-01 09:55:42.0 
+0200
+++ /work/SRC/openSUSE:Factory/.glm.new.25356/glm.changes   2019-03-27 
16:14:00.947627574 +0100
@@ -1,0 +2,16 @@
+Mon Mar 25 13:59:02 UTC 2019 - Martin Hauke 
+
+- Upstream does not package a dedicated LICENSE file.
+  Make a note the license terms are included in manual.md
+- Use %fdupes macro also for docs/api/
+
+---
+Tue Mar 19 19:52:46 UTC 2019 - Martin Hauke 
+
+- Update to version 0.9.9.4
+  See https://github.com/g-truc/glm/releases for the changelog
+- Update patch:
+  * glm-cmake-config.patch
+- Run spec-cleaner
+
+---

Old:

  glm-0.9.7.5.zip

New:

  glm-0.9.9.4.tar.gz



Other differences:
--
++ glm.spec ++
--- /var/tmp/diff_new_pack.ycRJ6Y/_old  2019-03-27 16:14:02.055627292 +0100
+++ /var/tmp/diff_new_pack.ycRJ6Y/_new  2019-03-27 16:14:02.063627289 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package glm
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,25 +12,25 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   glm
-Version:0.9.7.5
+Version:0.9.9.4
 Release:0
 Summary:Header only C++ mathematics library for graphics
 License:MIT
 Group:  Development/Libraries/C and C++
-Url:http://glm.g-truc.net/
-Source0:
https://github.com/g-truc/glm/releases/download/%{version}/%{name}-%{version}.zip
+URL:https://glm.g-truc.net/
+#Git-Clone: https://github.com/g-truc/glm.git
+Source: 
https://github.com/g-truc/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
 # PATCH-FIX-OPENSUSE glm-cmake-config.patch -- Fix cmake config location
 Patch1: glm-cmake-config.patch
 BuildRequires:  cmake
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
-BuildRequires:  unzip
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  pkgconfig
 
 %description
 OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
@@ -62,12 +62,8 @@
 This package provides the documentation for GLM library.
 
 %prep
-%setup -q -n %{name}
-# Fix wrong-file-end-of-line-encoding
-sed -i 's/\r//' copying.txt
-sed -i 's/\r//' readme.md
-sed -i 's/\r//' doc/api/doxygen.css
-sed -i 's/\r//' doc/api/tabs.css
+%setup -q
+%patch1 -p1
 %ifarch %{ix86}
 sed -i '/glmCreateTestGTC(core_func_exponential)/d' test/core/CMakeLists.txt
 # https://github.com/g-truc/glm/issues/212
@@ -80,31 +76,30 @@
 sed -i '/glmCreateTestGTC(gtx_common)/d' test/gtx/CMakeLists.txt
 %endif
 %endif
-%patch1
 
 %build
 %cmake \
   -DCMAKE_CXX_FLAGS="%{optflags} -fPIC -fno-strict-aliasing" \
   -DGLM_TEST_ENABLE=ON
-make %{?_smp_mflags}
+%make_jobs
 
 %install
 %cmake_install
 %fdupes -s %{buildroot}
+%fdupes -s doc/api
 
 %check
 %ctest
 
 %files devel
-%defattr(-,root,root,-)
 %{_includedir}/glm/
 %{_libdir}/cmake/%{name}/
-%doc copying.txt
+%{_libdir}/pkgconfig/%{name}.pc
 
 %files doc
-%defattr(-,root,root,-)
+# See https://github.com/g-truc/glm/blob/master/manual.md#-licenses for 
license details
+%license readme.md
 %doc doc/api
-%doc doc/glm.pdf
-%doc readme.md
+%doc manual.md readme.md
 
 %changelog

++ glm-cmake-config.patch ++
--- /var/tmp/diff_new_pack.ycRJ6Y/_old  2019-03-27 16:14:02.079627285 +0100
+++ /var/tmp/diff_new_pack.ycRJ6Y/_new  2019-03-27 16:14:02.079627285 +0100
@@ -1,23 +1,20 @@
-Index: CMakeLists.txt
-===
 CMakeLists.txt.orig
-+++ CMakeLists.txt
-@@ -168,15 +168,15 @@ configure_file(
- # install tree package config
- configure_package_config_file(
- cmake/glmConfig.cmake.in
--${GLM_INSTALL_CONFIGDIR}/glmConfig.cmake
--INSTALL_DESTINATION ${GLM_INSTALL_CONFIGDIR}
-+${CMAKE_CURRENT_BINARY_DIR}/glmConfig.cmake
-+INSTALL_DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
- PATH_VARS 

commit libzypp for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package libzypp for openSUSE:Factory checked 
in at 2019-03-27 16:14:09

Comparing /work/SRC/openSUSE:Factory/libzypp (Old)
 and  /work/SRC/openSUSE:Factory/.libzypp.new.25356 (New)


Package is "libzypp"

Wed Mar 27 16:14:09 2019 rev:413 rq:688292 version:17.11.3

Changes:

--- /work/SRC/openSUSE:Factory/libzypp/libzypp.changes  2019-02-28 
21:37:50.933650650 +0100
+++ /work/SRC/openSUSE:Factory/.libzypp.new.25356/libzypp.changes   
2019-03-27 16:14:10.927625029 +0100
@@ -1,0 +2,9 @@
+Thu Mar 21 12:35:39 CET 2019 - m...@suse.de
+
+- KeyManager: Work around bsc#1127220 [libgpgme] no error upon
+  incomplete import due to signal received.
+- MediaCurl: add hint to check SCC for an expired regcode on
+  http error 403 (bsc#965786)
+- version 17.11.3 (9)
+
+---

Old:

  libzypp-17.11.2.tar.bz2

New:

  libzypp-17.11.3.tar.bz2



Other differences:
--
++ libzypp.spec ++
--- /var/tmp/diff_new_pack.j6N03h/_old  2019-03-27 16:14:11.671624840 +0100
+++ /var/tmp/diff_new_pack.j6N03h/_new  2019-03-27 16:14:11.671624840 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   libzypp
-Version:17.11.2
+Version:17.11.3
 Release:0
 Url:https://github.com/openSUSE/libzypp
 Summary:Library for package, patch, pattern and product management

++ libzypp-17.11.2.tar.bz2 -> libzypp-17.11.3.tar.bz2 ++
 39271 lines of diff (skipped)




commit mcelog for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package mcelog for openSUSE:Factory checked 
in at 2019-03-27 16:13:47

Comparing /work/SRC/openSUSE:Factory/mcelog (Old)
 and  /work/SRC/openSUSE:Factory/.mcelog.new.25356 (New)


Package is "mcelog"

Wed Mar 27 16:13:47 2019 rev:49 rq:688262 version:1.62

Changes:

--- /work/SRC/openSUSE:Factory/mcelog/mcelog.changes2018-10-01 
09:06:45.743823400 +0200
+++ /work/SRC/openSUSE:Factory/.mcelog.new.25356/mcelog.changes 2019-03-27 
16:13:53.519629468 +0100
@@ -1,0 +2,10 @@
+Mon Mar 25 11:31:24 UTC 2019 - christian.vo...@suse.com
+
+- Update to version 1.62:
+  * mcelog: Fix memory controller bank channel mappings for Skylake
+  * mcelog: update tests for new error code
+  * mcelog: Add decoding for Optane DC persistent memory mode
+  * mcelog: Deduce channel number for Haswell/Broadwell/Skylake systems
+- Change mcelog.spec to use autosetup
+
+---

Old:

  mcelog-1.60.tar.xz

New:

  mcelog-1.62.tar.xz



Other differences:
--
++ mcelog.spec ++
--- /var/tmp/diff_new_pack.ZrEhNN/_old  2019-03-27 16:13:55.831628878 +0100
+++ /var/tmp/diff_new_pack.ZrEhNN/_new  2019-03-27 16:13:55.855628872 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package mcelog
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -22,10 +22,10 @@
 %endif
 
 Name:   mcelog
-Version:1.60
+Version:1.62
 Release:0
 Summary:Log Machine Check Events
-License:GPL-2.0
+License:GPL-2.0-only
 Group:  System/Monitoring
 Url:http://www.mcelog.org/
 Source: %{name}-%{version}.tar.xz
@@ -63,19 +63,7 @@
 In addition, it allows decoding machine check kernel panic messages.
 
 %prep
-%setup -q
-%patch1 -p1
-%patch2 -p1
-%patch3 -p1
-%patch4 -p1
-%patch5 -p1
-%patch6 -p1
-%patch7 -p1
-%patch8 -p1
-%patch9 -p1
-%patch10 -p1
-%patch11 -p1
-%patch12 -p1
+%autosetup
 
 %build
 make %{?_smp_mflags} CFLAGS="%{optflags} -fpie -pie"

++ _service ++
--- /var/tmp/diff_new_pack.ZrEhNN/_old  2019-03-27 16:13:56.347628746 +0100
+++ /var/tmp/diff_new_pack.ZrEhNN/_new  2019-03-27 16:13:56.367628742 +0100
@@ -4,9 +4,9 @@
 https://github.com/andikleen/mcelog
 
 mcelog
-1.60
+1.62
 enable
-refs/tags/v160
+refs/tags/v162
   
   
 mcelog*.tar

++ _servicedata ++
--- /var/tmp/diff_new_pack.ZrEhNN/_old  2019-03-27 16:13:56.523628702 +0100
+++ /var/tmp/diff_new_pack.ZrEhNN/_new  2019-03-27 16:13:56.539628698 +0100
@@ -1,4 +1,4 @@
 
 
 https://github.com/andikleen/mcelog
-  10b832edec31d48adf414709dec9327354310f52
\ No newline at end of file
+  0062f7cb3ff0f94709087ac302d502f5e39f6e60
\ No newline at end of file

++ mcelog-1.60.tar.xz -> mcelog-1.62.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mcelog-1.60/haswell.c new/mcelog-1.62/haswell.c
--- old/mcelog-1.60/haswell.c   2018-08-09 23:49:49.0 +0200
+++ new/mcelog-1.62/haswell.c   2019-02-05 20:57:07.0 +0100
@@ -148,3 +148,45 @@
break;
}
 }
+
+/*
+ * There isn't enough information to identify the DIMM. But
+ * we can derive the channel from the bank number.
+ * There can be two memory controllers. We number the channels
+ * on the second controller: 4, 5, 6, 7
+ */
+void haswell_memerr_misc(struct mce *m, int *channel, int *dimm)
+{
+   u64 status = m->status;
+   unsignedchan;
+
+   /* Check this is a memory error */
+   if (!test_prefix(7, status & 0xefff))
+   return;
+
+   chan = EXTRACT(status, 0, 3);
+   if (chan == 0xf)
+   return;
+
+   switch (m->bank) {
+   case 7:
+   /* Home agent 0 */
+   break;
+   case 8:
+   /* Home agent 1 */
+   chan += 4;
+   break;
+   case 9: case 10: case 11: case 12:
+   /* Memory controller 0 */
+   chan = m->bank - 9;
+   break;
+   case 13: case 14: case 15: case 16:
+   /* Memory controller 1 */
+   chan = (m->bank - 13) + 4;
+   break;
+   

commit SuSEfirewall2 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package SuSEfirewall2 for openSUSE:Factory 
checked in at 2019-03-27 16:13:38

Comparing /work/SRC/openSUSE:Factory/SuSEfirewall2 (Old)
 and  /work/SRC/openSUSE:Factory/.SuSEfirewall2.new.25356 (New)


Package is "SuSEfirewall2"

Wed Mar 27 16:13:38 2019 rev:92 rq:688192 version:3.6.378

Changes:

--- /work/SRC/openSUSE:Factory/SuSEfirewall2/SuSEfirewall2.changes  
2019-02-28 21:26:02.553880145 +0100
+++ /work/SRC/openSUSE:Factory/.SuSEfirewall2.new.25356/SuSEfirewall2.changes   
2019-03-27 16:13:41.411632555 +0100
@@ -1,0 +2,6 @@
+Sun Mar 17 10:33:37 UTC 2019 - Jan Engelhardt 
+
+- Reduce too broad systemd requires.
+- Fix rpmlint complaint about unlisted SuSEfirewall2_init.service.
+
+---



Other differences:
--
++ SuSEfirewall2.spec ++
--- /var/tmp/diff_new_pack.01NZHm/_old  2019-03-27 16:13:42.031632397 +0100
+++ /var/tmp/diff_new_pack.01NZHm/_new  2019-03-27 16:13:42.031632397 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 # icecream 0
 
@@ -40,9 +40,8 @@
 Source1:SuSEfirewall2-rpmlintrc
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-# for the service_* macros
-%{?systemd_requires}
-BuildRequires:  pkgconfig(systemd)
+%{?systemd_ordering}
+BuildRequires:  systemd-rpm-macros
 
 %description
 SuSEfirewall2 implements a packet filter that protects hosts and
@@ -60,7 +59,7 @@
 %build
 
 %install
-make DESTDIR="%{buildroot}" install install_doc
+%make_install install_doc
 install -d -m 755 %{buildroot}%{_fillupdir}/
 install -m 644 SuSEfirewall2.sysconfig 
%{buildroot}%{_fillupdir}/sysconfig.SuSEfirewall2
 install -D -m 644 SuSEfirewall2.sysconfig 
%{buildroot}/etc/sysconfig/SuSEfirewall2
@@ -108,7 +107,7 @@
 %ghost 
%{_localstatedir}/adm/update-messages/%{name}-%{version}-%{release}-deprecation-warning
 
 %pre
-%service_add_pre SuSEfirewall2.service
+%service_add_pre SuSEfirewall2.service SuSEfirewall2_init.service
 # Upgrade case means more than 1 package in system, so probably 2
 # if we still have the LSB init script, save its state, remove _setup
 # and store it in the database.
@@ -122,7 +121,7 @@
 fi
 
 %post
-%service_add_post SuSEfirewall2.service
+%service_add_post SuSEfirewall2.service SuSEfirewall2_init.service
 
 cat 
>%{_localstatedir}/adm/update-messages/%{name}-%{version}-%{release}-deprecation-warning
 <

commit jasper for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package jasper for openSUSE:Factory checked 
in at 2019-03-27 16:13:43

Comparing /work/SRC/openSUSE:Factory/jasper (Old)
 and  /work/SRC/openSUSE:Factory/.jasper.new.25356 (New)


Package is "jasper"

Wed Mar 27 16:13:43 2019 rev:43 rq:688203 version:2.0.16

Changes:

--- /work/SRC/openSUSE:Factory/jasper/jasper.changes2019-03-22 
14:52:18.114135392 +0100
+++ /work/SRC/openSUSE:Factory/.jasper.new.25356/jasper.changes 2019-03-27 
16:13:44.451631780 +0100
@@ -1,0 +2,16 @@
+Mon Mar 25 10:23:40 UTC 2019 - mvet...@suse.com
+
+- Update to 2.0.16:
+  * Fix assertion failure JPC_NOMINALGAIN (CVE-2016-9396) (#50)
+  * Fix build on Windows 10 (#162)
+  * Improve README
+  * Fix build with CMake 2.x
+  * Add missing dereference operators (#178, #157)
+  * Check data in jas_image (CVE-2018-19539) (#196)
+- Remove because contained in new release:
+  * jasper-CVE-2018-19539.patch
+  * 0001-jpc_cs-reject-all-but-JPC_COX_INS-and-JPC_COX_RFT.patch
+  * Remove 0001-Added-a-fix-from-nrusch-to-allow-JasPer-to-be-build-.patch
+- Run spec-cleaner
+
+---

Old:

  0001-Added-a-fix-from-nrusch-to-allow-JasPer-to-be-build-.patch
  0001-jpc_cs-reject-all-but-JPC_COX_INS-and-JPC_COX_RFT.patch
  jasper-2.0.14.tar.gz
  jasper-CVE-2018-19539.patch

New:

  version-2.0.16.tar.gz



Other differences:
--
++ jasper.spec ++
--- /var/tmp/diff_new_pack.lC0gpy/_old  2019-03-27 16:13:45.563631496 +0100
+++ /var/tmp/diff_new_pack.lC0gpy/_new  2019-03-27 16:13:45.567631495 +0100
@@ -12,25 +12,22 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via https://bugs.opensuse.org/
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
 
 Name:   jasper
-Version:2.0.14
+Version:2.0.16
 Release:0
 Summary:An Implementation of the JPEG-2000 Standard, Part 1
 License:SUSE-Public-Domain
 Group:  Productivity/Graphics/Convertors
-Url:http://www.ece.uvic.ca/~mdadams/jasper/
-Source: %{name}-%{version}.tar.gz
+URL:http://www.ece.uvic.ca/~mdadams/jasper/
+Source: 
https://github.com/mdadams/jasper/archive/version-%{version}.tar.gz
 Source2:baselibs.conf
 Patch1: jasper-CVE-2016-9398.patch
-Patch2: 0001-jpc_cs-reject-all-but-JPC_COX_INS-and-JPC_COX_RFT.patch
-Patch3: 0001-Added-a-fix-from-nrusch-to-allow-JasPer-to-be-build-.patch
+# https://github.com/mdadams/jasper/pull/204
 Patch4: jasper-CVE-2018-9055.patch
-# https://github.com/mdadams/jasper/pull/196
-Patch5: jasper-CVE-2018-19539.patch
 # https://github.com/mdadams/jasper/pull/200
 Patch6: jasper-CVE-2018-19542.patch
 BuildRequires:  Mesa-libGL-devel
@@ -45,7 +42,6 @@
 BuildRequires:  libdrm-devel
 BuildRequires:  libjpeg-devel
 BuildRequires:  pkgconfig
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
 This package contains an implementation of the image compression
@@ -84,12 +80,9 @@
 image compression standard Part 1.
 
 %prep
-%setup -q
+%setup -q -n %{name}-version-%{version}
 %patch1 -p1
-%patch2 -p1
-%patch3 -p1
 %patch4 -p1
-%patch5 -p1
 %patch6 -p1
 
 %build
@@ -106,8 +99,9 @@
 %postun -n libjasper4 -p /sbin/ldconfig
 
 %files
-%defattr(-,root,root)
-%doc COPYRIGHT LICENSE README doc/*
+%license LICENSE
+%doc COPYRIGHT README doc/*
+%doc %{_docdir}/jasper
 %{_bindir}/imgcmp
 %{_bindir}/imginfo
 %{_bindir}/jasper
@@ -115,11 +109,9 @@
 %{_mandir}/man*/*
 
 %files -n libjasper4
-%defattr(-,root,root)
 %{_libdir}/libjasper*.so.*
 
 %files -n libjasper-devel
-%defattr(-,root,root)
 %{_includedir}/jasper
 %{_libdir}/libjasper.so
 %{_libdir}/pkgconfig/jasper.pc




commit podman for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package podman for openSUSE:Factory checked 
in at 2019-03-27 16:13:10

Comparing /work/SRC/openSUSE:Factory/podman (Old)
 and  /work/SRC/openSUSE:Factory/.podman.new.25356 (New)


Package is "podman"

Wed Mar 27 16:13:10 2019 rev:40 rq:688763 version:1.1.2

Changes:

--- /work/SRC/openSUSE:Factory/podman/podman.changes2019-03-08 
12:00:54.671959877 +0100
+++ /work/SRC/openSUSE:Factory/.podman.new.25356/podman.changes 2019-03-27 
16:13:13.195639749 +0100
@@ -1,0 +2,18 @@
+Fri Mar 22 21:02:05 UTC 2019 - Flavio Castelli 
+
+- Change default libpod.conf configuration file: use the runtimes
+  section to allow users to specify different OCI runtimes. This
+  allows user to choose which runtime to use on a per container
+  basis.
+
+---
+Tue Mar 19 13:15:38 UTC 2019 - Guillaume GARDET 
+
+- Add 'apparmor-parser' to list of requires (boo#1123387)
+
+---
+Sat Mar 16 08:33:38 UTC 2019 - Jan Engelhardt 
+
+- Scriptlets contain sh-compatible code, so drop -p /bin/bash.
+
+---



Other differences:
--
++ podman.spec ++
--- /var/tmp/diff_new_pack.CofvNO/_old  2019-03-27 16:13:14.523639410 +0100
+++ /var/tmp/diff_new_pack.CofvNO/_new  2019-03-27 16:13:14.523639410 +0100
@@ -54,6 +54,7 @@
 %ifarch ppc64le
 #!BuildIgnore: gcc-PIE
 %endif
+Requires:   apparmor-parser
 Requires:   cni
 Requires:   cni-plugins
 Requires:   iptables
@@ -184,17 +185,17 @@
 %config %{_sysconfdir}/cni/net.d/87-podman-bridge.conflist
 %license LICENSE
 
-%pre -p /bin/bash
+%pre
 %service_add_pre io.podman.service io.podman.socket
 
-%post -p /bin/bash
+%post
 %service_add_post io.podman.service io.podman.socket
 %tmpfiles_create %{_tmpfilesdir}/podman.conf
 
-%preun -p /bin/bash
+%preun
 %service_del_preun io.podman.service io.podman.socket
 
-%postun -p /bin/bash
+%postun
 %service_del_postun io.podman.service io.podman.socket
 
 %changelog

++ libpod.conf ++
--- /var/tmp/diff_new_pack.CofvNO/_old  2019-03-27 16:13:14.563639400 +0100
+++ /var/tmp/diff_new_pack.CofvNO/_new  2019-03-27 16:13:14.567639399 +0100
@@ -4,12 +4,6 @@
 # Default transport method for pulling and pushing for images
 image_default_transport = "docker://"
 
-# Paths to look for a valid OCI runtime (runc, runv, etc)
-runtime_path = [
-"/usr/bin/runc",
-"/usr/sbin/runc",
-]
-
 # Paths to look for the Conmon container manager binary
 conmon_path = [
"/usr/lib/podman/bin/conmon",
@@ -84,3 +78,13 @@
 
 # Default libpod support for container labeling
 # label=true
+
+# Default OCI runtime
+runtime = "runc"
+
+# Paths to look for a valid OCI runtime (runc, runv, etc)
+[runtimes]
+runc = [
+  "/usr/bin/runc",
+  "/usr/sbin/runc"
+]




commit skelcd-openSUSE for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package skelcd-openSUSE for openSUSE:Factory 
checked in at 2019-03-27 16:13:33

Comparing /work/SRC/openSUSE:Factory/skelcd-openSUSE (Old)
 and  /work/SRC/openSUSE:Factory/.skelcd-openSUSE.new.25356 (New)


Package is "skelcd-openSUSE"

Wed Mar 27 16:13:33 2019 rev:106 rq:688185 version:84.87.20190315.c89f577

Changes:

--- /work/SRC/openSUSE:Factory/skelcd-openSUSE/skelcd-openSUSE.changes  
2019-03-19 11:05:18.538100190 +0100
+++ 
/work/SRC/openSUSE:Factory/.skelcd-openSUSE.new.25356/skelcd-openSUSE.changes   
2019-03-27 16:13:34.551634304 +0100
@@ -1,0 +2,7 @@
+Mon Mar 25 10:16:58 UTC 2019 - Karl Eichwalder 
+
+- Update to version 84.87.20190315.c89f577:
+  * Translated using Weblate (Spanish)
+  * Translated using Weblate (Kabyle)
+
+---

Old:

  skelcd-openSUSE-84.87.20190313.adde7aa.tar.xz

New:

  skelcd-openSUSE-84.87.20190315.c89f577.tar.xz



Other differences:
--
++ skelcd-openSUSE.spec ++
--- /var/tmp/diff_new_pack.zjdJLK/_old  2019-03-27 16:13:35.135634155 +0100
+++ /var/tmp/diff_new_pack.zjdJLK/_new  2019-03-27 16:13:35.135634155 +0100
@@ -16,7 +16,7 @@
 #
 
 
-%define version_unconverted 84.87.20190313.adde7aa
+%define version_unconverted 84.87.20190315.c89f577
 # changed by pre_checkin
 %define is_non_oss 0
 #
@@ -28,7 +28,7 @@
 %bcond_without  java
 #
 Name:   skelcd-openSUSE
-Version:84.87.20190313.adde7aa
+Version:84.87.20190315.c89f577
 Release:0
 Summary:Skeleton for openSUSE OSS Media Sets
 License:MIT

++ _service ++
--- /var/tmp/diff_new_pack.zjdJLK/_old  2019-03-27 16:13:35.159634149 +0100
+++ /var/tmp/diff_new_pack.zjdJLK/_new  2019-03-27 16:13:35.159634149 +0100
@@ -6,6 +6,7 @@
git://github.com/openSUSE/skelcd-openSUSE.git
git
enable
+opensuse-packag...@opensuse.org


*.tar

++ _servicedata ++
--- /var/tmp/diff_new_pack.zjdJLK/_old  2019-03-27 16:13:35.179634144 +0100
+++ /var/tmp/diff_new_pack.zjdJLK/_new  2019-03-27 16:13:35.179634144 +0100
@@ -1,4 +1,4 @@
 
 
 git://github.com/openSUSE/skelcd-openSUSE.git
-  adde7aa43af627bbf7ede7aef2d7dc3fc2c18220
\ No newline at end of file
+  c89f5777c20f348bbccd6febbf2fb44465dce088
\ No newline at end of file

++ skelcd-openSUSE-84.87.20190313.adde7aa.tar.xz -> 
skelcd-openSUSE-84.87.20190315.c89f577.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/skelcd-openSUSE-84.87.20190313.adde7aa/license/license.es.po 
new/skelcd-openSUSE-84.87.20190315.c89f577/license/license.es.po
--- old/skelcd-openSUSE-84.87.20190313.adde7aa/license/license.es.po
2019-03-13 16:37:03.0 +0100
+++ new/skelcd-openSUSE-84.87.20190315.c89f577/license/license.es.po
2019-03-15 23:50:28.0 +0100
@@ -4,16 +4,16 @@
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2016-08-31 11:11+0200\n"
-"PO-Revision-Date: 2016-11-05 10:12+\n"
-"Last-Translator: jc sl \n"
-"Language-Team: Spanish \n"
-"Language: es\n"
+"PO-Revision-Date: 2019-03-10 10:18+\n"
+"Last-Translator: jcsl \n"
+"Language-Team: Spanish \n"
+"Language: license.es\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Weblate 2.6\n"
+"X-Generator: Weblate 3.3\n"
 
 #: license/TEMPLATE:1
 msgid ""
@@ -33,9 +33,9 @@
 "$LANGUAGE speakers understand the license better."
 msgstr ""
 "Este documento es una traducción no oficial de la licencia de openSUSE\n"
-"#VERSION# al castellano.  Éste no supone una declaración legal de los\n"
-"términos aplicables a openSUSE #VERSION#.  Sólo el texto original en inglés\n"
-"de la licencia de openSUSE #VERSION# supone esta declaración legal.  Sin\n"
+"#VERSION# al castellano. Éste no supone una declaración legal de los\n"
+"términos aplicables a openSUSE #VERSION#. Sólo el texto original en inglés\n"
+"de la licencia de openSUSE #VERSION# supone esta declaración legal. Sin\n"
 "embargo, esperamos que esta traducción sea de ayuda a los\n"
 "castellanohablantes para comprender mejor la licencia."
 
@@ -73,16 +73,15 @@
 "the license terms of any particular component."
 msgstr ""
 "openSUSE #VERSION# es un sistema operativo Linux modular que consta de\n"
-"cientos de componentes de software.  Por lo general, el acuerdo de licencia\n"
-"para cada componente se encuentra 

commit python-numpy for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package python-numpy for openSUSE:Factory 
checked in at 2019-03-27 16:13:28

Comparing /work/SRC/openSUSE:Factory/python-numpy (Old)
 and  /work/SRC/openSUSE:Factory/.python-numpy.new.25356 (New)


Package is "python-numpy"

Wed Mar 27 16:13:28 2019 rev:77 rq:688183 version:1.16.2

Changes:

--- /work/SRC/openSUSE:Factory/python-numpy/python-numpy.changes
2019-03-22 14:54:11.718066727 +0100
+++ /work/SRC/openSUSE:Factory/.python-numpy.new.25356/python-numpy.changes 
2019-03-27 16:13:31.563635066 +0100
@@ -1,0 +2,5 @@
+Mon Mar 25 10:20:50 UTC 2019 - Thomas Bechtold 
+
+- add fix-py34-tests.patch to fix build with python3.4 from SLE12SP4
+
+---

New:

  fix-py34-tests.patch



Other differences:
--
++ python-numpy.spec ++
--- /var/tmp/diff_new_pack.qm5m1B/_old  2019-03-27 16:13:32.191634905 +0100
+++ /var/tmp/diff_new_pack.qm5m1B/_new  2019-03-27 16:13:32.195634904 +0100
@@ -91,6 +91,8 @@
 Patch1: numpy-1.9.0-remove-__declspec.patch
 # PATCH-FIX-UPSTREAM riscv.patch -- Add support for RISC-V
 Patch2: riscv.patch
+# # PATCH-FIX-SLE fix-py34-tests.patch -- python 3.4 support
+Patch3: fix-py34-tests.patch
 %if 0%{?suse_version}
 BuildRequires:  fdupes
 %endif
@@ -165,6 +167,7 @@
 %patch0 -p1
 %patch1 -p1
 %patch2 -p1
+%patch3 -p1
 # Fix non-executable scripts
 sed -i '1s/^#!.*$//' 
numpy/{compat/setup,distutils/{conv_template,cpuinfo,exec_command,from_template,setup,system_info},f2py/{__init__,auxfuncs,capi_maps,cb_rules,cfuncs,common_rules,crackfortran,diagnose,f2py2e,f90mod_rules,func2subr,rules,setup,use_rules},ma/{setup,bench},matrixlib/setup,setup,testing/{print_coercion_tables,setup}}.py
 

++ fix-py34-tests.patch ++
Index: numpy-1.16.2/numpy/lib/tests/test_mixins.py
===
--- numpy-1.16.2.orig/numpy/lib/tests/test_mixins.py
+++ numpy-1.16.2/numpy/lib/tests/test_mixins.py
@@ -7,6 +7,7 @@ import sys
 import numpy as np
 from numpy.testing import assert_, assert_equal, assert_raises
 
+import pytest
 
 PY2 = sys.version_info.major < 3
 
@@ -199,6 +200,7 @@ class TestNDArrayOperatorsMixin(object):
 err_msg = 'failed for operator {}'.format(op)
 _assert_equal_type_and_value(expected, actual, err_msg=err_msg)
 
+@pytest.mark.skipif(sys.version_info < (3, 5), reason="requires python >= 
3.5")
 def test_matmul(self):
 array = np.array([1, 2], dtype=np.float64)
 array_like = ArrayLike(array)




commit tar for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package tar for openSUSE:Factory checked in 
at 2019-03-27 16:13:23

Comparing /work/SRC/openSUSE:Factory/tar (Old)
 and  /work/SRC/openSUSE:Factory/.tar.new.25356 (New)


Package is "tar"

Wed Mar 27 16:13:23 2019 rev:65 rq:688152 version:1.31

Changes:

--- /work/SRC/openSUSE:Factory/tar/tar.changes  2018-05-16 11:21:17.300590630 
+0200
+++ /work/SRC/openSUSE:Factory/.tar.new.25356/tar.changes   2019-03-27 
16:13:25.399636637 +0100
@@ -1,0 +2,36 @@
+Fri Mar 15 13:47:43 UTC 2019 - Cristian Rodríguez 
+
+- Remove libattr-devel from buildrequires, tar no longer uses 
+  it but finds xattr functions in libc.
+
+---
+Thu Feb 14 12:20:29 UTC 2019 - kstreit...@suse.com
+
+- update to version 1.31
+  * Fix heap-buffer-overrun with --one-top-level, bug introduced
+with the addition of that option in 1.28
+  * Support for zstd compression
+  * New option '--zstd' instructs tar to use zstd as compression
+program. When listing, extractng and comparing, zstd compressed
+archives are recognized automatically. When '-a' option is in
+effect, zstd compression is selected if the destination archive
+name ends in '.zst' or '.tzst'.
+  * The -K option interacts properly with member names given in the
+command line. Names of members to extract can be specified along
+with the "-K NAME" option. In this case, tar will extract NAME
+and those of named members that appear in the archive after it,
+which is consistent with the semantics of the option. Previous
+versions of tar extracted NAME, those of named members that
+appeared before it, and everything after it.
+  * Fix CVE-2018-20482 - When creating archives with the --sparse
+option, previous versions of tar would loop endlessly if a
+sparse file had been truncated while being archived.
+- remove the following patches (upstreamed)
+  * tar-1.30-tests-difflink.patch
+  * tar-1.30-tests_dirrem_race.patch
+- refresh add_readme-tests.patch 
+- add tar-1.31-tests_dirrem.patch to fix expected output in dirrem
+  tests
+- add tar-1.31-racy_compress_tests.patch to fix compression tests
+
+---

Old:

  tar-1.30-tests-difflink.patch
  tar-1.30-tests_dirrem_race.patch
  tar-1.30.tar.bz2
  tar-1.30.tar.bz2.sig

New:

  tar-1.31-racy_compress_tests.patch
  tar-1.31-tests_dirrem.patch
  tar-1.31.tar.bz2
  tar-1.31.tar.bz2.sig



Other differences:
--
++ tar.spec ++
--- /var/tmp/diff_new_pack.z4w4mK/_old  2019-03-27 16:13:27.627636069 +0100
+++ /var/tmp/diff_new_pack.z4w4mK/_new  2019-03-27 16:13:27.659636061 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package tar
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,14 +12,14 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 # For correct subpackages docs installation into tar doc directory
 %global _docdir_fmt %{name}
 Name:   tar
-Version:1.30
+Version:1.31
 Release:0
 Summary:GNU implementation of ((t)ape (ar)chiver)
 License:GPL-3.0-or-later
@@ -40,13 +40,10 @@
 #https://bugzilla.opensuse.org/show_bug.cgi?id=918487
 Patch4: %{name}-recursive--files-from.patch
 Patch5: add_readme-tests.patch
-# PATCH-FIX-UPSTREAM kstreit...@suse.com -- fix difflink.at test
-Patch6: tar-1.30-tests-difflink.patch
-# PATCH-FIX-UPSTREAM kstreit...@suse.com -- fix race in dirrem01 and dirrem02 
tests
-Patch7: tar-1.30-tests_dirrem_race.patch
+Patch6: tar-1.31-tests_dirrem.patch
+Patch7: tar-1.31-racy_compress_tests.patch
 BuildRequires:  automake
 BuildRequires:  libacl-devel
-BuildRequires:  libattr-devel
 BuildRequires:  libselinux-devel
 Requires(pre):  info
 Recommends: %{name}-lang = %{version}

++ add_readme-tests.patch ++
--- /var/tmp/diff_new_pack.z4w4mK/_old  2019-03-27 16:13:27.951635986 +0100
+++ /var/tmp/diff_new_pack.z4w4mK/_new  2019-03-27 16:13:27.979635979 +0100
@@ -1,18 +1,20 @@
-diff -ruN a/Makefile.in b/Makefile.in
 a/Makefile.in  2017-12-22 20:14:53.900579664 -0500
-+++ b/Makefile.in  2017-12-22 20:21:21.363943130 -0500
-@@ -122,7 +122,7 @@
- POST_UNINSTALL = :
- build_triplet = @build@
- 

commit MozillaFirefox for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package MozillaFirefox for openSUSE:Factory 
checked in at 2019-03-27 16:12:40

Comparing /work/SRC/openSUSE:Factory/MozillaFirefox (Old)
 and  /work/SRC/openSUSE:Factory/.MozillaFirefox.new.25356 (New)


Package is "MozillaFirefox"

Wed Mar 27 16:12:40 2019 rev:284 rq:686793 version:66.0

Changes:

--- /work/SRC/openSUSE:Factory/MozillaFirefox/MozillaFirefox.changes
2019-03-08 11:02:09.912533496 +0100
+++ /work/SRC/openSUSE:Factory/.MozillaFirefox.new.25356/MozillaFirefox.changes 
2019-03-27 16:12:43.739647259 +0100
@@ -1,0 +2,80 @@
+Sun Mar 17 10:08:51 UTC 2019 - Wolfgang Rosenauer 
+
+- Mozilla Firefox 66.0
+  * Increased content processes to 8
+  * Added capability to search through open tabs from the tab overflow menu
+  * New backend for the storage.local WebExtensions API, providing
+I/O performance improvements when the extension updates a small
+subset of the stored data
+  * WebExtension keyboard shortcuts can now be managed or overridden
+from about:addons
+  * Improved scrolling behavior: Firefox will now attempt to keep content
+from jumping around while a page is loading by supporting scroll
+anchoring
+  * New about:privatebrowsing with search
+  * A certificate error page now notifies the user of the name of the
+certificate issuer that breaks HTTPs connections on intercepted
+connections to help troubleshooting possible anti-virus software
+issues.
+  * Fixed an performance issue some Linux users experienced with the
+Downloads panel (bmo#1517101)
+  * Firefox now blocks all autoplay media with sound by default. Users
+can add individual sites to an exceptions list or turn the blocking
+off.
+  * System title bar is hidden by default to match Gnome guideline
+  MFSA 2019-07 (bsc#1129821)
+  * CVE-2019-9790 (bmo#1525145)
+Use-after-free when removing in-use DOM elements
+  * CVE-2019-9791 (bmo#1530958)
+Type inference is incorrect for constructors entered through on-stack
+replacement with IonMonkey
+  * CVE-2019-9792 (bmo#1532599)
+IonMonkey leaks JS_OPTIMIZED_OUT magic value to script
+  * CVE-2019-9793 (bmo#1528829)
+Improper bounds checks when Spectre mitigations are disabled
+  * CVE-2019-9794 (bmo#1530103) (Windows only)
+Command line arguments not discarded during execution
+  * CVE-2019-9795 (bmo#1514682)
+Type-confusion in IonMonkey JIT compiler
+  * CVE-2019-9796 (bmo#1531277)
+Use-after-free with SMIL animation controller
+  * CVE-2019-9797 (bmo#1528909)
+Cross-origin theft of images with createImageBitmap
+  * CVE-2019-9798 (bmo#1527534) (Android only)
+Library is loaded from world writable APITRACE_LIB location
+  * CVE-2019-9799 (bmo#1505678)
+Information disclosure via IPC channel messages
+  * CVE-2019-9801 (bmo#1527717) (Windows only)
+Windows programs that are not 'URL Handlers' are exposed to web content
+  * CVE-2019-9802 (bmo#1415508)
+Chrome process information leak
+  * CVE-2019-9803 (bmo#1515863, bmo#1437009)
+Upgrade-Insecure-Requests incorrectly enforced for same-origin navigation
+  * CVE-2019-9804 (bmo#1518026) (MacOS only)
+Code execution through 'Copy as cURL' in Firefox Developer Tools on macOS
+  * CVE-2019-9805 (bmo#1521360)
+Potential use of uninitialized memory in Prio
+  * CVE-2019-9806 (bmo#1525267)
+Denial of service through successive FTP authorization prompts
+  * CVE-2019-9807 (bmo#1362050)
+Text sent through FTP connection can be incorporated into alert messages
+  * CVE-2019-9809 (bmo#1282430, bmo#1523249)
+Denial of service through FTP modal alert error messages
+  * CVE-2019-9808 (bmo#1434634)
+WebRTC permissions can display incorrect origin with data: and blob: URLs
+  * CVE-2019-9789 bmo#1520483, bmo#1522987, bmo#1528199, bmo#1519337,
+bmo#1525549, bmo#1516179, bmo#1518524, bmo#1518331, bmo#1526579,
+bmo#1512567, bmo#1524335, bmo#1448505, bmo#1518821
+Memory safety bugs fixed in Firefox 66
+  * CVE-2019-9788 bmo#1518001, bmo#1521304, bmo#1521214, bmo#1506665,
+bmo#1516834, bmo#1518774, bmo#1524755, bmo#1523362, bmo#1524214, 
bmo#1529203
+Memory safety bugs fixed in Firefox 66 and Firefox ESR 60.6
+- updated build/runtime requirements
+  * mozilla-nss >= 3.42.1
+  * cargo/rust >= 1.31
+  * rust-cbindgen >= 0.6.8
+  * nasm >= 2.13 (new)
+- removed obsolete patch
+  * mozilla-bmo256180.patch
+
+---

Old:

  firefox-65.0.1.source.tar.xz
  firefox-65.0.1.source.tar.xz.asc
  l10n-65.0.1.tar.xz
  mozilla-bmo256180.patch

New:

  firefox-66.0.source.tar.xz
  firefox-66.0.source.tar.xz.asc
  l10n-66.0.tar.xz



Other differences:
--
++ 

commit vulkan-loader for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package vulkan-loader for openSUSE:Factory 
checked in at 2019-03-27 16:12:59

Comparing /work/SRC/openSUSE:Factory/vulkan-loader (Old)
 and  /work/SRC/openSUSE:Factory/.vulkan-loader.new.25356 (New)


Package is "vulkan-loader"

Wed Mar 27 16:12:59 2019 rev:7 rq:688518 version:1.1.102

Changes:

--- /work/SRC/openSUSE:Factory/vulkan-loader/vulkan-loader.changes  
2019-02-28 21:23:30.437931019 +0100
+++ /work/SRC/openSUSE:Factory/.vulkan-loader.new.25356/vulkan-loader.changes   
2019-03-27 16:13:11.991640056 +0100
@@ -1,0 +2,11 @@
+Sun Mar 24 14:02:28 UTC 2019 - John Vandenberg 
+
+- Use build dependency python-xml to fix Leap 42.3 builds
+
+---
+Sat Mar 16 18:35:31 UTC 2019 - Jan Engelhardt 
+
+- Update to new upstream release 1.1.102
+  * Build changes only, no user-visible points.
+
+---

Old:

  Vulkan-Loader-1.1.100.tar.xz

New:

  Vulkan-Loader-1.1.102.tar.xz



Other differences:
--
++ vulkan-loader.spec ++
--- /var/tmp/diff_new_pack.VvkwEi/_old  2019-03-27 16:13:12.743639864 +0100
+++ /var/tmp/diff_new_pack.VvkwEi/_new  2019-03-27 16:13:12.747639863 +0100
@@ -16,11 +16,11 @@
 #
 
 
-%define version_unconverted 1.1.100
+%define version_unconverted 1.1.102
 
 Name:   vulkan-loader
 %define lname  libvulkan1
-Version:1.1.100
+Version:1.1.102
 Release:0
 Summary:Reference ICD loader for Vulkan
 License:Apache-2.0
@@ -32,7 +32,7 @@
 BuildRequires:  cmake >= 2.8.11
 BuildRequires:  gcc-c++ >= 4.8
 BuildRequires:  pkg-config
-BuildRequires:  python3-base
+BuildRequires:  python3-xml
 BuildRequires:  vulkan-headers >= %version
 BuildRequires:  pkgconfig(pciaccess)
 BuildRequires:  pkgconfig(x11)

++ Vulkan-Loader-1.1.100.tar.xz -> Vulkan-Loader-1.1.102.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Vulkan-Loader-1.1.100/CMakeLists.txt 
new/Vulkan-Loader-1.1.102/CMakeLists.txt
--- old/Vulkan-Loader-1.1.100/CMakeLists.txt2019-02-14 22:53:39.0 
+0100
+++ new/Vulkan-Loader-1.1.102/CMakeLists.txt2019-03-06 19:46:14.0 
+0100
@@ -27,14 +27,24 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 find_package(PythonInterp 3 REQUIRED)
 
-find_package(VulkanHeaders)
-if(NOT ${VulkanHeaders_FOUND})
-message(FATAL_ERROR "Could not find Vulkan headers path. This can be fixed 
by setting VULKAN_HEADERS_INSTALL_DIR to an "
-"installation of the Vulkan-Headers repository.")
-endif()
-if(NOT ${VulkanRegistry_FOUND})
-message(FATAL_ERROR "Could not find Vulkan registry path. This can be 
fixed by setting VULKAN_HEADERS_INSTALL_DIR to an "
-"installation of the Vulkan-Headers repository.")
+if (TARGET Vulkan::Headers)
+message(STATUS "Using Vulkan headers from Vulkan::Headers target")
+get_target_property(VulkanRegistry_DIR Vulkan::Registry 
INTERFACE_INCLUDE_DIRECTORIES)
+else()
+find_package(VulkanHeaders)
+if(NOT ${VulkanHeaders_FOUND})
+message(FATAL_ERROR "Could not find Vulkan headers path. This can be 
fixed by setting VULKAN_HEADERS_INSTALL_DIR to an "
+"installation of the Vulkan-Headers repository.")
+endif()
+if(NOT ${VulkanRegistry_FOUND})
+message(FATAL_ERROR "Could not find Vulkan registry path. This can be 
fixed by setting VULKAN_HEADERS_INSTALL_DIR to an "
+"installation of the Vulkan-Headers repository.")
+endif()
+
+# set up the Vulkan::Headers target for consistency
+add_library(vulkan-headers INTERFACE)
+target_include_directories(vulkan-headers INTERFACE 
"${VulkanHeaders_INCLUDE_DIRS}")
+add_library(Vulkan::Headers ALIAS vulkan-headers)
 endif()
 
 option(USE_CCACHE "Use ccache" OFF)
@@ -112,9 +122,6 @@
 option(BUILD_TESTS "Build Tests" OFF)
 endif()
 
-# Add location of Vulkan header files to include search path
-include_directories(${VulkanHeaders_INCLUDE_DIRS})
-
 if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
 set(COMMON_COMPILE_FLAGS "-Wall -Wextra -Wno-unused-parameter 
-Wno-missing-field-initializers -Wno-stringop-truncation 
-Wno-stringop-overflow")
 set(COMMON_COMPILE_FLAGS "${COMMON_COMPILE_FLAGS} -fno-strict-aliasing 
-fno-builtin-memcmp")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Vulkan-Loader-1.1.100/loader/CMakeLists.txt 
new/Vulkan-Loader-1.1.102/loader/CMakeLists.txt
--- old/Vulkan-Loader-1.1.100/loader/CMakeLists.txt 2019-02-14 

commit xmlto for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package xmlto for openSUSE:Factory checked 
in at 2019-03-27 16:12:31

Comparing /work/SRC/openSUSE:Factory/xmlto (Old)
 and  /work/SRC/openSUSE:Factory/.xmlto.new.25356 (New)


Package is "xmlto"

Wed Mar 27 16:12:31 2019 rev:33 rq:686161 version:0.0.28

Changes:

--- /work/SRC/openSUSE:Factory/xmlto/xmlto.changes  2019-03-13 
09:06:36.455440138 +0100
+++ /work/SRC/openSUSE:Factory/.xmlto.new.25356/xmlto.changes   2019-03-27 
16:12:32.983650001 +0100
@@ -1,0 +2,9 @@
+Mon Mar 18 15:42:45 UTC 2019 - Dominique Leuenberger 
+
+- Suggest instead of recommend texlive: most users are not
+  interested in texlive specific tooling- unless they install
+  texlive. xmlto is also useful without the texlice stack. So
+  instead of recommending (and this installing by default)
+  textlive, we switch to suggesting it.
+
+---



Other differences:
--
++ xmlto.spec ++
--- /var/tmp/diff_new_pack.im9ecJ/_old  2019-03-27 16:12:33.619649839 +0100
+++ /var/tmp/diff_new_pack.im9ecJ/_new  2019-03-27 16:12:33.619649839 +0100
@@ -37,8 +37,9 @@
 Requires:   docbook-xsl-stylesheets >= 1.56.0
 Requires:   docbook_4
 Requires:   libxslt-tools
-# For full functionality, we need passivetex.
-Recommends: texlive-xmltex >= 2007
+# For full functionality, we need passivetex; but since most users are not 
happy with
+# getting texlive installed, we only suggest it.
+Suggests:  texlive-xmltex >= 2007
 
 %description
 This is a package for converting XML files to various formats using XSL




commit go1.4 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package go1.4 for openSUSE:Factory checked 
in at 2019-03-27 16:12:23

Comparing /work/SRC/openSUSE:Factory/go1.4 (Old)
 and  /work/SRC/openSUSE:Factory/.go1.4.new.25356 (New)


Package is "go1.4"

Wed Mar 27 16:12:23 2019 rev:9 rq:686159 version:1.4.3

Changes:

--- /work/SRC/openSUSE:Factory/go1.4/go1.4.changes  2018-12-18 
15:00:01.770103266 +0100
+++ /work/SRC/openSUSE:Factory/.go1.4.new.25356/go1.4.changes   2019-03-27 
16:12:28.311651193 +0100
@@ -1,0 +2,5 @@
+Mon Mar 11 12:53:10 UTC 2019 - Martin Liška 
+
+- Add gcc9-rsp-clobber.patch in order to fix bsc#1121397.
+
+---

New:

  gcc9-rsp-clobber.patch



Other differences:
--
++ go1.4.spec ++
--- /var/tmp/diff_new_pack.pLAJQ1/_old  2019-03-27 16:12:29.323650934 +0100
+++ /var/tmp/diff_new_pack.pLAJQ1/_new  2019-03-27 16:12:29.323650934 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package go1.4
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -74,6 +74,7 @@
 Patch12:cmd-go-reject-update-of-VCS-inside-VCS.patch
 # PATCH-FIX-UPSTREAM (compiler-rt): Fix sanitizer build against latest glibc
 Patch100:   fix-sanitizer-build-against-latest-glibc.patch
+Patch101:   gcc9-rsp-clobber.patch
 BuildRequires:  rpm
 # for go1.4.gdbinit, directory ownership
 BuildRequires:  gdb
@@ -142,6 +143,7 @@
 # compiler-rt
 %setup -q -T -b 100 -n compiler-rt-r%{tsan_commit}
 %patch100 -p1
+%patch101 -p1
 %endif
 # go
 %setup -q -n go

++ gcc9-rsp-clobber.patch ++
--- a/lib/sanitizer_common/sanitizer_linux.cc   2018-01-11 23:53:30.0 
+0100
+++ b/lib/sanitizer_common/sanitizer_linux.cc.new   2019-03-10 
21:23:23.824919781 +0100
@@ -830,7 +830,7 @@
  "d"(parent_tidptr),
  "r"(r8),
  "r"(r10)
-   : "rsp", "memory", "r11", "rcx");
+   : "memory", "r11", "rcx");
   return res;
 }
 #endif  // defined(__x86_64__) && SANITIZER_LINUX



commit linuxrc for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package linuxrc for openSUSE:Factory checked 
in at 2019-03-27 16:12:36

Comparing /work/SRC/openSUSE:Factory/linuxrc (Old)
 and  /work/SRC/openSUSE:Factory/.linuxrc.new.25356 (New)


Package is "linuxrc"

Wed Mar 27 16:12:36 2019 rev:268 rq:686439 version:6.0.9

Changes:

--- /work/SRC/openSUSE:Factory/linuxrc/linuxrc.changes  2019-03-04 
09:09:00.896721590 +0100
+++ /work/SRC/openSUSE:Factory/.linuxrc.new.25356/linuxrc.changes   
2019-03-27 16:12:37.731648791 +0100
@@ -1,0 +2,16 @@
+Tue Mar 19 14:00:53 UTC 2019 - snw...@suse.de
+
+- merge gh#openSUSE/linuxrc#187
+- fix network dialog workflow when VLAN is active (bsc#1124654)
+- add more logging in test mode
+- add a bit of explanation
+- 6.0.9
+
+
+Mon Mar 18 14:46:25 UTC 2019 - snw...@suse.de
+
+- merge gh#openSUSE/linuxrc#186
+- Fix usage of a out-of-scope vector constructor.
+- 6.0.8
+
+

Old:

  linuxrc-6.0.7.tar.xz

New:

  linuxrc-6.0.9.tar.xz



Other differences:
--
++ linuxrc.spec ++
--- /var/tmp/diff_new_pack.o4mx8P/_old  2019-03-27 16:12:38.371648628 +0100
+++ /var/tmp/diff_new_pack.o4mx8P/_new  2019-03-27 16:12:38.371648628 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   linuxrc
-Version:6.0.7
+Version:6.0.9
 Release:0
 Summary:SUSE Installation Program
 License:GPL-3.0+

++ linuxrc-6.0.7.tar.xz -> linuxrc-6.0.9.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/linuxrc-6.0.7/VERSION new/linuxrc-6.0.9/VERSION
--- old/linuxrc-6.0.7/VERSION   2019-03-01 15:34:45.0 +0100
+++ new/linuxrc-6.0.9/VERSION   2019-03-19 15:00:53.0 +0100
@@ -1 +1 @@
-6.0.7
+6.0.9
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/linuxrc-6.0.7/changelog new/linuxrc-6.0.9/changelog
--- old/linuxrc-6.0.7/changelog 2019-03-01 15:34:45.0 +0100
+++ new/linuxrc-6.0.9/changelog 2019-03-19 15:00:53.0 +0100
@@ -1,3 +1,13 @@
+2019-03-19:6.0.9
+   - merge gh#openSUSE/linuxrc#187
+   - fix network dialog workflow when VLAN is active (bsc#1124654)
+   - add more logging in test mode
+   - add a bit of explanation
+
+2019-03-18:6.0.8
+   - merge gh#openSUSE/linuxrc#186
+   - Fix usage of a out-of-scope vector constructor.
+
 2019-03-01:6.0.7
- merge gh#openSUSE/linuxrc#185
- adjust copyright year (bsc#1127464)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/linuxrc-6.0.7/net.c new/linuxrc-6.0.9/net.c
--- old/linuxrc-6.0.7/net.c 2019-03-01 15:34:45.0 +0100
+++ new/linuxrc-6.0.9/net.c 2019-03-19 15:00:53.0 +0100
@@ -150,7 +150,12 @@
 if(rc) return -1;
   }
 
-  if(config.win && config.net.setup != NS_DHCP) {
+  /*
+   * VLANID is handled in net_input_vlanid() a few lines above. Take this
+   * into account when deciding if there's anything else besides DHCP to be
+   * done.
+   */
+  if(config.win && (config.net.setup & ~NS_VLANID) != NS_DHCP) {
 if(
   config.net.setup & NS_DHCP &&
 #if defined(__s390__) || defined(__s390x__)
@@ -1164,6 +1169,8 @@
   if(config.test) {
 config.net.dhcp_active = 1;
 
+log_info("test mode: DHCP activated\n");
+
 return;
   }
 
@@ -2592,7 +2599,12 @@
 strprintf(, "wicked ifup %s", ifname);
   }
 
-  if(!config.test) lxrc_run(buf);
+  if(!config.test) {
+lxrc_run(buf);
+  }
+  else {
+log_info("test mode: 'wicked ifup %s' called\n", ifname);
+  }
 
   sleep(config.net.ifup_wait + 1);
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/linuxrc-6.0.7/url.c new/linuxrc-6.0.9/url.c
--- old/linuxrc-6.0.7/url.c 2019-03-01 15:34:45.0 +0100
+++ new/linuxrc-6.0.9/url.c 2019-03-19 15:00:53.0 +0100
@@ -1441,7 +1441,7 @@
   hd_t *hd;
   hd_res_t *res;
   char *hwaddr;
-  hd_hw_item_t *hw_items = (hd_hw_item_t[]) { hw_network_ctrl, hw_network, 0 };
+  hd_hw_item_t hw_items[3] = { hw_network_ctrl, hw_network, 0 };
   str_list_t *sl;
   char *url_device;
 
@@ -1459,17 +1459,18 @@
   if(!url->is.network) {
 switch(url->scheme) {
   case inst_cdrom:
-hw_items = (hd_hw_item_t[]) { hw_cdrom, 0 };
+hw_items[0] = hw_cdrom;
 break;
 
   case inst_floppy:
-hw_items = (hd_hw_item_t[]) { hw_floppy, 0 };
+hw_items[0] = hw_floppy;
 break;
 
   default:
-hw_items = (hd_hw_item_t[]) { hw_block, 0 };
+hw_items[0] = hw_block;
 break;
 }
+hw_items[1] = 0;

commit lua53 for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package lua53 for openSUSE:Factory checked 
in at 2019-03-27 16:12:12

Comparing /work/SRC/openSUSE:Factory/lua53 (Old)
 and  /work/SRC/openSUSE:Factory/.lua53.new.25356 (New)


Package is "lua53"

Wed Mar 27 16:12:12 2019 rev:2 rq:686121 version:5.3.5

Changes:

--- /work/SRC/openSUSE:Factory/lua53/lua53.changes  2017-08-14 
12:35:13.592388409 +0200
+++ /work/SRC/openSUSE:Factory/.lua53.new.25356/lua53.changes   2019-03-27 
16:12:19.683653392 +0100
@@ -1,0 +2,11 @@
+Tue Mar 12 12:04:26 UTC 2019 - Matej Cepl 
+
+- Update to 5.3.5:
+  (it is really problematic to find ANY documentation of changes
+  between minor versions; the best we have is
+  https://www.lua.org/bugs.html)
+  - Long brackets with a huge number of '=' overflow some
+internal buffer arithmetic.
+  - Small build tweaks.
+
+---

Old:

  lua-5.3.4.tar.gz

New:

  lua-5.3.5.tar.gz



Other differences:
--
++ lua53.spec ++
--- /var/tmp/diff_new_pack.1rVhD2/_old  2019-03-27 16:12:21.251652992 +0100
+++ /var/tmp/diff_new_pack.1rVhD2/_new  2019-03-27 16:12:21.279652985 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package lua53
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,14 +12,14 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 %define major_version 5.3
 %define libname liblua5_3-5
 Name:   lua53
-Version:5.3.4
+Version:5.3.5
 Release:0
 Summary:Small Embeddable Language with Procedural Syntax
 License:MIT
@@ -73,8 +73,8 @@
 
 %package -n %{libname}
 Summary:The Lua integration library
-Group:  System/Libraries
 # Compat as libtool changes the soname
+Group:  System/Libraries
 %ifarch aarch64 x86_64 ppc64 ppc64le s390x
 Provides:   liblua.so.5.3()(64bit)
 %else

++ lua-5.3.4.tar.gz -> lua-5.3.5.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lua-5.3.4/README new/lua-5.3.5/README
--- old/lua-5.3.4/README2017-01-12 18:25:44.0 +0100
+++ new/lua-5.3.5/README2018-06-26 18:21:46.0 +0200
@@ -1,5 +1,5 @@
 
-This is Lua 5.3.4, released on 12 Jan 2017.
+This is Lua 5.3.5, released on 26 Jun 2018.
 
 For installation instructions, license details, and
 further information about Lua, see doc/readme.html.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lua-5.3.4/doc/contents.html 
new/lua-5.3.5/doc/contents.html
--- old/lua-5.3.4/doc/contents.html 2016-12-22 21:29:40.0 +0100
+++ new/lua-5.3.5/doc/contents.html 2018-06-19 03:56:08.0 +0200
@@ -32,7 +32,7 @@
 
 
 
-Copyright  20152017 Lua.org, PUC-Rio.
+Copyright  20152018 Lua.org, PUC-Rio.
 Freely available under the terms of the
 http://www.lua.org/license.html;>Lua license.
 
@@ -609,10 +609,10 @@
 
 
 Last update:
-Thu Dec 22 18:29:39 BRST 2016
+Mon Jun 18 22:56:06 -03 2018
 
 
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lua-5.3.4/doc/lua.css new/lua-5.3.5/doc/lua.css
--- old/lua-5.3.4/doc/lua.css   2016-02-28 12:34:42.0 +0100
+++ new/lua-5.3.5/doc/lua.css   2017-07-05 13:57:24.0 +0200
@@ -10,7 +10,7 @@
line-height: 1.25 ;
margin: 16px auto ;
padding: 32px ;
-   border: solid #a0a0a0 1px ;
+   border: solid #ccc 1px ;
border-radius: 20px ;
max-width: 70em ;
width: 90% ;
@@ -111,36 +111,29 @@
border-radius: 8px ;
 }
 
-td.gutter {
-   width: 4% ;
-}
-
-table.columns {
+table {
border: none ;
border-spacing: 0 ;
border-collapse: collapse ;
 }
 
-table.columns td {
-   vertical-align: top ;
+td {
padding: 0 ;
-   padding-bottom: 1em ;
-   text-align: justify ;
-   line-height: 1.25 ;
+   margin: 0 ;
 }
 
-p.logos a:link:hover, p.logos a:visited:hover {
-   background-color: inherit ;
+td.gutter {
+   width: 4% ;
 }
 
-table.book {
-   border: none ;
-   border-spacing: 0 ;
-   border-collapse: collapse ;
+table.columns td {
+   vertical-align: top ;
+   padding-bottom: 1em ;
+   text-align: justify ;
+   line-height: 1.25 ;
 }
 
 

commit ImageMagick for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package ImageMagick for openSUSE:Factory 
checked in at 2019-03-27 16:12:07

Comparing /work/SRC/openSUSE:Factory/ImageMagick (Old)
 and  /work/SRC/openSUSE:Factory/.ImageMagick.new.25356 (New)


Package is "ImageMagick"

Wed Mar 27 16:12:07 2019 rev:176 rq:686103 version:7.0.8.34

Changes:

--- /work/SRC/openSUSE:Factory/ImageMagick/ImageMagick.changes  2019-02-24 
17:07:36.076560436 +0100
+++ /work/SRC/openSUSE:Factory/.ImageMagick.new.25356/ImageMagick.changes   
2019-03-27 16:12:16.603654177 +0100
@@ -1,0 +2,56 @@
+Mon Mar 18 13:05:19 UTC 2019 - pgaj...@suse.com
+
+- added temporary %pretrans to ImageMagick-config-upstream and
+  ImageMagick-config-SUSE [bsc#1122033comment#37]
+
+---
+Mon Mar 18 10:04:58 UTC 2019 - pgaj...@suse.com
+
+- version update to 7.0.8.34
+  * Associate one lock with each resource.
+  * Report exception if opening TIFF did not work out.
+  * Fixed numerous use of uninitialized values, integer overflow, memory
+exceeded, and timeouts (credit to OSS Fuzz).
+
+---
+Wed Mar 13 07:37:36 UTC 2019 - Petr Gajdos 
+
+- update to 7.0.8-33
+  * Fix SVG conversion infinite loop (reference
+https://imagemagick.org/discourse-server/viewtopic.php?f=3=35591).
+  * Initialize primitive drawing structure after resizing.
+  * Fix out-of-boundary LocaleLowerCase() @
+https://github.com/ImageMagick/ImageMagick/issues/1495
+  *  -trim is no longer sensitive to the image virtual canvas.
+
+---
+Mon Mar 4 12:53:26 UTC 2019 - pgaj...@suse.com
+
+- update to 7.0.8-30
+  * Support define to remove additional background from an image during a
+trim, e.g. -define trim:percent-background=0% -trim.
+  * Fixed a number of issues (reference
+https://github.com/ImageMagick/ImageMagick/issues).
+  * Fixed numerous use of uninitialized values, integer overflow, memory
+exceeded, and timeouts (credit to OSS Fuzz).
+- deleted patches
+  - ImageMagick-montage.t.patch (upstreamed)
+
+---
+Thu Feb 28 11:44:05 UTC 2019 - pgaj...@suse.com
+
+- provide two new (conflicting) packages with configuration
+  [bsc#1122033]:
+  * ImageMagick-config-upstream
+- provides configuration provided by upstream (no restrictions)
+  * ImageMagick-config-SUSE (preferred)
+- provides configuration provided by SUSE (with security
+  restrictions)
+  and use update-alternatives for selecting configurations.
+- remove code for < 1315
+- deleted patches
+  - ImageMagick-disable-insecure-coders.patch (renamed)
+- added patches
+  + ImageMagick-configuration-SUSE.patch
+
+---

Old:

  ImageMagick-7.0.8-28.tar.bz2
  ImageMagick-7.0.8-28.tar.bz2.asc
  ImageMagick-disable-insecure-coders.patch
  ImageMagick-montage.t.patch

New:

  ImageMagick-7.0.8-34.tar.bz2
  ImageMagick-7.0.8-34.tar.bz2.asc
  ImageMagick-configuration-SUSE.patch



Other differences:
--
++ ImageMagick.spec ++
--- /var/tmp/diff_new_pack.70vK9o/_old  2019-03-27 16:12:18.343653734 +0100
+++ /var/tmp/diff_new_pack.70vK9o/_new  2019-03-27 16:12:18.375653725 +0100
@@ -20,13 +20,15 @@
 %define asan_build0
 %define maj   7
 %define mfr_version   %{maj}.0.8
-%define mfr_revision  28
+%define mfr_revision   34
 %define quantum_depth 16
 %define source_version %{mfr_version}-%{mfr_revision}
 %define clibver   6
 %define cwandver  6
 %define cxxlibver 4
 %define libspec -%{maj}_Q%{quantum_depth}HDRI
+%define config_dir ImageMagick-7
+%define config_specconfig-7
 # bsc#1088463
 %define urw_base35_fonts 0
 
@@ -42,13 +44,11 @@
 Source2:
https://www.imagemagick.org/download/ImageMagick-%{mfr_version}-%{mfr_revision}.tar.bz2.asc
 Source3:ImageMagick.keyring
 # suse specific patches
-Patch0: ImageMagick-disable-insecure-coders.patch
+Patch0: ImageMagick-configuration-SUSE.patch
 Patch2: ImageMagick-library-installable-in-parallel.patch
 #%%ifarch s390x s390 ppc64 ppc
 Patch3: ImageMagick-s390-disable-tests.patch
 #%%endif
-# https://github.com/ImageMagick/ImageMagick/issues/1484
-Patch4: ImageMagick-montage.t.patch
 BuildRequires:  chrpath
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -169,7 +169,9 @@
 Summary:C runtime library for ImageMagick
 Group:  Productivity/Graphics/Other
 Recommends: ghostscript
-Suggests:   ImageMagick-extra = %{version}
+Suggests:   %{name}-extra = %{version}
+Requires:   

commit patterns-caasp for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package patterns-caasp for openSUSE:Factory 
checked in at 2019-03-27 16:12:02

Comparing /work/SRC/openSUSE:Factory/patterns-caasp (Old)
 and  /work/SRC/openSUSE:Factory/.patterns-caasp.new.25356 (New)


Package is "patterns-caasp"

Wed Mar 27 16:12:02 2019 rev:54 rq:686101 version:4.0

Changes:

--- /work/SRC/openSUSE:Factory/patterns-caasp/patterns-caasp.changes
2019-03-06 15:46:26.904463663 +0100
+++ /work/SRC/openSUSE:Factory/.patterns-caasp.new.25356/patterns-caasp.changes 
2019-03-27 16:12:03.675657473 +0100
@@ -1,0 +2,10 @@
+Tue Mar  5 16:04:17 CET 2019 - ku...@suse.de
+
+- Add update-checker to MicroOS base pattern
+
+---
+Tue Mar  5 15:48:29 CET 2019 - ku...@suse.de
+
+- Install kured-yaml with kubeadm for easy installation of kured
+
+---



Other differences:
--
++ patterns-caasp.spec ++
--- /var/tmp/diff_new_pack.xHivLB/_old  2019-03-27 16:12:04.659657223 +0100
+++ /var/tmp/diff_new_pack.xHivLB/_new  2019-03-27 16:12:04.663657222 +0100
@@ -104,6 +104,7 @@
 Requires:   transactional-update
 Requires:   transactional-update-zypp-config
 Requires:   udev
+Requires:   update-checker
 Requires:   vim
 Requires:   vlan
 Requires:   which
@@ -191,6 +192,7 @@
 Requires:   kubernetes-kubeadm
 Requires:   kubernetes-kubeadm-criconfig
 Requires:   kubernetes-kubelet
+Requires:   kured-yaml
 Requires:   lvm2
 Requires:   multipath-tools
 Requires:   nfs-client




commit python-kiwi for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package python-kiwi for openSUSE:Factory 
checked in at 2019-03-27 16:11:14

Comparing /work/SRC/openSUSE:Factory/python-kiwi (Old)
 and  /work/SRC/openSUSE:Factory/.python-kiwi.new.25356 (New)


Package is "python-kiwi"

Wed Mar 27 16:11:14 2019 rev:38 rq:685857 version:9.17.31

Changes:

--- /work/SRC/openSUSE:Factory/python-kiwi/python-kiwi.changes  2019-02-08 
12:06:44.325619292 +0100
+++ /work/SRC/openSUSE:Factory/.python-kiwi.new.25356/python-kiwi.changes   
2019-03-27 16:11:16.991669376 +0100
@@ -2 +2,1089 @@
-Thu Jan 31 11:09:53 CET 2019 - m...@suse.de
+Sun Mar 17 19:41:35 CET 2019 - Marcus Schäfer 
+
+- Bump version: 9.17.30 → 9.17.31
+
+---
+Fri Mar 15 15:45:38 CET 2019 - Marcus Schäfer 
+
+- Update the documentation regarding vagrant boxes
+
+  Extend the documentation on how to build VirtualBox vagrant boxes
+  All this was done by Dan Čermák 
+
+---
+Fri Mar 15 15:37:05 CET 2019 - Marcus Schäfer 
+
+- Refactor incremental changelog update
+
+  The creation of the package changelog is based on a reference file.
+  However that reference file contained log information in a specific
+  timezone which requires to hardcode the region of that timezone
+  in the code to correctly run date/time calculations. This can
+  be done better from a conceptual point of view. This patch changes
+  the handling in a way that the reference file is a git log
+  excerpt including the dates as git log lists them. The dates
+  contains complete numeric time/date/zone information and can be
+  used for calculations. The changelog helper tool converts the
+  result data to match the requirements of rpm changelog files
+  and prints the time/date information localized to the callers
+  timezone or as UTC if the --utc switch is given. By default the
+  user local timezone settings applies. That way the setup of
+  the local timezone is immaterial to the changelog processor
+  and the workaround in the gitlab-ci rpm stage can be deleted
+  too.
+
+---
+Fri Mar 15 11:05:04 CET 2019 - David Cassany 
+
+- Fix derived docker images build
+
+  This commit fixes the derived docker images when the base image is a
+  compressed file. After the refactor in #998 the decompression of the
+  base image and the skopeo call to import the decompressed image happened
+  in absolutely independent scopes. NamedTemporaryFile python class by
+  default deletes the created temporary file when the class instance is
+  destroyed, this class is used to decompress the base image. Because of
+  isolated scopes at the time skopeo was called the NamedTemporaryFile
+  instance was not there anymore. This commit makes sure that the
+  temporary file instance is already in memory at the time skopeo is
+  called.
+
+---
+Fri Mar 15 08:47:09 CET 2019 - Marcus Schäfer 
+
+- Fixed gitlab-ci rpm stage localtime setup
+
+  By default the timezone of the container is set to UTC. However
+  the reference changelog entries are created in the CET timezone.
+  The current implementation uses dateutil.parser.parse to parse
+  the reference date/time. That call takes the localtime into account
+  and responds with a warning:
+
+  + UnknownTimezoneWarning: tzname CET identified but not understood
+
+  The current code does not convert the CET timezone into the
+  localtime timezone (UTC in this case) and creates a timezone naive
+  datetime object. That object however can't be used to compare
+  with timezone aware datetime objects which causes a runtime
+  exception. The qick fix here is to set the localtime to the
+  timezone used in the reference changes file
+
+---
+Thu Mar 14 16:33:56 CET 2019 - Marcus Schäfer 
+
+- Limit scope of virtualbox_guest_additions_present
+
+  This attribute is only used with the virtualbox provider.
+  Added a schematron rule to limit the scope to the
+  virtualbox provider only. This Fixes #1003
+
+---
+Thu Mar 14 16:07:37 CET 2019 - Marcus Schäfer 
+
+- Bump version: 9.17.29 → 9.17.30
+
+---
+Thu Mar 14 11:30:44 CET 2019 - Marcus Schäfer 
+
+- Add consistency check to update_changelog
+
+  Don't take commits into account that are older than the
+  given reference commit. This would destroy the chronological
+  order. Missing commits older than the reference can be
+  incorporated by rebuild_changelog_reference.sh
+

commit bc for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package bc for openSUSE:Factory checked in 
at 2019-03-27 16:11:24

Comparing /work/SRC/openSUSE:Factory/bc (Old)
 and  /work/SRC/openSUSE:Factory/.bc.new.25356 (New)


Package is "bc"

Wed Mar 27 16:11:24 2019 rev:24 rq:685953 version:1.07.1

Changes:

--- /work/SRC/openSUSE:Factory/bc/bc.changes2017-04-25 08:54:45.248224529 
+0200
+++ /work/SRC/openSUSE:Factory/.bc.new.25356/bc.changes 2019-03-27 
16:11:25.571667188 +0100
@@ -1,0 +2,7 @@
+Wed Mar 13 10:32:04 UTC 2019 - pgaj...@suse.com
+
+- added patches
+  Correct return value after 'q' [bsc#1129038]
+  + bc-dc-correct-return-value.patch
+
+---

New:

  bc-dc-correct-return-value.patch



Other differences:
--
++ bc.spec ++
--- /var/tmp/diff_new_pack.33TFCT/_old  2019-03-27 16:11:26.067667062 +0100
+++ /var/tmp/diff_new_pack.33TFCT/_new  2019-03-27 16:11:26.067667062 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package bc
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -20,13 +20,15 @@
 Version:1.07.1
 Release:0
 Summary:GNU Command Line Calculator
-License:GPL-2.0+
+License:GPL-2.0-or-later
 Group:  Productivity/Scientific/Math
 Url:https://www.gnu.org/software/bc/
 Source0:https://ftp.gnu.org/gnu/bc/bc-%{version}.tar.gz
 Source1:https://ftp.gnu.org/gnu/bc/bc-%{version}.tar.gz.sig
 Source2:%{name}.keyring
 Patch1: bc-1.06-dc_ibase.patch
+# Correct return value after 'q' [bsc#1129038]
+Patch2: bc-dc-correct-return-value.patch
 BuildRequires:  bison
 BuildRequires:  ed
 BuildRequires:  flex
@@ -57,6 +59,7 @@
 %prep
 %setup -q
 %patch1
+%patch2 -p1
 
 %build
 %configure \


++ bc-dc-correct-return-value.patch ++
Index: bc-1.07.1/dc/eval.c
===
--- bc-1.07.1.orig/dc/eval.c2017-04-07 17:22:07.0 +0200
+++ bc-1.07.1/dc/eval.c 2019-03-13 11:24:50.561897120 +0100
@@ -814,10 +814,10 @@ error_fail:
fprintf(stderr, "%s: ", progname);
perror("error reading input");
return DC_FAIL;
-reset_and_exit_quit:
 reset_and_exit_fail:
signal(SIGINT, sigint_default);
return DC_FAIL;
+reset_and_exit_quit:
 reset_and_exit_success:
signal(SIGINT, sigint_default);
return DC_SUCCESS;




commit projectM for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package projectM for openSUSE:Factory 
checked in at 2019-03-27 16:11:06

Comparing /work/SRC/openSUSE:Factory/projectM (Old)
 and  /work/SRC/openSUSE:Factory/.projectM.new.25356 (New)


Package is "projectM"

Wed Mar 27 16:11:06 2019 rev:15 rq:685825 version:3.1.0

Changes:

--- /work/SRC/openSUSE:Factory/projectM/projectM.changes2019-03-08 
13:28:20.290994451 +0100
+++ /work/SRC/openSUSE:Factory/.projectM.new.25356/projectM.changes 
2019-03-27 16:11:09.079671393 +0100
@@ -1,0 +2,5 @@
+Sat Mar 16 18:29:28 UTC 2019 - Jan Engelhardt 
+
+- Ensure neutrality of description.
+
+---



Other differences:
--
++ projectM.spec ++
--- /var/tmp/diff_new_pack.s27taq/_old  2019-03-27 16:11:11.591670753 +0100
+++ /var/tmp/diff_new_pack.s27taq/_new  2019-03-27 16:11:11.623670745 +0100
@@ -20,7 +20,7 @@
 Name:   projectM
 Version:3.1.0
 Release:0
-Summary:An Awesome Music Visualizer
+Summary:A Music Visualizer
 License:LGPL-2.1-or-later
 Group:  Productivity/Multimedia/Sound/Visualization
 Url:http://projectm.sourceforge.net
@@ -46,7 +46,7 @@
 Provides:   %{name}-qt5 = %{version}
 
 %description
-projectM is an awesome music visualizer.
+projectM is a music visualizer.
 
 %package -n lib%{name}%{_libver}
 Summary:Run-time library for projectM
@@ -55,7 +55,7 @@
 Provides:   lib%{name}-qt5-%{_libver} = %{version}
 
 %description -n lib%{name}%{_libver}
-projectM is an awesome music visualizer.
+projectM is a music visualizer.
 This package contains its runtime library.
 
 %packagedata
@@ -67,7 +67,7 @@
 Provides:   %{name}-qt5-data = %{version}
 
 %descriptiondata
-projectM is an awesome music visualizer.
+projectM is a music visualizer.
 This package contains its data: config, presets, shaders.
 
 %packagedevel
@@ -80,7 +80,7 @@
 Provides:   %{name}-qt5-devel = %{version}
 
 %descriptiondevel
-projectM is an awesome music visualizer.
+projectM is a music visualizer.
 This package contains its development files.
 
 %prep




commit cri-o for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package cri-o for openSUSE:Factory checked 
in at 2019-03-27 16:11:19

Comparing /work/SRC/openSUSE:Factory/cri-o (Old)
 and  /work/SRC/openSUSE:Factory/.cri-o.new.25356 (New)


Package is "cri-o"

Wed Mar 27 16:11:19 2019 rev:25 rq:685952 version:1.13.3

Changes:

--- /work/SRC/openSUSE:Factory/cri-o/cri-o.changes  2019-02-27 
21:11:56.911193673 +0100
+++ /work/SRC/openSUSE:Factory/.cri-o.new.25356/cri-o.changes   2019-03-27 
16:11:21.571668209 +0100
@@ -1,0 +2,12 @@
+Mon Mar 18 08:25:28 UTC 2019 - Sascha Grunert 
+
+- Update cri-o to v1.13.3
+  * Always set gid if returned from container user files
+  * server: delete the container if it cannot be restored
+  * Bump github.com/containers/storage to v1.11
+  * Add support for host ip configuration
+  * Pause credentials 1.13
+  * Allow device mounting to work in privileged mode
+  * Fix detach non tty
+
+---

Old:

  cri-o-1.13.1.tar.xz

New:

  cri-o-1.13.3.tar.xz



Other differences:
--
++ cri-o.spec ++
--- /var/tmp/diff_new_pack.oJFn0h/_old  2019-03-27 16:11:22.191668050 +0100
+++ /var/tmp/diff_new_pack.oJFn0h/_new  2019-03-27 16:11:22.195668049 +0100
@@ -31,7 +31,7 @@
 %definename_source2 sysconfig.crio
 %definename_source3 crio.conf
 Name:   cri-o
-Version:1.13.1
+Version:1.13.3
 Release:0
 Summary:OCI-based implementation of Kubernetes Container Runtime 
Interface
 License:Apache-2.0

++ _service ++
--- /var/tmp/diff_new_pack.oJFn0h/_old  2019-03-27 16:11:22.219668043 +0100
+++ /var/tmp/diff_new_pack.oJFn0h/_new  2019-03-27 16:11:22.219668043 +0100
@@ -2,8 +2,8 @@
 
 https://github.com/kubernetes-sigs/cri-o
 git
-1.13.1
-v1.13.1
+1.13.3
+v1.13.3
 
 
 cri-o-*.tar

++ cri-o-1.13.1.tar.xz -> cri-o-1.13.3.tar.xz ++
 2043 lines of diff (skipped)




commit rust-cbindgen for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rust-cbindgen for openSUSE:Factory 
checked in at 2019-03-27 16:11:51

Comparing /work/SRC/openSUSE:Factory/rust-cbindgen (Old)
 and  /work/SRC/openSUSE:Factory/.rust-cbindgen.new.25356 (New)


Package is "rust-cbindgen"

Wed Mar 27 16:11:51 2019 rev:2 rq:686025 version:0.6.8

Changes:

--- /work/SRC/openSUSE:Factory/rust-cbindgen/rust-cbindgen.changes  
2018-11-26 10:26:35.209289842 +0100
+++ /work/SRC/openSUSE:Factory/.rust-cbindgen.new.25356/rust-cbindgen.changes   
2019-03-27 16:11:53.555660054 +0100
@@ -1,0 +2,5 @@
+Sun Mar 17 13:43:36 UTC 2019 - Wolfgang Rosenauer 
+
+- update to version 0.6.8 to satisfy Firefox 66.0 build requirements
+
+---

Old:

  cbindgen-0.6.7.tar.gz

New:

  cbindgen-0.6.8.tar.gz



Other differences:
--
++ rust-cbindgen.spec ++
--- /var/tmp/diff_new_pack.NsjdhO/_old  2019-03-27 16:11:54.571659795 +0100
+++ /var/tmp/diff_new_pack.NsjdhO/_new  2019-03-27 16:11:54.571659795 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rust-cbindgen
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -20,7 +20,7 @@
 %global crate_name cbindgen
 %global rustflags -Clink-arg=-Wl,-z,relro,-z,now
 Name:   rust-%{crate_name}
-Version:0.6.7
+Version:0.6.8
 Release:0
 Summary:A tool for generating C bindings from Rust code
 License:MPL-2.0

++ cbindgen-0.6.7.tar.gz -> cbindgen-0.6.8.tar.gz ++
 4517 lines of diff (skipped)

++ vendor.tar.xz ++
 35344 lines of diff (skipped)




commit rpmlint for openSUSE:Factory

2019-03-27 Thread root
Hello community,

here is the log from the commit of package rpmlint for openSUSE:Factory checked 
in at 2019-03-27 16:11:34

Comparing /work/SRC/openSUSE:Factory/rpmlint (Old)
 and  /work/SRC/openSUSE:Factory/.rpmlint.new.25356 (New)


Package is "rpmlint"

Wed Mar 27 16:11:34 2019 rev:316 rq:685964 version:1.11

Changes:

--- /work/SRC/openSUSE:Factory/rpmlint/rpmlint-tests.changes2019-01-26 
22:19:48.302982518 +0100
+++ /work/SRC/openSUSE:Factory/.rpmlint.new.25356/rpmlint-tests.changes 
2019-03-27 16:11:35.927664548 +0100
@@ -1,0 +2,6 @@
+Mon Mar 18 08:51:41 UTC 2019 - dmuel...@suse.com
+
+- Update to version 84.87+git20190318.caf1835:
+  * pie.spec: use /usr/bin/mount, since /bin/mount was removed from permissions
+
+---

Old:

  rpmlint-tests-84.87+git20190123.8914352.tar.xz

New:

  rpmlint-tests-84.87+git20190318.caf1835.tar.xz



Other differences:
--
++ rpmlint-tests.spec ++
--- /var/tmp/diff_new_pack.cxljHQ/_old  2019-03-27 16:11:37.467664155 +0100
+++ /var/tmp/diff_new_pack.cxljHQ/_new  2019-03-27 16:11:37.471664154 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 # icecream 0
 
@@ -24,7 +24,7 @@
 BuildRequires:  rpmlint-mini
 
 Name:   rpmlint-tests
-Version:84.87+git20190123.8914352
+Version:84.87+git20190318.caf1835
 Release:0
 Summary:rpmlint regression tests
 License:SUSE-Public-Domain

++ rpmlint.spec ++
--- /var/tmp/diff_new_pack.cxljHQ/_old  2019-03-27 16:11:37.487664151 +0100
+++ /var/tmp/diff_new_pack.cxljHQ/_new  2019-03-27 16:11:37.487664151 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 

++ _servicedata ++
--- /var/tmp/diff_new_pack.cxljHQ/_old  2019-03-27 16:11:37.559664132 +0100
+++ /var/tmp/diff_new_pack.cxljHQ/_new  2019-03-27 16:11:37.559664132 +0100
@@ -1,6 +1,6 @@
 
 
 https://github.com/openSUSE/rpmlint-tests.git
-  8914352f9a703602fbe68224878d4b540bff72c4
+  2fbd3ef0768256777b6cc68d686138f5e3968758
 https://github.com/openSUSE/rpmlint-checks.git
   f6e3387e381e719deaf753423332881603b51b5e
\ No newline at end of file

++ rpmlint-tests-84.87+git20190123.8914352.tar.xz -> 
rpmlint-tests-84.87+git20190318.caf1835.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/rpmlint-tests-84.87+git20190123.8914352/tests/pie.ref 
new/rpmlint-tests-84.87+git20190318.caf1835/tests/pie.ref
--- old/rpmlint-tests-84.87+git20190123.8914352/tests/pie.ref   2019-01-23 
23:05:51.0 +0100
+++ new/rpmlint-tests-84.87+git20190318.caf1835/tests/pie.ref   2019-03-18 
09:51:27.0 +0100
@@ -1,4 +1,4 @@
-pie: W: missing-call-to-setgroups-before-setuid /bin/mount
-pie: W: permissions-incorrect /bin/mount has mode 0755 but should be 04755
+pie: W: missing-call-to-setgroups-before-setuid /usr/bin/mount
+pie: W: permissions-incorrect /usr/bin/mount has mode 0755 but should be 04755
 pie: E: non-position-independent-executable (Badness: 1) /usr/bin/telnet
 1 packages and 0 specfiles checked; 1 errors, 2 warnings.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/rpmlint-tests-84.87+git20190123.8914352/tests/pie.spec 
new/rpmlint-tests-84.87+git20190318.caf1835/tests/pie.spec
--- old/rpmlint-tests-84.87+git20190123.8914352/tests/pie.spec  2019-01-23 
23:05:51.0 +0100
+++ new/rpmlint-tests-84.87+git20190318.caf1835/tests/pie.spec  2019-03-18 
09:51:27.0 +0100
@@ -24,7 +24,7 @@
 echo "int main() {}" >xx.c
 gcc -O2 -fno-PIE xx.c -o %buildroot/usr/bin/telnet
 strip %buildroot/usr/bin/telnet
-install -D -m 755 /bin/mount %buildroot/bin/mount
+install -D -m 755 /bin/mount %buildroot/usr/bin/mount
 
 
 %clean
@@ -33,7 +33,7 @@
 %files
 %defattr(-,root,root)
 /usr/bin/telnet
-/bin/mount
+/usr/bin/mount
 
 %changelog
 * Mon Apr 18 2011 lnus...@suse.de




  1   2   >